var L = Object.defineProperty;
var N = (i, e, t) => e in i ? L(i, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : i[e] = t;
var w = (i, e, t) => (N(i, typeof e != "symbol" ? e + "" : e, t), t);
const _ = globalThis.process ?? { env: {}, versions: {} }, R = { ..._ == null ? void 0 : _.env }, F = {
  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore
  node: "unknown",
  ..._ == null ? void 0 : _.versions
};
class n extends Error {
  constructor(t, r) {
    super(t);
    w(this, "code");
    w(this, "stack");
    w(this, "context");
    this.context = r, r instanceof Error && (this.name = r.name, this.stack = r.stack);
  }
}
const z = "3.0.2", W = {
  title: "BrowserStack API",
  version: "5.0.0",
  description: "BrowserStack is a cloud web and mobile testing platform that provides developers with the ability to test their websites and mobile applications across on-demand browsers, operating systems and real mobile devices. This document is an (unofficial) OpenAPI reference for BrowserStack products: Automate, App Automate, JavaScript Testing, Screenshots, and others. For more information, visit https://www.browserstack.com/docs/",
  license: {
    name: "MIT License",
    url: "https://opensource.org/license/mit/"
  }
}, M = {
  description: "Find out more about BrowserStack",
  url: "https://www.browserstack.com/docs/"
}, E = [
  {
    url: "{scheme}://{host}{basePath}",
    variables: {
      scheme: {
        default: "https"
      },
      host: {
        default: "api.browserstack.com"
      },
      basePath: {
        default: "/5"
      }
    }
  },
  {
    url: "{scheme}://{host}",
    variables: {
      scheme: {
        default: "https"
      },
      host: {
        default: "api-cloud.browserstack.com"
      }
    }
  }
], Y = [
  {
    BasicAuth: []
  }
], G = {
  "/browsers": {
    get: {
      parameters: [
        {
          name: "flat",
          in: "query",
          description: "If true, returns a flat list of all available browsers. If false, returns a nested list of browsers grouped by OS and OS version.",
          required: !1,
          schema: {
            type: "boolean",
            default: !0
          }
        }
      ],
      summary: "Fetches all available browsers.",
      description: "Fetches all available browsers.",
      operationId: "getBrowsers",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      allOf: [
                        {
                          type: "object",
                          required: [
                            "browser",
                            "browser_version"
                          ],
                          properties: {
                            browser: {
                              type: "string",
                              example: "Chrome"
                            },
                            browser_version: {
                              type: "string",
                              example: "80.0"
                            }
                          }
                        },
                        {
                          type: "object",
                          required: [
                            "os",
                            "os_version",
                            "device",
                            "real_mobile"
                          ],
                          properties: {
                            os: {
                              type: "string",
                              example: "Windows"
                            },
                            os_version: {
                              type: "string",
                              example: "10"
                            },
                            device: {
                              type: "string",
                              example: null
                            },
                            real_mobile: {
                              type: "boolean",
                              example: null
                            }
                          }
                        }
                      ]
                    }
                  },
                  {
                    type: "object",
                    properties: {
                      Windows: {
                        type: "object",
                        required: [
                          "XP",
                          "7",
                          "8",
                          "8.1",
                          "10",
                          "11"
                        ],
                        properties: {
                          7: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          8: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          10: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          11: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          XP: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "8.1": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        },
                        additionalProperties: {
                          type: "array",
                          items: {
                            allOf: [
                              {
                                type: "object",
                                required: [
                                  "browser",
                                  "browser_version"
                                ],
                                properties: {
                                  browser: {
                                    type: "string",
                                    example: "Chrome"
                                  },
                                  browser_version: {
                                    type: "string",
                                    example: "80.0"
                                  }
                                }
                              },
                              {
                                type: "object",
                                required: [
                                  "os",
                                  "os_version",
                                  "device",
                                  "real_mobile"
                                ],
                                properties: {
                                  os: {
                                    type: "string",
                                    example: "Windows"
                                  },
                                  os_version: {
                                    type: "string",
                                    example: "10"
                                  },
                                  device: {
                                    type: "string",
                                    example: null
                                  },
                                  real_mobile: {
                                    type: "boolean",
                                    example: null
                                  }
                                }
                              }
                            ]
                          }
                        }
                      },
                      "OS X": {
                        type: "object",
                        required: [
                          "Snow Leopard",
                          "Lion",
                          "Mountain Lion",
                          "Mavericks",
                          "Yosemite",
                          "El Capitan",
                          "Sierra",
                          "High Sierra",
                          "Mojave",
                          "Catalina",
                          "Big Sur",
                          "Monterey",
                          "Ventura",
                          "Sonoma"
                        ],
                        properties: {
                          "Snow Leopard": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Lion: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "Mountain Lion": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Mavericks: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Yosemite: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "El Capitan": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Sierra: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "High Sierra": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Mojave: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Catalina: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "Big Sur": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Monterey: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Ventura: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          Sonoma: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          additionalProperties: {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "os",
                                    "os_version",
                                    "device",
                                    "real_mobile"
                                  ],
                                  properties: {
                                    os: {
                                      type: "string",
                                      example: "Windows"
                                    },
                                    os_version: {
                                      type: "string",
                                      example: "10"
                                    },
                                    device: {
                                      type: "string",
                                      example: null
                                    },
                                    real_mobile: {
                                      type: "boolean",
                                      example: null
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        }
                      },
                      winphone: {
                        type: "object",
                        required: [
                          "8.1"
                        ],
                        properties: {
                          "8.1": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        }
                      },
                      android: {
                        type: "object",
                        required: [
                          "14.0",
                          "13.0",
                          "12.0",
                          "11.0",
                          "10.0",
                          "9.0",
                          "8.1",
                          "8.0",
                          "7.1",
                          "7.0",
                          "6.0",
                          "5.0",
                          "4.4",
                          "4.3",
                          "4.2",
                          "4.1",
                          "4.0",
                          "2.3",
                          "2.2"
                        ],
                        properties: {
                          "14.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "13.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "12.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "11.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "10.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "9.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "8.1": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "8.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "7.1": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "7.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "6.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Pixel 6 Pro"
                                      }
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "5.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "4.4": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "4.3": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "4.2": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "4.1": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "4.0": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "2.3": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "2.2": {
                            type: "array",
                            items: {
                              allOf: [
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "devices",
                                    "real_devices"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Android Browser"
                                    },
                                    devices: {
                                      type: "array",
                                      items: {
                                        type: "string",
                                        example: "Google Nexus"
                                      }
                                    },
                                    real_devices: {
                                      type: "array",
                                      items: {
                                        type: "string"
                                      },
                                      maxItems: 0
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          additionalProperties: {
                            type: "array",
                            items: {
                              oneOf: [
                                {
                                  allOf: [
                                    {
                                      type: "object",
                                      required: [
                                        "browser",
                                        "browser_version"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Chrome"
                                        },
                                        browser_version: {
                                          type: "string",
                                          example: "80.0"
                                        }
                                      }
                                    },
                                    {
                                      type: "object",
                                      required: [
                                        "devices",
                                        "real_devices"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Android Browser"
                                        },
                                        devices: {
                                          type: "array",
                                          items: {
                                            type: "string"
                                          },
                                          maxItems: 0
                                        },
                                        real_devices: {
                                          type: "array",
                                          items: {
                                            type: "string",
                                            example: "Google Pixel 6 Pro"
                                          }
                                        }
                                      }
                                    }
                                  ]
                                },
                                {
                                  allOf: [
                                    {
                                      type: "object",
                                      required: [
                                        "browser",
                                        "browser_version"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Chrome"
                                        },
                                        browser_version: {
                                          type: "string",
                                          example: "80.0"
                                        }
                                      }
                                    },
                                    {
                                      type: "object",
                                      required: [
                                        "devices",
                                        "real_devices"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Android Browser"
                                        },
                                        devices: {
                                          type: "array",
                                          items: {
                                            type: "string",
                                            example: "Google Nexus"
                                          }
                                        },
                                        real_devices: {
                                          type: "array",
                                          items: {
                                            type: "string"
                                          },
                                          maxItems: 0
                                        }
                                      }
                                    }
                                  ]
                                }
                              ]
                            }
                          }
                        }
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/status": {
    get: {
      summary: "Fetches status.",
      description: "Fetches status.",
      operationId: "getStatus",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "used_time",
                  "running_sessions",
                  "session_limit",
                  "total_available_time"
                ],
                properties: {
                  used_time: {
                    type: "number",
                    example: 10
                  },
                  running_sessions: {
                    type: "number",
                    example: 0
                  },
                  session_limit: {
                    type: "number",
                    example: 0
                  },
                  total_available_time: {
                    type: "string",
                    example: "Unlimited Testing Time"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/worker": {
    post: {
      summary: "Create a browser worker.",
      description: "Create a browser worker. A browser worker is simply a new browser instance. A user can start multiple browser workers at a time. All browser workers when created are pushed in a queue and they run when their turn comes. We make sure that your browser worker starts running as soon as possible. Your testing time is calculated from the time when browser worker starts running.",
      operationId: "createWorker",
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              allOf: [
                {
                  type: "object",
                  required: [
                    "url",
                    "os",
                    "os_version"
                  ],
                  properties: {
                    url: {
                      type: "string",
                      description: "URL to be opened in the browser",
                      example: "https://www.google.com/ncr"
                    },
                    timeout: {
                      type: "number",
                      description: "Time in seconds before the worker is terminated. The default value is 300 seconds and the minimum value is 60 seconds. IMPORTANT: Irrespective of the timeout parameter, a browser worker is alive for a maximum time of 1800 seconds.",
                      example: 300
                    },
                    os: {
                      type: "string",
                      description: "Operating system name.",
                      example: "Windows"
                    },
                    os_version: {
                      type: "string",
                      description: "Operating system version.",
                      example: "10"
                    },
                    name: {
                      type: "string",
                      description: "Name of the worker.",
                      example: "qunit-test-pricing"
                    },
                    build: {
                      type: "string",
                      description: "Name of the build the session is running under.",
                      example: "staging-build"
                    },
                    project: {
                      type: "string",
                      description: "Name of the project the build is organized under.",
                      example: "pricing-project"
                    },
                    "browserstack.video": {
                      type: "boolean",
                      description: "Enable video recording for the session. The default value is false.",
                      example: !0
                    },
                    resolution: {
                      type: "string",
                      description: "Set the resolution of VM before the beginning of your test. Available for Desktop only. The default value is 1024x768.",
                      example: "1024x768"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "browser",
                        "browser_version"
                      ],
                      properties: {
                        browser: {
                          type: "string",
                          description: "Browser name.",
                          example: "Chrome"
                        },
                        browser_version: {
                          type: "string",
                          description: "Browser version.",
                          example: "80.0"
                        }
                      }
                    },
                    {
                      type: "object",
                      properties: {
                        device: {
                          type: "string",
                          description: "Device name. If a device is not provided it defaults to the first device available for that os version.",
                          example: "iPhone 11 Pro"
                        },
                        browser: {
                          type: "string",
                          description: "Browser name.",
                          example: "Chrome"
                        },
                        browser_version: {
                          type: "string",
                          description: "Browser version.",
                          example: "80.0"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "id"
                ],
                properties: {
                  id: {
                    type: "number",
                    description: "ID of the worker",
                    example: 122326697
                  },
                  url: {
                    type: "string",
                    description: "URL of the worker",
                    example: "https://www.google.com/ncr"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/workers": {
    get: {
      summary: "Fetches all workers.",
      description: "Fetches all workers.",
      operationId: "getWorkers",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  allOf: [
                    {
                      allOf: [
                        {
                          type: "object",
                          required: [
                            "browser",
                            "browser_version"
                          ],
                          properties: {
                            browser: {
                              type: "string",
                              example: "Chrome"
                            },
                            browser_version: {
                              type: "string",
                              example: "80.0"
                            }
                          }
                        },
                        {
                          type: "object",
                          required: [
                            "os",
                            "os_version",
                            "device",
                            "real_mobile"
                          ],
                          properties: {
                            os: {
                              type: "string",
                              example: "Windows"
                            },
                            os_version: {
                              type: "string",
                              example: "10"
                            },
                            device: {
                              type: "string",
                              example: null
                            },
                            real_mobile: {
                              type: "boolean",
                              example: null
                            }
                          }
                        }
                      ]
                    },
                    {
                      type: "object",
                      required: [
                        "id"
                      ],
                      properties: {
                        id: {
                          type: "number",
                          description: "ID of the worker.",
                          example: 122326697
                        },
                        sessionId: {
                          description: "ID of the session.",
                          example: "550709149fe79e949363b581e774d5ebffa1b8fe"
                        },
                        status: {
                          type: "string",
                          enum: [
                            "queue",
                            "running"
                          ],
                          description: "Current status of the worker.",
                          example: "running"
                        },
                        browser_url: {
                          type: "string",
                          description: "Dashboard URL of the session",
                          example: ""
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/worker/{workedId}": {
    get: {
      summary: "Fetch details of a worker.",
      description: "Fetch details a worker.",
      operationId: "getWorker",
      parameters: [
        {
          name: "workedId",
          in: "path",
          required: !0,
          description: "ID of the worker",
          schema: {
            type: "number",
            example: 122326697
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                allOf: [
                  {
                    allOf: [
                      {
                        type: "object",
                        required: [
                          "browser",
                          "browser_version"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "os",
                          "os_version",
                          "device",
                          "real_mobile"
                        ],
                        properties: {
                          os: {
                            type: "string",
                            example: "Windows"
                          },
                          os_version: {
                            type: "string",
                            example: "10"
                          },
                          device: {
                            type: "string",
                            example: null
                          },
                          real_mobile: {
                            type: "boolean",
                            example: null
                          }
                        }
                      }
                    ]
                  },
                  {
                    type: "object",
                    required: [
                      "id"
                    ],
                    properties: {
                      id: {
                        type: "number",
                        description: "ID of the worker.",
                        example: 122326697
                      },
                      sessionId: {
                        description: "ID of the session.",
                        example: "550709149fe79e949363b581e774d5ebffa1b8fe"
                      },
                      status: {
                        type: "string",
                        enum: [
                          "queue",
                          "running"
                        ],
                        description: "Current status of the worker.",
                        example: "running"
                      },
                      browser_url: {
                        type: "string",
                        description: "Dashboard URL of the session",
                        example: ""
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        403: {
          description: "Authorized user is not the owner of the resource."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Terminate a worker.",
      description: "Terminate a worker.",
      operationId: "deleteWorker",
      parameters: [
        {
          name: "workedId",
          in: "path",
          required: !0,
          description: "ID of the worker",
          schema: {
            type: "number",
            example: 122326697
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "time"
                ],
                properties: {
                  time: {
                    type: "number",
                    description: "Duration of the worker",
                    example: 45.786373558
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/plan.json": {
    get: {
      summary: "Get Automate plan details",
      description: "Fetches Automate plan details",
      operationId: "getAutomatePlan",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automate_plan",
                  "parallel_sessions_running",
                  "parallel_sessions_max_allowed",
                  "team_parallel_sessions_max_allowed",
                  "queued_sessions",
                  "queued_sessions_max_allowed"
                ],
                properties: {
                  automate_plan: {
                    type: "string",
                    description: "Specifies your Automate plan name",
                    example: "Automate Mobile"
                  },
                  parallel_sessions_running: {
                    type: "number",
                    description: "Number of parallel sessions currently running",
                    example: 0
                  },
                  parallel_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of parallel sessions you can run",
                    example: 0
                  },
                  team_parallel_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of parallel sessions allowed in a team",
                    example: 250
                  },
                  queued_sessions: {
                    type: "number",
                    description: "Number of sessions currently queued",
                    example: 10
                  },
                  queued_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of sessions that can be queued",
                    example: 240
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/recycle_key.json": {
    put: {
      summary: "Reset Automate access key",
      description: "Reset Automate access key",
      operationId: "recycleAutomateKey",
      requestBody: {
        content: {
          "application/json": {
            schema: {
              type: "object"
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "old_key",
                  "new_key"
                ],
                properties: {
                  old_key: {
                    type: "string",
                    example: "mkALWJIMwtzJOqyqONyq"
                  },
                  new_key: {
                    type: "string",
                    example: "OQMCfsukIHWoNSOWAqkv"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/browsers.json": {
    get: {
      summary: "Fetches all automate browsers.",
      description: "Fetches all automate browsers.",
      operationId: "getAutomateBrowsers",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  allOf: [
                    {
                      type: "object",
                      required: [
                        "browser",
                        "browser_version"
                      ],
                      properties: {
                        browser: {
                          type: "string",
                          example: "Chrome"
                        },
                        browser_version: {
                          type: "string",
                          example: "80.0"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "os",
                        "os_version",
                        "device",
                        "real_mobile"
                      ],
                      properties: {
                        os: {
                          type: "string",
                          example: "Windows"
                        },
                        os_version: {
                          type: "string",
                          example: "10"
                        },
                        device: {
                          type: "string",
                          example: null
                        },
                        real_mobile: {
                          type: "boolean",
                          example: null
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/projects.json": {
    get: {
      summary: "Fetches list of projects",
      description: "Fetches list of projects associated with your username and access key. You will need the id of the project for invoking any other Project API that follows in this document",
      operationId: "getAutomateProjects",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "id",
                    "name",
                    "user_id",
                    "group_id",
                    "sub_group_id",
                    "created_at",
                    "updated_at"
                  ],
                  properties: {
                    id: {
                      type: "number",
                      description: "ID of your project",
                      example: 866256
                    },
                    name: {
                      type: "string",
                      description: "Name of your project",
                      example: "pricing_project"
                    },
                    user_id: {
                      type: "number",
                      description: "Identifier for the user",
                      example: 256454
                    },
                    group_id: {
                      type: "number",
                      description: "Identifier for your account or group",
                      example: 2
                    },
                    sub_group_id: {
                      type: "number",
                      description: "Identifier for a team in a group",
                      example: 0
                    },
                    created_at: {
                      type: "string",
                      description: "Time at which the project was created on BrowserStack servers",
                      example: "2020-03-11T10:14:36.000Z"
                    },
                    updated_at: {
                      type: "string",
                      description: "Time at which the project was updated on BrowserStack servers",
                      example: "2020-09-18T09:45:57.000Z"
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/projects/{projectId}.json": {
    get: {
      summary: "Fetches a project",
      description: "Specific information about a particular project can be queried using the project ID",
      operationId: "getAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "project"
                ],
                properties: {
                  project: {
                    allOf: [
                      {
                        type: "object",
                        required: [
                          "id",
                          "name",
                          "user_id",
                          "group_id",
                          "sub_group_id",
                          "created_at",
                          "updated_at"
                        ],
                        properties: {
                          id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          name: {
                            type: "string",
                            description: "Name of your project",
                            example: "pricing_project"
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "builds"
                        ],
                        properties: {
                          builds: {
                            type: "array",
                            items: {
                              type: "object",
                              required: [
                                "name",
                                "hashed_id",
                                "duration",
                                "status",
                                "build_tag",
                                "public_url"
                              ],
                              properties: {
                                name: {
                                  type: "string",
                                  description: "Name of your build",
                                  example: "pricing_project_build"
                                },
                                duration: {
                                  type: "number",
                                  description: "Duration of build execution",
                                  example: 10
                                },
                                status: {
                                  type: "string",
                                  enum: [
                                    "running",
                                    "timeout",
                                    "failed",
                                    "done"
                                  ]
                                },
                                user_id: {
                                  type: "number",
                                  description: "Identifier for the user",
                                  example: 256454
                                },
                                group_id: {
                                  type: "number",
                                  description: "Identifier for your account or group",
                                  example: 2
                                },
                                sub_group_id: {
                                  type: "number",
                                  description: "Identifier for a team in a group",
                                  example: 0
                                },
                                automation_project_id: {
                                  type: "number",
                                  description: "ID of your project",
                                  example: 866256
                                },
                                hashed_id: {
                                  type: "string",
                                  description: "Hashed ID of the build",
                                  example: "4207442b2b0567368956dba064c22a3235a76214"
                                },
                                build_tag: {
                                  type: "string",
                                  description: "Tag for the build",
                                  example: "pricing_project_build"
                                },
                                delta: {
                                  type: "boolean",
                                  description: "Indicates whether the build is a delta build",
                                  example: !1
                                },
                                framework: {
                                  type: "string",
                                  description: "Framework used for the build",
                                  example: "selenium"
                                },
                                test_data: {
                                  type: "object",
                                  description: "Test data used for the build"
                                },
                                created_at: {
                                  type: "string",
                                  description: "Time at which the project was created on BrowserStack servers",
                                  example: "2020-03-11T10:14:36.000Z"
                                },
                                updated_at: {
                                  type: "string",
                                  description: "Time at which the project was updated on BrowserStack servers",
                                  example: "2020-09-18T09:45:57.000Z"
                                }
                              }
                            }
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update the name of your project",
      description: "Update the name of your project after the project is complete",
      operationId: "updateAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              required: [
                "name"
              ],
              properties: {
                name: {
                  type: "string",
                  description: "Name of your project",
                  example: "pricing_project"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "id",
                  "name",
                  "user_id",
                  "group_id",
                  "sub_group_id",
                  "created_at",
                  "updated_at"
                ],
                properties: {
                  id: {
                    type: "number",
                    description: "ID of your project",
                    example: 866256
                  },
                  name: {
                    type: "string",
                    description: "Name of your project",
                    example: "pricing_project"
                  },
                  user_id: {
                    type: "number",
                    description: "Identifier for the user",
                    example: 256454
                  },
                  group_id: {
                    type: "number",
                    description: "Identifier for your account or group",
                    example: 2
                  },
                  sub_group_id: {
                    type: "number",
                    description: "Identifier for a team in a group",
                    example: 0
                  },
                  created_at: {
                    type: "string",
                    description: "Time at which the project was created on BrowserStack servers",
                    example: "2020-03-11T10:14:36.000Z"
                  },
                  updated_at: {
                    type: "string",
                    description: "Time at which the project was updated on BrowserStack servers",
                    example: "2020-09-18T09:45:57.000Z"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete your project",
      description: "Delete a project on the server using the DELETE method. Please note that to delete a project, it needs to be empty of builds and sessions, and projects once deleted cannot be recovered",
      operationId: "deleteAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of the operation",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the status of the operation",
                    example: "Project 966019 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/projects/{projectId}/badge_key": {
    get: {
      summary: "Fetches the badge key for the project",
      description: "Fetches the badge key for sharing a public link for the Automate dashboard to view the latest build and sessions for that project",
      operationId: "getAutomateProjectBadgeKey",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string"
              },
              examples: {
                badge_key: {
                  value: "VnZ6dGxkRGxGc1RIY01iZGZBVjJBNTA2R0s4ZUhiZkg2cnB..."
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/builds.json": {
    get: {
      summary: "Fetches list of builds",
      description: "Fetch the 10 recent test builds that have run on BrowserStack. You can also limit the number of builds and paginate through your data",
      operationId: "getAutomateBuilds",
      parameters: [
        {
          name: "projectId",
          in: "query",
          description: "ID of your project",
          required: !1,
          schema: {
            type: "number",
            example: 966019
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Specify the number of results to be displayed. The default value is 10, and the maximum value is 100",
          required: !1,
          schema: {
            type: "number",
            example: 10
          }
        },
        {
          name: "offset",
          in: "query",
          description: "Retrieve builds from a specific point using the offset parameter",
          required: !1,
          schema: {
            type: "number",
            example: 0
          }
        },
        {
          name: "status",
          in: "query",
          description: "Status of the build",
          required: !1,
          schema: {
            type: "string",
            enum: [
              "running",
              "timeout",
              "failed",
              "done"
            ]
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "automation_build"
                  ],
                  properties: {
                    automation_build: {
                      type: "object",
                      required: [
                        "name",
                        "hashed_id",
                        "duration",
                        "status",
                        "build_tag",
                        "public_url"
                      ],
                      properties: {
                        name: {
                          type: "string",
                          description: "Name of your build",
                          example: "pricing_project_build"
                        },
                        duration: {
                          type: "number",
                          description: "Duration of build execution",
                          example: 10
                        },
                        status: {
                          type: "string",
                          enum: [
                            "running",
                            "timeout",
                            "failed",
                            "done"
                          ]
                        },
                        user_id: {
                          type: "number",
                          description: "Identifier for the user",
                          example: 256454
                        },
                        group_id: {
                          type: "number",
                          description: "Identifier for your account or group",
                          example: 2
                        },
                        sub_group_id: {
                          type: "number",
                          description: "Identifier for a team in a group",
                          example: 0
                        },
                        automation_project_id: {
                          type: "number",
                          description: "ID of your project",
                          example: 866256
                        },
                        hashed_id: {
                          type: "string",
                          description: "Hashed ID of the build",
                          example: "4207442b2b0567368956dba064c22a3235a76214"
                        },
                        build_tag: {
                          type: "string",
                          description: "Tag for the build",
                          example: "pricing_project_build"
                        },
                        delta: {
                          type: "boolean",
                          description: "Indicates whether the build is a delta build",
                          example: !1
                        },
                        framework: {
                          type: "string",
                          description: "Framework used for the build",
                          example: "selenium"
                        },
                        test_data: {
                          type: "object",
                          description: "Test data used for the build"
                        },
                        created_at: {
                          type: "string",
                          description: "Time at which the project was created on BrowserStack servers",
                          example: "2020-03-11T10:14:36.000Z"
                        },
                        updated_at: {
                          type: "string",
                          description: "Time at which the project was updated on BrowserStack servers",
                          example: "2020-09-18T09:45:57.000Z"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/builds/{buildId}.json": {
    get: {
      summary: "Fetches a build",
      description: "Fetches a build",
      operationId: "getAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "build"
                ],
                properties: {
                  build: {
                    type: "object",
                    required: [
                      "automation_build",
                      "sessions"
                    ],
                    properties: {
                      automation_build: {
                        type: "object",
                        required: [
                          "name",
                          "hashed_id",
                          "duration",
                          "status",
                          "build_tag",
                          "public_url"
                        ],
                        properties: {
                          name: {
                            type: "string",
                            description: "Name of your build",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of build execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          automation_project_id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the build",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          build_tag: {
                            type: "string",
                            description: "Tag for the build",
                            example: "pricing_project_build"
                          },
                          delta: {
                            type: "boolean",
                            description: "Indicates whether the build is a delta build",
                            example: !1
                          },
                          framework: {
                            type: "string",
                            description: "Framework used for the build",
                            example: "selenium"
                          },
                          test_data: {
                            type: "object",
                            description: "Test data used for the build"
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      },
                      sessions: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "automation_session"
                          ],
                          properties: {
                            automation_session: {
                              allOf: [
                                {
                                  allOf: [
                                    {
                                      type: "object",
                                      required: [
                                        "browser",
                                        "browser_version"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Chrome"
                                        },
                                        browser_version: {
                                          type: "string",
                                          example: "80.0"
                                        }
                                      }
                                    },
                                    {
                                      type: "object",
                                      required: [
                                        "os",
                                        "os_version",
                                        "device",
                                        "real_mobile"
                                      ],
                                      properties: {
                                        os: {
                                          type: "string",
                                          example: "Windows"
                                        },
                                        os_version: {
                                          type: "string",
                                          example: "10"
                                        },
                                        device: {
                                          type: "string",
                                          example: null
                                        },
                                        real_mobile: {
                                          type: "boolean",
                                          example: null
                                        }
                                      }
                                    }
                                  ]
                                },
                                {
                                  type: "object",
                                  required: [
                                    "hashed_id",
                                    "name",
                                    "duration",
                                    "status",
                                    "browserstack_status",
                                    "reason",
                                    "build_name",
                                    "project_name",
                                    "logs",
                                    "browser_url",
                                    "public_url",
                                    "appium_logs_url",
                                    "video_url",
                                    "browser_console_logs_url",
                                    "har_logs_url",
                                    "selenium_logs_url",
                                    "selenium_telemetry_logs_url",
                                    "created_at"
                                  ],
                                  properties: {
                                    hashed_id: {
                                      type: "string",
                                      description: "Hashed ID of the session",
                                      example: "4207442b2b0567368956dba064c22a3235a76214"
                                    },
                                    name: {
                                      type: "string",
                                      description: "Name of your session",
                                      example: "pricing_project_build"
                                    },
                                    duration: {
                                      type: "number",
                                      description: "Duration of session execution",
                                      example: 10
                                    },
                                    status: {
                                      type: "string",
                                      description: "Status of the session",
                                      enum: [
                                        "running",
                                        "timeout",
                                        "failed",
                                        "done"
                                      ]
                                    },
                                    browserstack_status: {
                                      type: "string",
                                      description: "Execution status of the session"
                                    },
                                    reason: {
                                      type: "string",
                                      description: "Reason for test status",
                                      example: "CLIENT_STOPPED_SESSION"
                                    },
                                    build_name: {
                                      type: "string",
                                      description: "Name of the build",
                                      example: "pricing_project_build"
                                    },
                                    project_name: {
                                      type: "string",
                                      description: "Name of the project",
                                      example: "pricing_project"
                                    },
                                    logs: {
                                      type: "string",
                                      description: "Link to the session logs",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                                    },
                                    browser_url: {
                                      type: "string",
                                      description: "URL to view the session on Automate dashboard",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                                    },
                                    public_url: {
                                      type: "string",
                                      description: "URL to view the session publicly",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                                    },
                                    appium_logs_url: {
                                      type: "string",
                                      description: "URL to view the Appium logs",
                                      example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                                    },
                                    video_url: {
                                      type: "string",
                                      description: "URL to view session video",
                                      example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                                    },
                                    browser_console_logs_url: {
                                      type: "string",
                                      description: "URL to view browser console logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    har_logs_url: {
                                      type: "string",
                                      description: "URL to view browser logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    selenium_logs_url: {
                                      type: "string",
                                      description: "URL to view selenium logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    selenium_telemetry_logs_url: {
                                      type: "string",
                                      description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    created_at: {
                                      type: "string",
                                      description: "Timestamp at which the session started executing",
                                      example: "2020-03-11T10:14:36.000Z"
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        403: {
          description: "Authorized user is not the owner of the resource."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update the name or tag of your build",
      description: "Update the name or tag of your build after the build is complete. To delete a build tag, simply pass an empty string as value for build_tag.",
      operationId: "updateAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              anyOf: [
                {
                  required: [
                    "name"
                  ]
                },
                {
                  required: [
                    "build_tag"
                  ]
                }
              ],
              properties: {
                name: {
                  type: "string",
                  description: "The new build name that you want to set. Accepted characters are A-Z, a-z, 0-9, ., :, -, [], /, @, &, ', _. Character limit is 255.",
                  example: "Selenium test"
                },
                build_tag: {
                  type: "string",
                  description: "The new build tag that you want to set",
                  example: "registration"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "automation_build"
                    ],
                    properties: {
                      automation_build: {
                        type: "object",
                        required: [
                          "name",
                          "hashed_id",
                          "duration",
                          "status",
                          "build_tag",
                          "public_url"
                        ],
                        properties: {
                          name: {
                            type: "string",
                            description: "Name of your build",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of build execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          automation_project_id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the build",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          build_tag: {
                            type: "string",
                            description: "Tag for the build",
                            example: "pricing_project_build"
                          },
                          delta: {
                            type: "boolean",
                            description: "Indicates whether the build is a delta build",
                            example: !1
                          },
                          framework: {
                            type: "string",
                            description: "Framework used for the build",
                            example: "selenium"
                          },
                          test_data: {
                            type: "object",
                            description: "Test data used for the build"
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "error"
                    ],
                    properties: {
                      error: {
                        type: "string",
                        description: "Error message",
                        example: "A build with this name already exists."
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a build on the server",
      description: "Delete a build on the server. Please note that deleting a build will delete all the sessions contained within it. Builds once deleted cannot be recovered",
      operationId: "deleteAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of deletion",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the build",
                    example: "Build a4fb480a55efd6b3c558afb1ee051a7c337b8ef0 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/builds": {
    delete: {
      summary: "Delete multiple builds on the server",
      description: "Delete multiple builds on the server. You can delete a maximum of 5 builds at a time. Builds once deleted cannot be recovered.",
      operationId: "deleteAutomateBuilds",
      parameters: [
        {
          name: "buildId[]",
          in: "query",
          description: "IDs of your builds",
          required: !0,
          schema: {
            type: "array",
            items: {
              type: "string",
              example: "83078c39baf5c12cbbfcbd26a788d05ddfad626c"
            },
            maxItems: 5
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the builds",
                    example: "The following build(s) were deleted successfully: 83078c39baf5c12cbbfcbd26a788d05ddfad626c,55e9782d749f601d09571023f56a8f0101929428."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/builds/{buildId}/terminallogs": {
    post: {
      summary: "Upload terminal logs for your build.",
      description: "Upload terminal logs for your build.",
      operationId: "uploadAutomateBuildTerminalLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the terminal log file on your machine. The max allowed file size is 2MB"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "message"
                ],
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating upload result.",
                    example: "File has been uploaded successfully!"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/builds/{buildId}/sessions.json": {
    get: {
      summary: "Fetches list of sessions",
      description: "Fetches list of sessions for a particular build",
      operationId: "getAutomateSessions",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Specify the number of results to be displayed. The default value is 10, and the maximum value is 100",
          required: !1,
          schema: {
            type: "number",
            example: 10
          }
        },
        {
          name: "offset",
          in: "query",
          description: "Retrieve sessions from a specific point using the offset parameter",
          required: !1,
          schema: {
            type: "number",
            example: 0
          }
        },
        {
          name: "status",
          in: "query",
          description: "Status of the session",
          required: !1,
          schema: {
            type: "string",
            enum: [
              "running",
              "timeout",
              "failed",
              "done"
            ]
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "automation_session"
                  ],
                  properties: {
                    automation_session: {
                      allOf: [
                        {
                          allOf: [
                            {
                              type: "object",
                              required: [
                                "browser",
                                "browser_version"
                              ],
                              properties: {
                                browser: {
                                  type: "string",
                                  example: "Chrome"
                                },
                                browser_version: {
                                  type: "string",
                                  example: "80.0"
                                }
                              }
                            },
                            {
                              type: "object",
                              required: [
                                "os",
                                "os_version",
                                "device",
                                "real_mobile"
                              ],
                              properties: {
                                os: {
                                  type: "string",
                                  example: "Windows"
                                },
                                os_version: {
                                  type: "string",
                                  example: "10"
                                },
                                device: {
                                  type: "string",
                                  example: null
                                },
                                real_mobile: {
                                  type: "boolean",
                                  example: null
                                }
                              }
                            }
                          ]
                        },
                        {
                          type: "object",
                          required: [
                            "hashed_id",
                            "name",
                            "duration",
                            "status",
                            "browserstack_status",
                            "reason",
                            "build_name",
                            "project_name",
                            "logs",
                            "browser_url",
                            "public_url",
                            "appium_logs_url",
                            "video_url",
                            "browser_console_logs_url",
                            "har_logs_url",
                            "selenium_logs_url",
                            "selenium_telemetry_logs_url",
                            "created_at"
                          ],
                          properties: {
                            hashed_id: {
                              type: "string",
                              description: "Hashed ID of the session",
                              example: "4207442b2b0567368956dba064c22a3235a76214"
                            },
                            name: {
                              type: "string",
                              description: "Name of your session",
                              example: "pricing_project_build"
                            },
                            duration: {
                              type: "number",
                              description: "Duration of session execution",
                              example: 10
                            },
                            status: {
                              type: "string",
                              description: "Status of the session",
                              enum: [
                                "running",
                                "timeout",
                                "failed",
                                "done"
                              ]
                            },
                            browserstack_status: {
                              type: "string",
                              description: "Execution status of the session"
                            },
                            reason: {
                              type: "string",
                              description: "Reason for test status",
                              example: "CLIENT_STOPPED_SESSION"
                            },
                            build_name: {
                              type: "string",
                              description: "Name of the build",
                              example: "pricing_project_build"
                            },
                            project_name: {
                              type: "string",
                              description: "Name of the project",
                              example: "pricing_project"
                            },
                            logs: {
                              type: "string",
                              description: "Link to the session logs",
                              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                            },
                            browser_url: {
                              type: "string",
                              description: "URL to view the session on Automate dashboard",
                              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                            },
                            public_url: {
                              type: "string",
                              description: "URL to view the session publicly",
                              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                            },
                            appium_logs_url: {
                              type: "string",
                              description: "URL to view the Appium logs",
                              example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                            },
                            video_url: {
                              type: "string",
                              description: "URL to view session video",
                              example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                            },
                            browser_console_logs_url: {
                              type: "string",
                              description: "URL to view browser console logs",
                              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                            },
                            har_logs_url: {
                              type: "string",
                              description: "URL to view browser logs",
                              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                            },
                            selenium_logs_url: {
                              type: "string",
                              description: "URL to view selenium logs",
                              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                            },
                            selenium_telemetry_logs_url: {
                              type: "string",
                              description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                            },
                            created_at: {
                              type: "string",
                              description: "Timestamp at which the session started executing",
                              example: "2020-03-11T10:14:36.000Z"
                            }
                          }
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}.json": {
    get: {
      summary: "Fetches a session",
      description: "Fetches a session for a particular build",
      operationId: "getAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automation_session"
                ],
                properties: {
                  automation_session: {
                    allOf: [
                      {
                        allOf: [
                          {
                            type: "object",
                            required: [
                              "browser",
                              "browser_version"
                            ],
                            properties: {
                              browser: {
                                type: "string",
                                example: "Chrome"
                              },
                              browser_version: {
                                type: "string",
                                example: "80.0"
                              }
                            }
                          },
                          {
                            type: "object",
                            required: [
                              "os",
                              "os_version",
                              "device",
                              "real_mobile"
                            ],
                            properties: {
                              os: {
                                type: "string",
                                example: "Windows"
                              },
                              os_version: {
                                type: "string",
                                example: "10"
                              },
                              device: {
                                type: "string",
                                example: null
                              },
                              real_mobile: {
                                type: "boolean",
                                example: null
                              }
                            }
                          }
                        ]
                      },
                      {
                        type: "object",
                        required: [
                          "hashed_id",
                          "name",
                          "duration",
                          "status",
                          "browserstack_status",
                          "reason",
                          "build_name",
                          "project_name",
                          "logs",
                          "browser_url",
                          "public_url",
                          "appium_logs_url",
                          "video_url",
                          "browser_console_logs_url",
                          "har_logs_url",
                          "selenium_logs_url",
                          "selenium_telemetry_logs_url",
                          "created_at"
                        ],
                        properties: {
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the session",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          name: {
                            type: "string",
                            description: "Name of your session",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of session execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            description: "Status of the session",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          browserstack_status: {
                            type: "string",
                            description: "Execution status of the session"
                          },
                          reason: {
                            type: "string",
                            description: "Reason for test status",
                            example: "CLIENT_STOPPED_SESSION"
                          },
                          build_name: {
                            type: "string",
                            description: "Name of the build",
                            example: "pricing_project_build"
                          },
                          project_name: {
                            type: "string",
                            description: "Name of the project",
                            example: "pricing_project"
                          },
                          logs: {
                            type: "string",
                            description: "Link to the session logs",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                          },
                          browser_url: {
                            type: "string",
                            description: "URL to view the session on Automate dashboard",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                          },
                          public_url: {
                            type: "string",
                            description: "URL to view the session publicly",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                          },
                          appium_logs_url: {
                            type: "string",
                            description: "URL to view the Appium logs",
                            example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                          },
                          video_url: {
                            type: "string",
                            description: "URL to view session video",
                            example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                          },
                          browser_console_logs_url: {
                            type: "string",
                            description: "URL to view browser console logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          har_logs_url: {
                            type: "string",
                            description: "URL to view browser logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          selenium_logs_url: {
                            type: "string",
                            description: "URL to view selenium logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          selenium_telemetry_logs_url: {
                            type: "string",
                            description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          created_at: {
                            type: "string",
                            description: "Timestamp at which the session started executing",
                            example: "2020-03-11T10:14:36.000Z"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update session status or name",
      description: "Set the status for a session or update the name of the session. You can mark test status as passed or failed along with a reason.",
      operationId: "updateAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              oneOf: [
                {
                  type: "object",
                  required: [
                    "status",
                    "reason"
                  ],
                  properties: {
                    status: {
                      type: "string",
                      description: "Status of the session",
                      enum: [
                        "passed",
                        "failed"
                      ],
                      example: "passed"
                    },
                    reason: {
                      type: "string",
                      description: "Reason for marking the session as failed",
                      example: "Test failed because of assertion error"
                    }
                  }
                },
                {
                  type: "object",
                  required: [
                    "name"
                  ],
                  properties: {
                    name: {
                      type: "string",
                      description: "Name of the session",
                      example: "Pricing Demo"
                    }
                  }
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automation_session"
                ],
                properties: {
                  automation_session: {
                    allOf: [
                      {
                        allOf: [
                          {
                            type: "object",
                            required: [
                              "browser",
                              "browser_version"
                            ],
                            properties: {
                              browser: {
                                type: "string",
                                example: "Chrome"
                              },
                              browser_version: {
                                type: "string",
                                example: "80.0"
                              }
                            }
                          },
                          {
                            type: "object",
                            required: [
                              "os",
                              "os_version",
                              "device",
                              "real_mobile"
                            ],
                            properties: {
                              os: {
                                type: "string",
                                example: "Windows"
                              },
                              os_version: {
                                type: "string",
                                example: "10"
                              },
                              device: {
                                type: "string",
                                example: null
                              },
                              real_mobile: {
                                type: "boolean",
                                example: null
                              }
                            }
                          }
                        ]
                      },
                      {
                        type: "object",
                        required: [
                          "hashed_id",
                          "name",
                          "duration",
                          "status",
                          "browserstack_status",
                          "reason",
                          "build_name",
                          "project_name",
                          "logs",
                          "browser_url",
                          "public_url",
                          "appium_logs_url",
                          "video_url",
                          "browser_console_logs_url",
                          "har_logs_url",
                          "selenium_logs_url",
                          "selenium_telemetry_logs_url",
                          "created_at"
                        ],
                        properties: {
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the session",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          name: {
                            type: "string",
                            description: "Name of your session",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of session execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            description: "Status of the session",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          browserstack_status: {
                            type: "string",
                            description: "Execution status of the session"
                          },
                          reason: {
                            type: "string",
                            description: "Reason for test status",
                            example: "CLIENT_STOPPED_SESSION"
                          },
                          build_name: {
                            type: "string",
                            description: "Name of the build",
                            example: "pricing_project_build"
                          },
                          project_name: {
                            type: "string",
                            description: "Name of the project",
                            example: "pricing_project"
                          },
                          logs: {
                            type: "string",
                            description: "Link to the session logs",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                          },
                          browser_url: {
                            type: "string",
                            description: "URL to view the session on Automate dashboard",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                          },
                          public_url: {
                            type: "string",
                            description: "URL to view the session publicly",
                            example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                          },
                          appium_logs_url: {
                            type: "string",
                            description: "URL to view the Appium logs",
                            example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                          },
                          video_url: {
                            type: "string",
                            description: "URL to view session video",
                            example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                          },
                          browser_console_logs_url: {
                            type: "string",
                            description: "URL to view browser console logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          har_logs_url: {
                            type: "string",
                            description: "URL to view browser logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          selenium_logs_url: {
                            type: "string",
                            description: "URL to view selenium logs",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          selenium_telemetry_logs_url: {
                            type: "string",
                            description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                            example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                          },
                          created_at: {
                            type: "string",
                            description: "Timestamp at which the session started executing",
                            example: "2020-03-11T10:14:36.000Z"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a session on the server",
      description: "Delete a session on the server. Sessions once deleted cannot be recovered",
      operationId: "deleteAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of deletion",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the session",
                    example: "Session 4207442b2b0567368956dba064c22a3235a76214 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions": {
    delete: {
      summary: "Delete multiple sessions on the server",
      description: "Delete multiple sessions on the server. Sessions once deleted cannot be recovered.",
      operationId: "deleteAutomateSessions",
      parameters: [
        {
          name: "sessionId[]",
          in: "query",
          description: "IDs of your sessions",
          required: !0,
          schema: {
            type: "array",
            items: {
              type: "string",
              example: "83078c39baf5c12cbbfcbd26a788d05ddfad626c"
            }
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the sessions",
                    example: "The following session(s) were deleted successfully: 83078c39baf5c12cbbfcbd26a788d05ddfad626c,55e9782d749f601d09571023f56a8f0101929428."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/logs": {
    get: {
      summary: "Fetches session logs",
      description: "Fetches session logs. Whenever you execute a session on BrowserStack, a session log is generated. These logs are available to you in text format.",
      operationId: "getAutomateSessionLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string"
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/terminallogs": {
    post: {
      summary: "Upload terminal logs for your session.",
      description: "Upload terminal logs for your session.",
      operationId: "uploadAutomateSessionTerminalLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the terminal log file on your machine. The max allowed file size is 2MB"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "message"
                ],
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating upload result.",
                    example: "File has been uploaded successfully!"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/networklogs": {
    get: {
      summary: "Fetches network logs for a session",
      description: "Fetches network logs for a session. Network Logs for each session are available to you in HAR (HTTP Archive) format.",
      operationId: "getAutomateSessionNetworkLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                description: "HAR (HTTP Archive) format"
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/consolelogs": {
    get: {
      summary: "Fetches console logs for a session",
      description: "Fetches console logs for a session. Console logs are enabled by default and are set to errors. You can disable them or change verbosity options by using the browserstack.console capability to disabled, errors, warnings, info, verbose. Raw Console Logs for each session are available to you in text format.",
      operationId: "getAutomateSessionConsoleLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "Console Logs capture the browser’s JS console output at various steps of the test to troubleshoot JavaScript issues."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/seleniumlogs": {
    get: {
      summary: "Fetches Selenium logs for a session",
      description: "Fetches Selenium logs for a session. Raw Selenium logs for each session are available to you in text format.",
      operationId: "getAutomateSessionSeleniumLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "Selenium logs capture the raw logs of Selenium JAR for your test execution. With Selenium logs you can debug the test in case of any exceptions."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/appiumlogs": {
    get: {
      summary: "Fetches Appium logs for a session",
      description: "Fetches Appium logs for a session. Raw Appium Logs for each session are available to you in text format.",
      operationId: "getAutomateSessionAppiumLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "Appium Logs captures the raw Appium Logs for your test execution."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/sessions/{sessionId}/telemetrylogs": {
    get: {
      summary: "Fetches telemetry logs for a session",
      description: "Fetches telemetry logs for a session. Telemetry logs for a session are available for tests run using Selenium 4. Telemetry logs are by default disabled for a session.",
      operationId: "getAutomateSessionTelemetryLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/octet-stream": {}
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/upload-media": {
    post: {
      summary: "Upload a media file",
      description: "Upload a media file you want to use in your tests",
      operationId: "uploadAutomateMediaFile",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the media file on your machine. Note: You can upload up to 10 media files on the BrowserStack server. By default, we delete the uploaded files after 30 days from the date of upload."
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "media_url"
                ],
                properties: {
                  media_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/recent_media_files": {
    get: {
      summary: "Fetches list of uploaded media files",
      description: "Fetches list of recently uploaded media files",
      operationId: "getAutomateMediaFiles",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "media_name",
                    "media_url",
                    "media_id",
                    "uploaded_at"
                  ],
                  properties: {
                    media_name: {
                      type: "string",
                      description: "Name of the uploaded media file.",
                      example: "profile.png"
                    },
                    media_url: {
                      type: "string",
                      description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                      example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                    },
                    media_id: {
                      type: "string",
                      description: "Unique ID returned on successful upload of your media file on BrowserStack.",
                      example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                    },
                    uploaded_at: {
                      type: "string",
                      description: "Media upload timestamp.",
                      example: "2021-10-13T10:30:00.000Z"
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/automate/custom_media/delete/{mediaId}": {
    delete: {
      summary: "Delete a media file earlier uploaded to BrowserStack",
      description: "Delete a media file on the server. Media files once deleted cannot be recovered",
      operationId: "deleteAutomateMediaFile",
      parameters: [
        {
          name: "mediaId",
          in: "path",
          description: "ID of your media file",
          required: !0,
          schema: {
            type: "string",
            example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "boolean",
                    description: "Status of deletion",
                    example: !0
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/screenshots/browsers.json": {
    get: {
      summary: "Fetches list of browsers",
      description: "Fetches list of browsers supported by Screenshots API",
      operationId: "getScreenshotsBrowsers",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  allOf: [
                    {
                      type: "object",
                      required: [
                        "browser",
                        "browser_version"
                      ],
                      properties: {
                        browser: {
                          type: "string",
                          example: "Chrome"
                        },
                        browser_version: {
                          type: "string",
                          example: "80.0"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "os",
                        "os_version",
                        "device",
                        "real_mobile"
                      ],
                      properties: {
                        os: {
                          type: "string",
                          example: "Windows"
                        },
                        os_version: {
                          type: "string",
                          example: "10"
                        },
                        device: {
                          type: "string",
                          example: null
                        },
                        real_mobile: {
                          type: "boolean",
                          example: null
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/screenshots": {
    post: {
      summary: "Take a screenshot",
      description: "Take a screenshot of a website on a particular browser",
      operationId: "createScreenshotsJob",
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              required: [
                "browsers",
                "url"
              ],
              properties: {
                browsers: {
                  type: "array",
                  items: {
                    type: "object",
                    required: [
                      "os",
                      "os_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      },
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        description: "Required if you want to test on a mobile device.",
                        example: null
                      }
                    }
                  }
                },
                orientation: {
                  type: "string",
                  enum: [
                    "portrait",
                    "landscape"
                  ],
                  description: "Screen orientation for a mobile device. Default: portrait"
                },
                url: {
                  type: "string",
                  example: "https://nextjs-template.vercel.app/"
                },
                callback_url: {
                  type: "string",
                  description: "Public URL to which the screenshot will be posted."
                },
                win_res: {
                  type: "string",
                  description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
                  example: "1024x768"
                },
                mac_res: {
                  type: "string",
                  description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
                  example: "1024x768"
                },
                quality: {
                  type: "string",
                  enum: [
                    "Compressed",
                    "Original"
                  ],
                  description: "Quality of the screenshot. Default: Compressed"
                },
                local: {
                  type: "boolean",
                  description: "Set to true if URL is local and a Local Testing connection has been set up. Default: false"
                },
                wait_time: {
                  type: "number",
                  description: "Time in seconds to wait before taking the screenshot. Default: 5",
                  example: 5
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                allOf: [
                  {
                    type: "object",
                    properties: {
                      job_id: {
                        type: "string",
                        description: "Unique identifier for the screenshot job.",
                        example: "4207442b2b0567368956dba064c22a3235a76214"
                      },
                      callback_url: {
                        type: "string",
                        description: "Public URL to which the screenshot will be posted.",
                        example: "https://callback.example.com"
                      },
                      win_res: {
                        type: "string",
                        description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
                        example: "1024x768"
                      },
                      mac_res: {
                        type: "string",
                        description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
                        example: "1024x768"
                      },
                      quality: {
                        type: "string",
                        enum: [
                          "Compressed",
                          "Original"
                        ],
                        description: "Quality of the screenshot. Default: Compressed"
                      },
                      wait_time: {
                        type: "number",
                        description: "Time in seconds to wait before taking the screenshot. Default: 5",
                        example: 5
                      },
                      orientation: {
                        type: "string",
                        enum: [
                          "portrait",
                          "landscape"
                        ],
                        description: "Screen orientation for a mobile device. Default: portrait"
                      },
                      screenshots: {
                        type: "array",
                        items: {
                          allOf: [
                            {
                              type: "object",
                              required: [
                                "id",
                                "state",
                                "url",
                                "os",
                                "os_version"
                              ],
                              properties: {
                                id: {
                                  type: "string",
                                  description: "ID for the screenshot",
                                  example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
                                },
                                state: {
                                  type: "string",
                                  enum: [
                                    "pending",
                                    "done",
                                    "failed"
                                  ]
                                },
                                url: {
                                  type: "string",
                                  example: "https://nextjs-template.vercel.app/"
                                },
                                os: {
                                  type: "string",
                                  example: "Windows"
                                },
                                os_version: {
                                  type: "string",
                                  example: "10"
                                }
                              }
                            },
                            {
                              oneOf: [
                                {
                                  type: "object",
                                  required: [
                                    "device"
                                  ],
                                  properties: {
                                    device: {
                                      type: "string",
                                      example: "iPhone 4S (6.0)"
                                    },
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                }
                              ]
                            },
                            {
                              type: "object",
                              properties: {
                                image_url: {
                                  type: "string",
                                  description: "URL to view the screenshot",
                                  example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
                                },
                                thumb_url: {
                                  type: "string",
                                  description: "URL to view the thumbnail of the screenshot",
                                  example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
                                },
                                created_at: {
                                  type: "string",
                                  description: "Timestamp at which the screenshot was taken",
                                  example: "2013-03-14 16:25:45 UTC"
                                }
                              }
                            }
                          ]
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "job_id"
                    ],
                    properties: {
                      job_id: {
                        type: "string",
                        description: "Unique identifier for the screenshot job.",
                        example: "4207442b2b0567368956dba064c22a3235a76214"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/screenshots/{jobId}.json": {
    get: {
      summary: "Fetches a screenshot job",
      description: "Fetches a screenshot job",
      operationId: "getScreenshotsJob",
      parameters: [
        {
          name: "jobId",
          in: "path",
          description: "ID of your screenshot job",
          required: !0,
          schema: {
            type: "string",
            example: "13b93a14db22872fcb5fd1c86b730a51197db319"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                allOf: [
                  {
                    type: "object",
                    properties: {
                      job_id: {
                        type: "string",
                        description: "Unique identifier for the screenshot job.",
                        example: "4207442b2b0567368956dba064c22a3235a76214"
                      },
                      callback_url: {
                        type: "string",
                        description: "Public URL to which the screenshot will be posted.",
                        example: "https://callback.example.com"
                      },
                      win_res: {
                        type: "string",
                        description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
                        example: "1024x768"
                      },
                      mac_res: {
                        type: "string",
                        description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
                        example: "1024x768"
                      },
                      quality: {
                        type: "string",
                        enum: [
                          "Compressed",
                          "Original"
                        ],
                        description: "Quality of the screenshot. Default: Compressed"
                      },
                      wait_time: {
                        type: "number",
                        description: "Time in seconds to wait before taking the screenshot. Default: 5",
                        example: 5
                      },
                      orientation: {
                        type: "string",
                        enum: [
                          "portrait",
                          "landscape"
                        ],
                        description: "Screen orientation for a mobile device. Default: portrait"
                      },
                      screenshots: {
                        type: "array",
                        items: {
                          allOf: [
                            {
                              type: "object",
                              required: [
                                "id",
                                "state",
                                "url",
                                "os",
                                "os_version"
                              ],
                              properties: {
                                id: {
                                  type: "string",
                                  description: "ID for the screenshot",
                                  example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
                                },
                                state: {
                                  type: "string",
                                  enum: [
                                    "pending",
                                    "done",
                                    "failed"
                                  ]
                                },
                                url: {
                                  type: "string",
                                  example: "https://nextjs-template.vercel.app/"
                                },
                                os: {
                                  type: "string",
                                  example: "Windows"
                                },
                                os_version: {
                                  type: "string",
                                  example: "10"
                                }
                              }
                            },
                            {
                              oneOf: [
                                {
                                  type: "object",
                                  required: [
                                    "device"
                                  ],
                                  properties: {
                                    device: {
                                      type: "string",
                                      example: "iPhone 4S (6.0)"
                                    },
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                },
                                {
                                  type: "object",
                                  required: [
                                    "browser",
                                    "browser_version"
                                  ],
                                  properties: {
                                    browser: {
                                      type: "string",
                                      example: "Chrome"
                                    },
                                    browser_version: {
                                      type: "string",
                                      example: "80.0"
                                    }
                                  }
                                }
                              ]
                            },
                            {
                              type: "object",
                              properties: {
                                image_url: {
                                  type: "string",
                                  description: "URL to view the screenshot",
                                  example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
                                },
                                thumb_url: {
                                  type: "string",
                                  description: "URL to view the thumbnail of the screenshot",
                                  example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
                                },
                                created_at: {
                                  type: "string",
                                  description: "Timestamp at which the screenshot was taken",
                                  example: "2013-03-14 16:25:45 UTC"
                                }
                              }
                            }
                          ]
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "id"
                    ],
                    properties: {
                      id: {
                        type: "string",
                        description: "Unique identifier for the screenshot job.",
                        example: "4207442b2b0567368956dba064c22a3235a76214"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/plan.json": {
    get: {
      summary: "Get App Automate plan details",
      description: "Fetches App Automate plan details",
      operationId: "getAppAutomatePlan",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automate_plan",
                  "parallel_sessions_running",
                  "parallel_sessions_max_allowed",
                  "team_parallel_sessions_max_allowed",
                  "queued_sessions",
                  "queued_sessions_max_allowed"
                ],
                properties: {
                  automate_plan: {
                    type: "string",
                    description: "Specifies your Automate plan name",
                    example: "Automate Mobile"
                  },
                  parallel_sessions_running: {
                    type: "number",
                    description: "Number of parallel sessions currently running",
                    example: 0
                  },
                  parallel_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of parallel sessions you can run",
                    example: 0
                  },
                  team_parallel_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of parallel sessions allowed in a team",
                    example: 250
                  },
                  queued_sessions: {
                    type: "number",
                    description: "Number of sessions currently queued",
                    example: 10
                  },
                  queued_sessions_max_allowed: {
                    type: "number",
                    description: "Maximum number of sessions that can be queued",
                    example: 240
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/devices.json": {
    get: {
      summary: "Get a list of supported Android and iOS devices",
      description: "Fetches list of devices supported by App Automate",
      operationId: "getAppAutomateDevices",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "os",
                    "os_version",
                    "device",
                    "real_mobile"
                  ],
                  properties: {
                    os: {
                      type: "string",
                      example: "ios"
                    },
                    os_version: {
                      type: "string",
                      example: "14"
                    },
                    device: {
                      type: "string",
                      example: "iPad Pro 12.9 2021"
                    },
                    real_mobile: {
                      type: "boolean",
                      example: !0
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/projects.json": {
    get: {
      summary: "Retrieve a list of recent projects for your BrowserStack group",
      description: "Fetch the last 10 projects or your BrowserStack group. You can also limit the number of projects and paginate through your data",
      operationId: "getAppAutomateProjects",
      parameters: [
        {
          name: "limit",
          in: "query",
          description: "Specify the number of results to be displayed. The default value is 10, and the maximum value is 100",
          required: !1,
          schema: {
            type: "number",
            example: 10
          }
        },
        {
          name: "offset",
          in: "query",
          description: "Retrieve projects from a specific point using the offset parameter",
          required: !1,
          schema: {
            type: "number",
            example: 0
          }
        },
        {
          name: "status",
          in: "query",
          description: "Status of the build",
          required: !1,
          schema: {
            type: "string",
            enum: [
              "running",
              "timeout",
              "failed",
              "done"
            ]
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "id",
                    "name",
                    "user_id",
                    "group_id",
                    "sub_group_id",
                    "created_at",
                    "updated_at"
                  ],
                  properties: {
                    id: {
                      type: "number",
                      description: "ID of your project",
                      example: 866256
                    },
                    name: {
                      type: "string",
                      description: "Name of your project",
                      example: "pricing_project"
                    },
                    user_id: {
                      type: "number",
                      description: "Identifier for the user",
                      example: 256454
                    },
                    group_id: {
                      type: "number",
                      description: "Identifier for your account or group",
                      example: 2
                    },
                    sub_group_id: {
                      type: "number",
                      description: "Identifier for a team in a group",
                      example: 0
                    },
                    created_at: {
                      type: "string",
                      description: "Time at which the project was created on BrowserStack servers",
                      example: "2020-03-11T10:14:36.000Z"
                    },
                    updated_at: {
                      type: "string",
                      description: "Time at which the project was updated on BrowserStack servers",
                      example: "2020-09-18T09:45:57.000Z"
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/projects/{projectId}.json": {
    get: {
      summary: "Fetches a project",
      description: "Specific information about a particular project can be queried using the project ID",
      operationId: "getAppAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "project"
                ],
                properties: {
                  project: {
                    allOf: [
                      {
                        type: "object",
                        required: [
                          "id",
                          "name",
                          "user_id",
                          "group_id",
                          "sub_group_id",
                          "created_at",
                          "updated_at"
                        ],
                        properties: {
                          id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          name: {
                            type: "string",
                            description: "Name of your project",
                            example: "pricing_project"
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "builds"
                        ],
                        properties: {
                          builds: {
                            type: "array",
                            items: {
                              type: "object",
                              required: [
                                "name",
                                "hashed_id",
                                "duration",
                                "status",
                                "build_tag",
                                "public_url"
                              ],
                              properties: {
                                name: {
                                  type: "string",
                                  description: "Name of your build",
                                  example: "pricing_project_build"
                                },
                                duration: {
                                  type: "number",
                                  description: "Duration of build execution",
                                  example: 10
                                },
                                status: {
                                  type: "string",
                                  enum: [
                                    "running",
                                    "timeout",
                                    "failed",
                                    "done"
                                  ]
                                },
                                user_id: {
                                  type: "number",
                                  description: "Identifier for the user",
                                  example: 256454
                                },
                                group_id: {
                                  type: "number",
                                  description: "Identifier for your account or group",
                                  example: 2
                                },
                                sub_group_id: {
                                  type: "number",
                                  description: "Identifier for a team in a group",
                                  example: 0
                                },
                                automation_project_id: {
                                  type: "number",
                                  description: "ID of your project",
                                  example: 866256
                                },
                                hashed_id: {
                                  type: "string",
                                  description: "Hashed ID of the build",
                                  example: "4207442b2b0567368956dba064c22a3235a76214"
                                },
                                build_tag: {
                                  type: "string",
                                  description: "Tag for the build",
                                  example: "pricing_project_build"
                                },
                                delta: {
                                  type: "boolean",
                                  description: "Indicates whether the build is a delta build",
                                  example: !1
                                },
                                framework: {
                                  type: "string",
                                  description: "Framework used for the build",
                                  example: "selenium"
                                },
                                test_data: {
                                  type: "object",
                                  description: "Test data used for the build"
                                },
                                created_at: {
                                  type: "string",
                                  description: "Time at which the project was created on BrowserStack servers",
                                  example: "2020-03-11T10:14:36.000Z"
                                },
                                updated_at: {
                                  type: "string",
                                  description: "Time at which the project was updated on BrowserStack servers",
                                  example: "2020-09-18T09:45:57.000Z"
                                }
                              }
                            }
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update the name of your project",
      description: "Update the name of your project after the project is complete",
      operationId: "updateAppAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              required: [
                "name"
              ],
              properties: {
                name: {
                  type: "string",
                  description: "Name of your project",
                  example: "pricing_project"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "id",
                  "name",
                  "user_id",
                  "group_id",
                  "sub_group_id",
                  "created_at",
                  "updated_at"
                ],
                properties: {
                  id: {
                    type: "number",
                    description: "ID of your project",
                    example: 866256
                  },
                  name: {
                    type: "string",
                    description: "Name of your project",
                    example: "pricing_project"
                  },
                  user_id: {
                    type: "number",
                    description: "Identifier for the user",
                    example: 256454
                  },
                  group_id: {
                    type: "number",
                    description: "Identifier for your account or group",
                    example: 2
                  },
                  sub_group_id: {
                    type: "number",
                    description: "Identifier for a team in a group",
                    example: 0
                  },
                  created_at: {
                    type: "string",
                    description: "Time at which the project was created on BrowserStack servers",
                    example: "2020-03-11T10:14:36.000Z"
                  },
                  updated_at: {
                    type: "string",
                    description: "Time at which the project was updated on BrowserStack servers",
                    example: "2020-09-18T09:45:57.000Z"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete your project",
      description: "Delete a project on the server using the DELETE method. Please note that to delete a project, it needs to be empty of builds and sessions, and projects once deleted cannot be recovered",
      operationId: "deleteAppAutomateProject",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of the operation",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the status of the operation",
                    example: "Project 966019 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/projects/{projectId}/badge_key": {
    get: {
      summary: "Fetches the badge key for the project",
      description: "Fetches the badge key for sharing a public link for the Automate dashboard to view the latest build and sessions for that project",
      operationId: "getAppAutomateProjectBadgeKey",
      parameters: [
        {
          name: "projectId",
          in: "path",
          description: "ID of your project",
          required: !0,
          schema: {
            type: "number",
            example: 966019
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string"
              },
              examples: {
                badge_key: {
                  value: "VnZ6dGxkRGxGc1RIY01iZGZBVjJBNTA2R0s4ZUhiZkg2cnB..."
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds.json": {
    get: {
      summary: "Fetches list of builds",
      description: "Fetch the 10 recent test builds that have run on BrowserStack. You can also limit the number of builds and paginate through your data",
      operationId: "getAppAutomateBuilds",
      parameters: [
        {
          name: "projectId",
          in: "query",
          description: "ID of your project",
          required: !1,
          schema: {
            type: "number",
            example: 966019
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Specify the number of results to be displayed. The default value is 10, and the maximum value is 100",
          required: !1,
          schema: {
            type: "number",
            example: 10
          }
        },
        {
          name: "offset",
          in: "query",
          description: "Retrieve builds from a specific point using the offset parameter",
          required: !1,
          schema: {
            type: "number",
            example: 0
          }
        },
        {
          name: "status",
          in: "query",
          description: "Status of the build",
          required: !1,
          schema: {
            type: "string",
            enum: [
              "running",
              "timeout",
              "failed",
              "done"
            ]
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "automation_build"
                  ],
                  properties: {
                    automation_build: {
                      type: "object",
                      required: [
                        "name",
                        "hashed_id",
                        "duration",
                        "status",
                        "build_tag",
                        "public_url"
                      ],
                      properties: {
                        name: {
                          type: "string",
                          description: "Name of your build",
                          example: "pricing_project_build"
                        },
                        duration: {
                          type: "number",
                          description: "Duration of build execution",
                          example: 10
                        },
                        status: {
                          type: "string",
                          enum: [
                            "running",
                            "timeout",
                            "failed",
                            "done"
                          ]
                        },
                        user_id: {
                          type: "number",
                          description: "Identifier for the user",
                          example: 256454
                        },
                        group_id: {
                          type: "number",
                          description: "Identifier for your account or group",
                          example: 2
                        },
                        sub_group_id: {
                          type: "number",
                          description: "Identifier for a team in a group",
                          example: 0
                        },
                        automation_project_id: {
                          type: "number",
                          description: "ID of your project",
                          example: 866256
                        },
                        hashed_id: {
                          type: "string",
                          description: "Hashed ID of the build",
                          example: "4207442b2b0567368956dba064c22a3235a76214"
                        },
                        build_tag: {
                          type: "string",
                          description: "Tag for the build",
                          example: "pricing_project_build"
                        },
                        delta: {
                          type: "boolean",
                          description: "Indicates whether the build is a delta build",
                          example: !1
                        },
                        framework: {
                          type: "string",
                          description: "Framework used for the build",
                          example: "selenium"
                        },
                        test_data: {
                          type: "object",
                          description: "Test data used for the build"
                        },
                        created_at: {
                          type: "string",
                          description: "Time at which the project was created on BrowserStack servers",
                          example: "2020-03-11T10:14:36.000Z"
                        },
                        updated_at: {
                          type: "string",
                          description: "Time at which the project was updated on BrowserStack servers",
                          example: "2020-09-18T09:45:57.000Z"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}.json": {
    get: {
      summary: "Fetches a build",
      description: "Fetches a build",
      operationId: "getAppAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "build"
                ],
                properties: {
                  build: {
                    type: "object",
                    required: [
                      "automation_build",
                      "sessions"
                    ],
                    properties: {
                      automation_build: {
                        type: "object",
                        required: [
                          "name",
                          "hashed_id",
                          "duration",
                          "status",
                          "build_tag",
                          "public_url"
                        ],
                        properties: {
                          name: {
                            type: "string",
                            description: "Name of your build",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of build execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          automation_project_id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the build",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          build_tag: {
                            type: "string",
                            description: "Tag for the build",
                            example: "pricing_project_build"
                          },
                          delta: {
                            type: "boolean",
                            description: "Indicates whether the build is a delta build",
                            example: !1
                          },
                          framework: {
                            type: "string",
                            description: "Framework used for the build",
                            example: "selenium"
                          },
                          test_data: {
                            type: "object",
                            description: "Test data used for the build"
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      },
                      sessions: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "automation_session"
                          ],
                          properties: {
                            automation_session: {
                              allOf: [
                                {
                                  allOf: [
                                    {
                                      type: "object",
                                      required: [
                                        "browser",
                                        "browser_version"
                                      ],
                                      properties: {
                                        browser: {
                                          type: "string",
                                          example: "Chrome"
                                        },
                                        browser_version: {
                                          type: "string",
                                          example: "80.0"
                                        }
                                      }
                                    },
                                    {
                                      type: "object",
                                      required: [
                                        "os",
                                        "os_version",
                                        "device",
                                        "real_mobile"
                                      ],
                                      properties: {
                                        os: {
                                          type: "string",
                                          example: "Windows"
                                        },
                                        os_version: {
                                          type: "string",
                                          example: "10"
                                        },
                                        device: {
                                          type: "string",
                                          example: null
                                        },
                                        real_mobile: {
                                          type: "boolean",
                                          example: null
                                        }
                                      }
                                    }
                                  ]
                                },
                                {
                                  type: "object",
                                  required: [
                                    "hashed_id",
                                    "name",
                                    "duration",
                                    "status",
                                    "browserstack_status",
                                    "reason",
                                    "build_name",
                                    "project_name",
                                    "logs",
                                    "browser_url",
                                    "public_url",
                                    "appium_logs_url",
                                    "video_url",
                                    "browser_console_logs_url",
                                    "har_logs_url",
                                    "selenium_logs_url",
                                    "selenium_telemetry_logs_url",
                                    "created_at"
                                  ],
                                  properties: {
                                    hashed_id: {
                                      type: "string",
                                      description: "Hashed ID of the session",
                                      example: "4207442b2b0567368956dba064c22a3235a76214"
                                    },
                                    name: {
                                      type: "string",
                                      description: "Name of your session",
                                      example: "pricing_project_build"
                                    },
                                    duration: {
                                      type: "number",
                                      description: "Duration of session execution",
                                      example: 10
                                    },
                                    status: {
                                      type: "string",
                                      description: "Status of the session",
                                      enum: [
                                        "running",
                                        "timeout",
                                        "failed",
                                        "done"
                                      ]
                                    },
                                    browserstack_status: {
                                      type: "string",
                                      description: "Execution status of the session"
                                    },
                                    reason: {
                                      type: "string",
                                      description: "Reason for test status",
                                      example: "CLIENT_STOPPED_SESSION"
                                    },
                                    build_name: {
                                      type: "string",
                                      description: "Name of the build",
                                      example: "pricing_project_build"
                                    },
                                    project_name: {
                                      type: "string",
                                      description: "Name of the project",
                                      example: "pricing_project"
                                    },
                                    logs: {
                                      type: "string",
                                      description: "Link to the session logs",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                                    },
                                    browser_url: {
                                      type: "string",
                                      description: "URL to view the session on Automate dashboard",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                                    },
                                    public_url: {
                                      type: "string",
                                      description: "URL to view the session publicly",
                                      example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                                    },
                                    appium_logs_url: {
                                      type: "string",
                                      description: "URL to view the Appium logs",
                                      example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                                    },
                                    video_url: {
                                      type: "string",
                                      description: "URL to view session video",
                                      example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                                    },
                                    browser_console_logs_url: {
                                      type: "string",
                                      description: "URL to view browser console logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    har_logs_url: {
                                      type: "string",
                                      description: "URL to view browser logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    selenium_logs_url: {
                                      type: "string",
                                      description: "URL to view selenium logs",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    selenium_telemetry_logs_url: {
                                      type: "string",
                                      description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                                      example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                                    },
                                    created_at: {
                                      type: "string",
                                      description: "Timestamp at which the session started executing",
                                      example: "2020-03-11T10:14:36.000Z"
                                    }
                                  }
                                }
                              ]
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        403: {
          description: "Authorized user is not the owner of the resource."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update the tag of your build",
      description: "Update the tag of your build after the build is complete. To delete a build tag, simply pass an empty string as value for build_tag.",
      operationId: "updateAppAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              required: [
                "build_tag"
              ],
              properties: {
                build_tag: {
                  type: "string",
                  description: "The new build tag that you want to set",
                  example: "registration"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "automation_build"
                    ],
                    properties: {
                      automation_build: {
                        type: "object",
                        required: [
                          "name",
                          "hashed_id",
                          "duration",
                          "status",
                          "build_tag",
                          "public_url"
                        ],
                        properties: {
                          name: {
                            type: "string",
                            description: "Name of your build",
                            example: "pricing_project_build"
                          },
                          duration: {
                            type: "number",
                            description: "Duration of build execution",
                            example: 10
                          },
                          status: {
                            type: "string",
                            enum: [
                              "running",
                              "timeout",
                              "failed",
                              "done"
                            ]
                          },
                          user_id: {
                            type: "number",
                            description: "Identifier for the user",
                            example: 256454
                          },
                          group_id: {
                            type: "number",
                            description: "Identifier for your account or group",
                            example: 2
                          },
                          sub_group_id: {
                            type: "number",
                            description: "Identifier for a team in a group",
                            example: 0
                          },
                          automation_project_id: {
                            type: "number",
                            description: "ID of your project",
                            example: 866256
                          },
                          hashed_id: {
                            type: "string",
                            description: "Hashed ID of the build",
                            example: "4207442b2b0567368956dba064c22a3235a76214"
                          },
                          build_tag: {
                            type: "string",
                            description: "Tag for the build",
                            example: "pricing_project_build"
                          },
                          delta: {
                            type: "boolean",
                            description: "Indicates whether the build is a delta build",
                            example: !1
                          },
                          framework: {
                            type: "string",
                            description: "Framework used for the build",
                            example: "selenium"
                          },
                          test_data: {
                            type: "object",
                            description: "Test data used for the build"
                          },
                          created_at: {
                            type: "string",
                            description: "Time at which the project was created on BrowserStack servers",
                            example: "2020-03-11T10:14:36.000Z"
                          },
                          updated_at: {
                            type: "string",
                            description: "Time at which the project was updated on BrowserStack servers",
                            example: "2020-09-18T09:45:57.000Z"
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "error"
                    ],
                    properties: {
                      error: {
                        type: "string",
                        description: "Error message",
                        example: "A build with this name already exists."
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a build on the server",
      description: "Delete a build on the server. Please note that deleting a build will delete all the sessions contained within it. Builds once deleted cannot be recovered",
      operationId: "deleteAppAutomateBuild",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of deletion",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the build",
                    example: "Build a4fb480a55efd6b3c558afb1ee051a7c337b8ef0 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/terminallogs": {
    post: {
      summary: "Upload terminal logs for your build.",
      description: "Upload terminal logs for your build.",
      operationId: "uploadAppAutomateBuildTerminalLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the terminal log file on your machine. The max allowed file size is 2MB"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "message"
                ],
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating upload result.",
                    example: "File has been uploaded successfully!"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/sessions/{sessionId}.json": {
    get: {
      summary: "Fetches a session",
      description: "Get details of a test session including its status and debugging information such as Appium logs and test video recording",
      operationId: "getAppAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automation_session"
                ],
                properties: {
                  automation_session: {
                    allOf: [
                      {
                        type: "object",
                        allOf: [
                          {
                            allOf: [
                              {
                                type: "object",
                                required: [
                                  "browser",
                                  "browser_version"
                                ],
                                properties: {
                                  browser: {
                                    type: "string",
                                    example: "Chrome"
                                  },
                                  browser_version: {
                                    type: "string",
                                    example: "80.0"
                                  }
                                }
                              },
                              {
                                type: "object",
                                required: [
                                  "os",
                                  "os_version",
                                  "device",
                                  "real_mobile"
                                ],
                                properties: {
                                  os: {
                                    type: "string",
                                    example: "Windows"
                                  },
                                  os_version: {
                                    type: "string",
                                    example: "10"
                                  },
                                  device: {
                                    type: "string",
                                    example: null
                                  },
                                  real_mobile: {
                                    type: "boolean",
                                    example: null
                                  }
                                }
                              }
                            ]
                          },
                          {
                            type: "object",
                            required: [
                              "hashed_id",
                              "name",
                              "duration",
                              "status",
                              "browserstack_status",
                              "reason",
                              "build_name",
                              "project_name",
                              "logs",
                              "browser_url",
                              "public_url",
                              "appium_logs_url",
                              "video_url",
                              "browser_console_logs_url",
                              "har_logs_url",
                              "selenium_logs_url",
                              "selenium_telemetry_logs_url",
                              "created_at"
                            ],
                            properties: {
                              hashed_id: {
                                type: "string",
                                description: "Hashed ID of the session",
                                example: "4207442b2b0567368956dba064c22a3235a76214"
                              },
                              name: {
                                type: "string",
                                description: "Name of your session",
                                example: "pricing_project_build"
                              },
                              duration: {
                                type: "number",
                                description: "Duration of session execution",
                                example: 10
                              },
                              status: {
                                type: "string",
                                description: "Status of the session",
                                enum: [
                                  "running",
                                  "timeout",
                                  "failed",
                                  "done"
                                ]
                              },
                              browserstack_status: {
                                type: "string",
                                description: "Execution status of the session"
                              },
                              reason: {
                                type: "string",
                                description: "Reason for test status",
                                example: "CLIENT_STOPPED_SESSION"
                              },
                              build_name: {
                                type: "string",
                                description: "Name of the build",
                                example: "pricing_project_build"
                              },
                              project_name: {
                                type: "string",
                                description: "Name of the project",
                                example: "pricing_project"
                              },
                              logs: {
                                type: "string",
                                description: "Link to the session logs",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                              },
                              browser_url: {
                                type: "string",
                                description: "URL to view the session on Automate dashboard",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                              },
                              public_url: {
                                type: "string",
                                description: "URL to view the session publicly",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                              },
                              appium_logs_url: {
                                type: "string",
                                description: "URL to view the Appium logs",
                                example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                              },
                              video_url: {
                                type: "string",
                                description: "URL to view session video",
                                example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                              },
                              browser_console_logs_url: {
                                type: "string",
                                description: "URL to view browser console logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              har_logs_url: {
                                type: "string",
                                description: "URL to view browser logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              selenium_logs_url: {
                                type: "string",
                                description: "URL to view selenium logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              selenium_telemetry_logs_url: {
                                type: "string",
                                description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              created_at: {
                                type: "string",
                                description: "Timestamp at which the session started executing",
                                example: "2020-03-11T10:14:36.000Z"
                              }
                            }
                          }
                        ]
                      },
                      {
                        type: "object",
                        required: [
                          "app_details"
                        ],
                        properties: {
                          app_details: {
                            type: "object",
                            properties: {
                              app_name: {
                                type: "string",
                                description: "Package name of the app.",
                                example: "com.sample.loginapplication"
                              },
                              app_version: {
                                type: "string",
                                description: "Version of the app.",
                                example: "1.0"
                              },
                              app_url: {
                                type: "string",
                                description: 'Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts."',
                                example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                              },
                              app_custom_id: {
                                type: "string",
                                description: "Custom ID defined for the uploaded app.",
                                example: "LoginApp"
                              },
                              uploaded_at: {
                                type: "string",
                                description: "Timestamp of the app upload.",
                                example: "2021-09-30T10:00:00.000Z"
                              }
                            }
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    put: {
      summary: "Update session status",
      description: "Set the status for a session. You can mark test status as passed or failed along with a reason.",
      operationId: "updateAppAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "application/json": {
            schema: {
              type: "object",
              required: [
                "status",
                "reason"
              ],
              properties: {
                status: {
                  type: "string",
                  description: "Status of the session",
                  enum: [
                    "passed",
                    "failed"
                  ],
                  example: "passed"
                },
                reason: {
                  type: "string",
                  description: "Reason for marking the session as failed",
                  example: "Test failed because of assertion error"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "automation_session"
                ],
                properties: {
                  automation_session: {
                    allOf: [
                      {
                        type: "object",
                        allOf: [
                          {
                            allOf: [
                              {
                                type: "object",
                                required: [
                                  "browser",
                                  "browser_version"
                                ],
                                properties: {
                                  browser: {
                                    type: "string",
                                    example: "Chrome"
                                  },
                                  browser_version: {
                                    type: "string",
                                    example: "80.0"
                                  }
                                }
                              },
                              {
                                type: "object",
                                required: [
                                  "os",
                                  "os_version",
                                  "device",
                                  "real_mobile"
                                ],
                                properties: {
                                  os: {
                                    type: "string",
                                    example: "Windows"
                                  },
                                  os_version: {
                                    type: "string",
                                    example: "10"
                                  },
                                  device: {
                                    type: "string",
                                    example: null
                                  },
                                  real_mobile: {
                                    type: "boolean",
                                    example: null
                                  }
                                }
                              }
                            ]
                          },
                          {
                            type: "object",
                            required: [
                              "hashed_id",
                              "name",
                              "duration",
                              "status",
                              "browserstack_status",
                              "reason",
                              "build_name",
                              "project_name",
                              "logs",
                              "browser_url",
                              "public_url",
                              "appium_logs_url",
                              "video_url",
                              "browser_console_logs_url",
                              "har_logs_url",
                              "selenium_logs_url",
                              "selenium_telemetry_logs_url",
                              "created_at"
                            ],
                            properties: {
                              hashed_id: {
                                type: "string",
                                description: "Hashed ID of the session",
                                example: "4207442b2b0567368956dba064c22a3235a76214"
                              },
                              name: {
                                type: "string",
                                description: "Name of your session",
                                example: "pricing_project_build"
                              },
                              duration: {
                                type: "number",
                                description: "Duration of session execution",
                                example: 10
                              },
                              status: {
                                type: "string",
                                description: "Status of the session",
                                enum: [
                                  "running",
                                  "timeout",
                                  "failed",
                                  "done"
                                ]
                              },
                              browserstack_status: {
                                type: "string",
                                description: "Execution status of the session"
                              },
                              reason: {
                                type: "string",
                                description: "Reason for test status",
                                example: "CLIENT_STOPPED_SESSION"
                              },
                              build_name: {
                                type: "string",
                                description: "Name of the build",
                                example: "pricing_project_build"
                              },
                              project_name: {
                                type: "string",
                                description: "Name of the project",
                                example: "pricing_project"
                              },
                              logs: {
                                type: "string",
                                description: "Link to the session logs",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                              },
                              browser_url: {
                                type: "string",
                                description: "URL to view the session on Automate dashboard",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                              },
                              public_url: {
                                type: "string",
                                description: "URL to view the session publicly",
                                example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                              },
                              appium_logs_url: {
                                type: "string",
                                description: "URL to view the Appium logs",
                                example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                              },
                              video_url: {
                                type: "string",
                                description: "URL to view session video",
                                example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                              },
                              browser_console_logs_url: {
                                type: "string",
                                description: "URL to view browser console logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              har_logs_url: {
                                type: "string",
                                description: "URL to view browser logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              selenium_logs_url: {
                                type: "string",
                                description: "URL to view selenium logs",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              selenium_telemetry_logs_url: {
                                type: "string",
                                description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                                example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                              },
                              created_at: {
                                type: "string",
                                description: "Timestamp at which the session started executing",
                                example: "2020-03-11T10:14:36.000Z"
                              }
                            }
                          }
                        ]
                      },
                      {
                        type: "object",
                        required: [
                          "app_details"
                        ],
                        properties: {
                          app_details: {
                            type: "object",
                            properties: {
                              app_name: {
                                type: "string",
                                description: "Package name of the app.",
                                example: "com.sample.loginapplication"
                              },
                              app_version: {
                                type: "string",
                                description: "Version of the app.",
                                example: "1.0"
                              },
                              app_url: {
                                type: "string",
                                description: 'Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts."',
                                example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                              },
                              app_custom_id: {
                                type: "string",
                                description: "Custom ID defined for the uploaded app.",
                                example: "LoginApp"
                              },
                              uploaded_at: {
                                type: "string",
                                description: "Timestamp of the app upload.",
                                example: "2021-09-30T10:00:00.000Z"
                              }
                            }
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a session on the server",
      description: "Delete a session on the server. Sessions once deleted cannot be recovered",
      operationId: "deleteAppAutomateSession",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                properties: {
                  status: {
                    type: "string",
                    description: "Status of deletion",
                    example: "ok"
                  },
                  message: {
                    type: "string",
                    description: "Message indicating the deletion of the session",
                    example: "Session 4207442b2b0567368956dba064c22a3235a76214 was deleted successfully."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/sessions/{sessionId}/terminallogs": {
    post: {
      summary: "Upload terminal logs for your session.",
      description: "Upload terminal logs for your session.",
      operationId: "uploadAppAutomateSessionTerminalLogs",
      parameters: [
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the terminal log file on your machine. The max allowed file size is 2MB"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "message"
                ],
                properties: {
                  message: {
                    type: "string",
                    description: "Message indicating upload result.",
                    example: "File has been uploaded successfully!"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/logs": {
    get: {
      summary: "Fetches session logs",
      description: "Access the logs for the session in textual format. It includes information about the test session’s desired capabilities and detailed information about every request and response. You can view all the steps executed in the test and troubleshoot errors for any failed steps.",
      operationId: "getAppAutomateSessionLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "The response will be text/plain logs comprising the details of each request and response in the session execution."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/devicelogs": {
    get: {
      summary: "Fetches device logs",
      description: "Access the device logs for your session. These are system logs specific to your application generated by the OS(Android/iOS) and can be helpful for debugging any application crashes during test execution.",
      operationId: "getAppAutomateDeviceLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "The response will be text/plain logs comprising the details of session execution on the device."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/appiumlogs": {
    get: {
      summary: "Fetches Appium logs",
      description: "Access the Appium logs for your session. These are logs generated by the Appium server and contain the details about your each Appium command execution in the test session. You can troubleshoot any errors in case your test session failed.",
      operationId: "getAppAutomateAppiumLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "text/plain": {
              schema: {
                type: "string",
                description: "The response will be text/plain logs comprising the details of session execution on the device."
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/networklogs": {
    get: {
      summary: "Fetches network logs",
      description: "Access the network logs for your session. These logs capture network data such as network traffic, latency, HTTP requests/responses in the HAR (HTTP Archive) format. You can identify any performance bottlenecks or debug failed REST API responses. Network logs are disabled by default.",
      operationId: "getAppAutomateNetworkLogs",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                description: "HAR (HTTP Archive) format"
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/appprofiling": {
    get: {
      summary: "Fetches app profiling data",
      description: "Access the app profiling logs to view the resource consumption (CPU, memory, battery, and network) by your app on the device. The logs are only available for Android.",
      operationId: "getAppAutomateAppProfilingDataV1",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "array",
                items: {
                  type: "object",
                  required: [
                    "ts",
                    "cpu",
                    "mem",
                    "mema",
                    "batt",
                    "temp"
                  ],
                  properties: {
                    ts: {
                      type: "number",
                      description: "Timestamp of the profiling data. Epoch time.",
                      example: 1600264609
                    },
                    cpu: {
                      type: "number",
                      description: "Percentage of CPU utilisation of overall device.",
                      example: 0
                    },
                    mem: {
                      type: "number",
                      description: "RAM utilisation of overall device in MB.",
                      example: 5633
                    },
                    mema: {
                      type: "number",
                      description: "RAM available in device in MB.",
                      example: 3063
                    },
                    batt: {
                      type: "number",
                      description: "Battery percentage.",
                      example: 100
                    },
                    temp: {
                      type: "number",
                      description: "Temperature of the device in degree Celsius.",
                      example: 22
                    },
                    additionalProperties: {
                      type: "object",
                      description: "Additional properties"
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/builds/{buildId}/sessions/{sessionId}/appprofiling/v2": {
    get: {
      summary: "Fetches app profiling data v2",
      description: "Access the detailed app profling metrics such as installed app size, UI rendering metrics, resource consumption metrics, etc.",
      operationId: "getAppAutomateAppProfilingDataV2",
      parameters: [
        {
          name: "buildId",
          in: "path",
          description: "ID of your build",
          required: !0,
          schema: {
            type: "string",
            example: "a4fb480a55efd6b3c558afb1ee051a7c337b8ef0"
          }
        },
        {
          name: "sessionId",
          in: "path",
          description: "ID of your session",
          required: !0,
          schema: {
            type: "string",
            example: "4207442b2b0567368956dba064c22a3235a76214"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "metadata",
                  "data"
                ],
                properties: {
                  metadata: {
                    type: "object",
                    additionalProperties: !0
                  },
                  data: {
                    type: "object",
                    properties: {
                      units: {
                        type: "object",
                        additionalProperties: !0
                      }
                    },
                    additionalProperties: !0
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/upload-media": {
    post: {
      summary: "Upload a media file",
      description: "Upload a media file you want to use in your tests",
      operationId: "uploadAppAutomateMediaFile",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              type: "object",
              required: [
                "file"
              ],
              properties: {
                file: {
                  type: "string",
                  format: "binary",
                  description: "Path to the media file on your machine. Note: You can upload up to 10 media files on the BrowserStack server. By default, we delete the uploaded files after 30 days from the date of upload."
                },
                custom_id: {
                  type: "string",
                  description: "Custom ID for the media file. This ID is used to specify the media files to be used in your tests.",
                  example: "media_1"
                }
              }
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "media_id",
                  "media_url"
                ],
                properties: {
                  media_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your media file on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  media_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  media_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID of the media file uploaded. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows members of other teams to use the media files in their tests.",
                    example: "steve/SampleMedia"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_media_files": {
    get: {
      summary: "Fetches list of uploaded media files",
      description: "Fetches list of recently uploaded media files",
      operationId: "getAppAutomateMediaFiles",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "media_id",
                        "media_url"
                      ],
                      properties: {
                        media_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your media file on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID of the media file uploaded. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows members of other teams to use the media files in their tests.",
                          example: "steve/SampleMedia"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_media_files/{customId}": {
    get: {
      summary: "Fetches list of uploaded media files by custom ID",
      description: "Fetches list of recently uploaded media files by custom ID",
      operationId: "getAppAutomateMediaFilesByCustomId",
      parameters: [
        {
          name: "customId",
          in: "path",
          description: "Filter recently uploaded media files by custom ID.",
          required: !0,
          schema: {
            type: "string",
            example: "media_1"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "media_id",
                        "media_url"
                      ],
                      properties: {
                        media_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your media file on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID of the media file uploaded. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows members of other teams to use the media files in their tests.",
                          example: "steve/SampleMedia"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_group_media": {
    get: {
      summary: "Fetches list of uploaded media files for the entire group",
      description: "Fetches list of recently uploaded media files for the entire group",
      operationId: "getAppAutomateGroupMediaFiles",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "media_id",
                        "media_url"
                      ],
                      properties: {
                        media_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your media file on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        media_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID of the media file uploaded. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows members of other teams to use the media files in their tests.",
                          example: "steve/SampleMedia"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/custom_media/delete/{mediaId}": {
    delete: {
      summary: "Fetches list of uploaded media files for the entire group",
      description: "Fetches list of recently uploaded media files for the entire group",
      operationId: "deleteAppAutomateMediaFile",
      parameters: [
        {
          name: "mediaId",
          in: "path",
          description: "ID of your media file",
          required: !0,
          schema: {
            type: "string",
            example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "boolean",
                    description: "Indicates whether deletion was success or a failure."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/upload": {
    post: {
      summary: "Upload an app",
      description: "Upload the application under test (AUT) for Appium testing.",
      operationId: "uploadAppAutomateApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_apps": {
    get: {
      summary: "Fetches list of uploaded apps",
      description: "Fetches list of recently uploaded apps",
      operationId: "getAppAutomateApps",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "app_url"
                      ],
                      properties: {
                        app_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your app on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                          example: "steve/SampleApp"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_apps/{customId}": {
    get: {
      summary: "Fetches list of uploaded apps by custom ID",
      description: "Fetches list of uploaded apps by custom ID",
      operationId: "getAppAutomateAppsByCustomId",
      parameters: [
        {
          name: "customId",
          in: "path",
          description: "Custom ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "app_1"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "app_url"
                      ],
                      properties: {
                        app_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your app on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                          example: "steve/SampleApp"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/recent_group_apps": {
    get: {
      summary: "Fetches list of uploaded apps for the entire group",
      description: "Fetches list of recently uploaded apps for the entire group",
      operationId: "getAppAutomateGroupApps",
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "app_url"
                      ],
                      properties: {
                        app_id: {
                          type: "string",
                          description: "Unique ID returned on successful upload of your app on BrowserStack.",
                          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_url: {
                          type: "string",
                          description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                        },
                        app_name: {
                          type: "string",
                          description: "Name of the media file uploaded.",
                          example: "media.jpg"
                        },
                        uploaded_at: {
                          type: "string",
                          description: "Timestamp of the media file upload.",
                          example: "2021-09-30T10:00:00.000Z"
                        },
                        custom_id: {
                          type: "string",
                          description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                          example: "media_1"
                        },
                        shareable_id: {
                          type: "string",
                          description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                          example: "steve/SampleApp"
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/app/delete/{appId}": {
    delete: {
      summary: "Delete an app that was previously uploaded to BrowserStack",
      description: "Delete an app that was previously uploaded to BrowserStack. Note that apps once deleted cannot be recovered.",
      operationId: "deleteAppAutomateApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "ID of your uploaded app",
          required: !0,
          schema: {
            type: "string",
            example: "c8ddcb5649a8280ca800075bfd8f151115bba6b3"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "boolean",
                    description: "Indicates whether deletion was success or a failure."
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/android/app": {
    post: {
      summary: "Upload an app",
      description: "Upload the application under test (AUT) for Flutter testing.",
      operationId: "uploadAppAutomateFlutterAndroidApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/android/apps": {
    get: {
      summary: "Fetches list of uploaded Flutter apps",
      description: "Fetches list of recently uploaded Flutter apps",
      operationId: "getAppAutomateFlutterAndroidApps",
      parameters: [
        {
          name: "scope",
          in: "query",
          description: "Show recent apps at a group level or user level.",
          schema: {
            type: "string",
            enum: [
              "group",
              "user"
            ],
            default: "group"
          }
        },
        {
          name: "custom_id",
          in: "query",
          description: "Filter recently uploaded apps by custom ID. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          schema: {
            type: "string",
            example: "app_1"
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Number of recent apps to be fetched. Default is 10.",
          schema: {
            type: "number",
            default: 10
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "apps"
                    ],
                    properties: {
                      apps: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "app_url"
                          ],
                          properties: {
                            app_id: {
                              type: "string",
                              description: "Unique ID returned on successful upload of your app on BrowserStack.",
                              example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_url: {
                              type: "string",
                              description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                              example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_name: {
                              type: "string",
                              description: "Name of the media file uploaded.",
                              example: "media.jpg"
                            },
                            uploaded_at: {
                              type: "string",
                              description: "Timestamp of the media file upload.",
                              example: "2021-09-30T10:00:00.000Z"
                            },
                            custom_id: {
                              type: "string",
                              description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                              example: "media_1"
                            },
                            shareable_id: {
                              type: "string",
                              description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                              example: "steve/SampleApp"
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/android/apps/{appId}": {
    get: {
      summary: "Get details of an uploaded Flutter app",
      description: "Get details of an uploaded Flutter app",
      operationId: "getAppAutomateFlutterAndroidApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "App ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "e5b3d27df5d02c367b1469709525dc20da41e65b"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app"
                ],
                properties: {
                  app: {
                    type: "object",
                    required: [
                      "app_url"
                    ],
                    properties: {
                      app_id: {
                        type: "string",
                        description: "Unique ID returned on successful upload of your app on BrowserStack.",
                        example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_url: {
                        type: "string",
                        description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                        example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_name: {
                        type: "string",
                        description: "Name of the media file uploaded.",
                        example: "media.jpg"
                      },
                      uploaded_at: {
                        type: "string",
                        description: "Timestamp of the media file upload.",
                        example: "2021-09-30T10:00:00.000Z"
                      },
                      custom_id: {
                        type: "string",
                        description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                        example: "media_1"
                      },
                      shareable_id: {
                        type: "string",
                        description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                        example: "steve/SampleApp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a Flutter app that was previously uploaded to BrowserStack",
      description: "Delete an app that was previously uploaded to BrowserStack. Note that apps once deleted cannot be recovered.",
      operationId: "deleteAppAutomateFlutterAndroidApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "ID of your uploaded app",
          required: !0,
          schema: {
            type: "string",
            example: "c8ddcb5649a8280ca800075bfd8f151115bba6b3"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string",
                        description: "Indicates whether deletion was success or a failure.",
                        example: "App with url bs://231e820c35ee15b8438ec31df1fb689c03abd8e5 was deleted."
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/ios/test-package": {
    post: {
      summary: "Upload a Flutter test package for iOS",
      description: "Upload the application under test (AUT) for Flutter iOS testing in .zip format.",
      operationId: "uploadAppAutomateFlutteriOSApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "test_package_url"
                ],
                properties: {
                  test_package_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  test_package_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  test_package_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.zip"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/ios/test-packages": {
    get: {
      summary: "Fetches list of uploaded Flutter iOS test packages",
      description: "Fetches list of recently uploaded Flutter iOS test packages",
      operationId: "getAppAutomateFlutteriOSApps",
      parameters: [
        {
          name: "scope",
          in: "query",
          description: "Show recent apps at a group level or user level.",
          schema: {
            type: "string",
            enum: [
              "group",
              "user"
            ],
            default: "group"
          }
        },
        {
          name: "custom_id",
          in: "query",
          description: "Filter recently uploaded apps by custom ID. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          schema: {
            type: "string",
            example: "app_1"
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Number of recent apps to be fetched. Default is 10.",
          schema: {
            type: "number",
            default: 10
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "test_packages"
                    ],
                    properties: {
                      test_packages: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "test_package_url"
                          ],
                          properties: {
                            test_package_id: {
                              type: "string",
                              description: "Unique ID returned on successful upload of your app on BrowserStack.",
                              example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            test_package_url: {
                              type: "string",
                              description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                              example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            test_package_name: {
                              type: "string",
                              description: "Name of the media file uploaded.",
                              example: "media.zip"
                            },
                            uploaded_at: {
                              type: "string",
                              description: "Timestamp of the media file upload.",
                              example: "2021-09-30T10:00:00.000Z"
                            },
                            custom_id: {
                              type: "string",
                              description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                              example: "media_1"
                            },
                            shareable_id: {
                              type: "string",
                              description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                              example: "steve/SampleApp"
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/flutter-integration-tests/v2/ios/test-package/{appId}": {
    get: {
      summary: "Get details of an uploaded Flutter iOS test package",
      description: "Get details of an uploaded Flutter iOS test package",
      operationId: "getAppAutomateFlutteriOSApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "Test package ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "e5b3d27df5d02c367b1469709525dc20da41e65b"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "test_package"
                ],
                properties: {
                  test_package: {
                    type: "object",
                    required: [
                      "test_package_url"
                    ],
                    properties: {
                      test_package_id: {
                        type: "string",
                        description: "Unique ID returned on successful upload of your app on BrowserStack.",
                        example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      test_package_url: {
                        type: "string",
                        description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                        example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      test_package_name: {
                        type: "string",
                        description: "Name of the media file uploaded.",
                        example: "media.zip"
                      },
                      uploaded_at: {
                        type: "string",
                        description: "Timestamp of the media file upload.",
                        example: "2021-09-30T10:00:00.000Z"
                      },
                      custom_id: {
                        type: "string",
                        description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                        example: "media_1"
                      },
                      shareable_id: {
                        type: "string",
                        description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                        example: "steve/SampleApp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a Flutter iOS test package that was previously uploaded to BrowserStack",
      description: "Delete a Flutter iOS test package that was previously uploaded to BrowserStack. Note that apps once deleted cannot be recovered.",
      operationId: "deleteAppAutomateFlutteriOSApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "Test package ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "c8ddcb5649a8280ca800075bfd8f151115bba6b3"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string",
                        description: "Indicates whether deletion was success or a failure.",
                        example: "App with url bs://231e820c35ee15b8438ec31df1fb689c03abd8e5 was deleted."
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/detox/v2/android/app": {
    post: {
      summary: "Upload an app",
      description: "Upload the application under test (AUT) for Detox Android testing.",
      operationId: "uploadAppAutomateDetoxAndroidApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/detox/v2/android/app-client": {
    post: {
      summary: "Upload an app client",
      description: "Upload the app client under test for Detox Android testing.",
      operationId: "uploadAppAutomateDetoxAndroidAppClient",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android",
                          example: "https://example.com/app.apk"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/espresso/v2/app": {
    post: {
      summary: "Upload an app",
      description: "Upload the application under test (AUT) for Espresso testing.",
      operationId: "uploadAppAutomateEspressoApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/espresso/v2/apps": {
    get: {
      summary: "Fetches list of uploaded Espresso apps",
      description: "Fetches list of recently uploaded Espresso apps",
      operationId: "getAppAutomateEspressoApps",
      parameters: [
        {
          name: "scope",
          in: "query",
          description: "Show recent apps at a group level or user level.",
          schema: {
            type: "string",
            enum: [
              "group",
              "user"
            ],
            default: "group"
          }
        },
        {
          name: "custom_id",
          in: "query",
          description: "Filter recently uploaded apps by custom ID. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          schema: {
            type: "string",
            example: "app_1"
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Number of recent apps to be fetched. Default is 10.",
          schema: {
            type: "number",
            default: 10
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "apps"
                    ],
                    properties: {
                      apps: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "app_url"
                          ],
                          properties: {
                            app_id: {
                              type: "string",
                              description: "Unique ID returned on successful upload of your app on BrowserStack.",
                              example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_url: {
                              type: "string",
                              description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                              example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_name: {
                              type: "string",
                              description: "Name of the media file uploaded.",
                              example: "media.jpg"
                            },
                            uploaded_at: {
                              type: "string",
                              description: "Timestamp of the media file upload.",
                              example: "2021-09-30T10:00:00.000Z"
                            },
                            custom_id: {
                              type: "string",
                              description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                              example: "media_1"
                            },
                            shareable_id: {
                              type: "string",
                              description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                              example: "steve/SampleApp"
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/espresso/v2/apps/{appId}": {
    get: {
      summary: "Get details of an uploaded Espresso app",
      description: "Get details of an uploaded Espresso app",
      operationId: "getAppAutomateEspressoApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "App ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "e5b3d27df5d02c367b1469709525dc20da41e65b"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app"
                ],
                properties: {
                  app: {
                    type: "object",
                    required: [
                      "app_url"
                    ],
                    properties: {
                      app_id: {
                        type: "string",
                        description: "Unique ID returned on successful upload of your app on BrowserStack.",
                        example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_url: {
                        type: "string",
                        description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                        example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_name: {
                        type: "string",
                        description: "Name of the media file uploaded.",
                        example: "media.jpg"
                      },
                      uploaded_at: {
                        type: "string",
                        description: "Timestamp of the media file upload.",
                        example: "2021-09-30T10:00:00.000Z"
                      },
                      custom_id: {
                        type: "string",
                        description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                        example: "media_1"
                      },
                      shareable_id: {
                        type: "string",
                        description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                        example: "steve/SampleApp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a Espresso app that was previously uploaded to BrowserStack",
      description: "Delete an app that was previously uploaded to BrowserStack. Note that apps once deleted cannot be recovered.",
      operationId: "deleteAppAutomateEspressoApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "ID of your uploaded app",
          required: !0,
          schema: {
            type: "string",
            example: "c8ddcb5649a8280ca800075bfd8f151115bba6b3"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string",
                        description: "Indicates whether deletion was success or a failure.",
                        example: "App with url bs://231e820c35ee15b8438ec31df1fb689c03abd8e5 was deleted."
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/xcuitest/v2/app": {
    post: {
      summary: "Upload an app",
      description: "Upload the application under test (AUT) for XCUITest testing.",
      operationId: "uploadAppAutomateXCUITestApp",
      requestBody: {
        required: !0,
        content: {
          "multipart/form-data": {
            schema: {
              allOf: [
                {
                  type: "object",
                  properties: {
                    custom_id: {
                      type: "string",
                      description: "Custom ID for the app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                      example: "app_1"
                    }
                  }
                },
                {
                  oneOf: [
                    {
                      type: "object",
                      required: [
                        "file"
                      ],
                      properties: {
                        file: {
                          type: "string",
                          format: "binary",
                          description: "Path to the app file on your machine. Supported file formats are .apk and .aab files for Android and .ipa file for iOS"
                        }
                      }
                    },
                    {
                      type: "object",
                      required: [
                        "url"
                      ],
                      properties: {
                        url: {
                          type: "string",
                          description: "URL of the app file. Ensure that its a publicly accessible URL as BrowserStack will attempt to download the app from this location. Supported file formats are .apk and .aab files for Android and .ipa file for iOS",
                          example: "https://example.com/app.ipa"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      },
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app_url"
                ],
                properties: {
                  app_id: {
                    type: "string",
                    description: "Unique ID returned on successful upload of your app on BrowserStack.",
                    example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_url: {
                    type: "string",
                    description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                    example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                  },
                  app_name: {
                    type: "string",
                    description: "Name of the media file uploaded.",
                    example: "media.jpg"
                  },
                  uploaded_at: {
                    type: "string",
                    description: "Timestamp of the media file upload.",
                    example: "2021-09-30T10:00:00.000Z"
                  },
                  custom_id: {
                    type: "string",
                    description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                    example: "media_1"
                  },
                  shareable_id: {
                    type: "string",
                    description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                    example: "steve/SampleApp"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/xcuitest/v2/apps": {
    get: {
      summary: "Fetches list of uploaded XCUITest apps",
      description: "Fetches list of recently uploaded XCUITest apps",
      operationId: "getAppAutomateXCUITestApps",
      parameters: [
        {
          name: "scope",
          in: "query",
          description: "Show recent apps at a group level or user level.",
          schema: {
            type: "string",
            enum: [
              "group",
              "user"
            ],
            default: "group"
          }
        },
        {
          name: "custom_id",
          in: "query",
          description: "Filter recently uploaded apps by custom ID. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          schema: {
            type: "string",
            example: "app_1"
          }
        },
        {
          name: "limit",
          in: "query",
          description: "Number of recent apps to be fetched. Default is 10.",
          schema: {
            type: "number",
            default: 10
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "apps"
                    ],
                    properties: {
                      apps: {
                        type: "array",
                        items: {
                          type: "object",
                          required: [
                            "app_url"
                          ],
                          properties: {
                            app_id: {
                              type: "string",
                              description: "Unique ID returned on successful upload of your app on BrowserStack.",
                              example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_url: {
                              type: "string",
                              description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                              example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                            },
                            app_name: {
                              type: "string",
                              description: "Name of the media file uploaded.",
                              example: "media.jpg"
                            },
                            uploaded_at: {
                              type: "string",
                              description: "Timestamp of the media file upload.",
                              example: "2021-09-30T10:00:00.000Z"
                            },
                            custom_id: {
                              type: "string",
                              description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                              example: "media_1"
                            },
                            shareable_id: {
                              type: "string",
                              description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                              example: "steve/SampleApp"
                            }
                          }
                        }
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/app-automate/xcuitest/v2/apps/{appId}": {
    get: {
      summary: "Get details of an uploaded XCUITest app",
      description: "Get details of an uploaded XCUITest app",
      operationId: "getAppAutomateXCUITestApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "App ID of your app",
          required: !0,
          schema: {
            type: "string",
            example: "e5b3d27df5d02c367b1469709525dc20da41e65b"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "app"
                ],
                properties: {
                  app: {
                    type: "object",
                    required: [
                      "app_url"
                    ],
                    properties: {
                      app_id: {
                        type: "string",
                        description: "Unique ID returned on successful upload of your app on BrowserStack.",
                        example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_url: {
                        type: "string",
                        description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
                        example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                      },
                      app_name: {
                        type: "string",
                        description: "Name of the media file uploaded.",
                        example: "media.jpg"
                      },
                      uploaded_at: {
                        type: "string",
                        description: "Timestamp of the media file upload.",
                        example: "2021-09-30T10:00:00.000Z"
                      },
                      custom_id: {
                        type: "string",
                        description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
                        example: "media_1"
                      },
                      shareable_id: {
                        type: "string",
                        description: "Shareable ID allows other users in your organization to test an app you uploaded.",
                        example: "steve/SampleApp"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Delete a XCUITest app that was previously uploaded to BrowserStack",
      description: "Delete an app that was previously uploaded to BrowserStack. Note that apps once deleted cannot be recovered.",
      operationId: "deleteAppAutomateXCUITestApp",
      parameters: [
        {
          name: "appId",
          in: "path",
          description: "ID of your uploaded app",
          required: !0,
          schema: {
            type: "string",
            example: "c8ddcb5649a8280ca800075bfd8f151115bba6b3"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "success"
                ],
                properties: {
                  success: {
                    type: "object",
                    required: [
                      "message"
                    ],
                    properties: {
                      message: {
                        type: "string",
                        description: "Indicates whether deletion was success or a failure.",
                        example: "App with url bs://231e820c35ee15b8438ec31df1fb689c03abd8e5 was deleted."
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/local/v1/list": {
    get: {
      summary: "Fetches list of recent binary instances",
      description: "Fetches list of recent binary instances for local testing. Note that the binary should have been started with the --enable-logging-for-api parameter.",
      operationId: "getLocalBinaryInstances",
      parameters: [
        {
          name: "auth_token",
          in: "query",
          required: !0,
          schema: {
            type: "string",
            description: "Your BrowserStack access token",
            example: "ACCESS_TOKEN"
          }
        },
        {
          name: "last",
          in: "query",
          schema: {
            type: "number",
            description: "The number of recent binary instances to be listed. Maximum value: 100. Default value: 20.",
            default: 20
          }
        },
        {
          name: "state",
          in: "query",
          schema: {
            type: "string",
            description: "Filter binary instances by state. Accepted values: running, all. Default value: running.",
            enum: [
              "running",
              "all"
            ],
            default: "running"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "api_version",
                  "meta_data",
                  "instances"
                ],
                properties: {
                  api_version: {
                    type: "string",
                    description: "API version",
                    example: "v1"
                  },
                  meta_data: {
                    type: "object",
                    description: "Metadata",
                    properties: {
                      params: {
                        type: "object",
                        description: "Parameters",
                        additionalProperties: !0
                      }
                    },
                    additionalProperties: !0
                  },
                  instances: {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "id",
                        "email",
                        "lastActiveOn",
                        "startTime",
                        "localIdentifier"
                      ],
                      properties: {
                        id: {
                          type: "string",
                          description: "Unique identifier for the Local instance.",
                          example: "QUERTY1"
                        },
                        email: {
                          type: "string",
                          description: "User account that started the Local instance.",
                          example: "john@browserstack.com"
                        },
                        hostname: {
                          type: "string",
                          description: "Hostname for the machine running the Local instance.",
                          example: "my-local-box"
                        },
                        lastActiveOn: {
                          type: "string",
                          description: "Timestamp at which the Local instance was last active.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        startTime: {
                          type: "string",
                          description: "Timestamp at which the Local instance was started.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        endTime: {
                          type: "string",
                          description: "Timestamp at which the Local instance was terminated.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        disconnectReason: {
                          type: "string",
                          description: "Reason for termination of the Local instance.",
                          example: "User terminated the instance."
                        },
                        commandLineParams: {
                          type: "string",
                          description: "Command line parameters used to start the Local instance.",
                          example: "--key <access_key> --enable-logging-for-api --local-identifier <local_identifier>"
                        },
                        localIdentifier: {
                          type: "string",
                          description: "Identifier for the Local instance.",
                          example: "4207442b2b0567368956dba064c22a3235a76214"
                        },
                        "public-IP": {
                          type: "string",
                          description: "Public IP address of the machine running the Local instance.",
                          example: "8.8.4.4"
                        },
                        privateIP: {
                          type: "array",
                          items: {
                            type: "string",
                            description: "Private IP address of the machine running the Local instance."
                          },
                          example: [
                            "127.0.0.1",
                            "10.100.100.1"
                          ]
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/local/v1/{localInstanceId}": {
    get: {
      summary: "Fetches details of a Local binary instance",
      description: "Fetches details of a Local binary instance used for local testing. Note that the binary should have been started with the --enable-logging-for-api parameter.",
      operationId: "getLocalBinaryInstance",
      parameters: [
        {
          name: "localInstanceId",
          in: "path",
          required: !0,
          schema: {
            type: "string",
            description: "The local instance ID",
            example: "QUERTY1"
          }
        },
        {
          name: "auth_token",
          in: "query",
          required: !0,
          schema: {
            type: "string",
            description: "Your BrowserStack access token",
            example: "ACCESS_TOKEN"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "api_version",
                  "meta_data",
                  "instances"
                ],
                properties: {
                  api_version: {
                    type: "string",
                    description: "API version",
                    example: "v1"
                  },
                  meta_data: {
                    type: "object",
                    description: "Metadata",
                    properties: {
                      params: {
                        type: "object",
                        description: "Parameters",
                        additionalProperties: !0
                      }
                    },
                    additionalProperties: !0
                  },
                  instances: {
                    type: "array",
                    items: {
                      type: "object",
                      required: [
                        "id",
                        "email",
                        "lastActiveOn",
                        "startTime",
                        "localIdentifier"
                      ],
                      properties: {
                        id: {
                          type: "string",
                          description: "Unique identifier for the Local instance.",
                          example: "QUERTY1"
                        },
                        email: {
                          type: "string",
                          description: "User account that started the Local instance.",
                          example: "john@browserstack.com"
                        },
                        hostname: {
                          type: "string",
                          description: "Hostname for the machine running the Local instance.",
                          example: "my-local-box"
                        },
                        lastActiveOn: {
                          type: "string",
                          description: "Timestamp at which the Local instance was last active.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        startTime: {
                          type: "string",
                          description: "Timestamp at which the Local instance was started.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        endTime: {
                          type: "string",
                          description: "Timestamp at which the Local instance was terminated.",
                          example: "2013-03-14 16:25:45 UTC"
                        },
                        disconnectReason: {
                          type: "string",
                          description: "Reason for termination of the Local instance.",
                          example: "User terminated the instance."
                        },
                        commandLineParams: {
                          type: "string",
                          description: "Command line parameters used to start the Local instance.",
                          example: "--key <access_key> --enable-logging-for-api --local-identifier <local_identifier>"
                        },
                        localIdentifier: {
                          type: "string",
                          description: "Identifier for the Local instance.",
                          example: "4207442b2b0567368956dba064c22a3235a76214"
                        },
                        "public-IP": {
                          type: "string",
                          description: "Public IP address of the machine running the Local instance.",
                          example: "8.8.4.4"
                        },
                        privateIP: {
                          type: "array",
                          items: {
                            type: "string",
                            description: "Private IP address of the machine running the Local instance."
                          },
                          example: [
                            "127.0.0.1",
                            "10.100.100.1"
                          ]
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    },
    delete: {
      summary: "Disconnect a Local binary instance",
      description: "Disconnect a Local binary instance",
      operationId: "disconnectLocalBinaryInstance",
      parameters: [
        {
          name: "localInstanceId",
          in: "path",
          required: !0,
          schema: {
            type: "string",
            description: "The local instance ID",
            example: "QUERTY1"
          }
        },
        {
          name: "auth_token",
          in: "query",
          required: !0,
          schema: {
            type: "string",
            description: "Your BrowserStack access token",
            example: "ACCESS_TOKEN"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/json": {
              schema: {
                type: "object",
                required: [
                  "api_version",
                  "meta_data",
                  "message"
                ],
                properties: {
                  api_version: {
                    type: "string",
                    description: "API version",
                    example: "v1"
                  },
                  meta_data: {
                    type: "object",
                    description: "Metadata",
                    properties: {
                      params: {
                        type: "object",
                        description: "Parameters",
                        additionalProperties: !0
                      }
                    },
                    additionalProperties: !0
                  },
                  message: {
                    type: "string",
                    description: "QUERTY1 successfully disconnected"
                  }
                }
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  },
  "/browserstack-local/BrowserStackLocal-{osArch}.zip": {
    get: {
      summary: "Download the BrowserStackLocal binary zip file",
      description: "Download the BrowserStackLocal binary zip file",
      operationId: "downloadLocalBinary",
      parameters: [
        {
          name: "osArch",
          in: "path",
          required: !0,
          schema: {
            type: "string",
            description: "OS and architecture",
            enum: [
              "darwin-x64",
              "linux-x64",
              "linux-ia32",
              "win32",
              "alpine"
            ],
            example: "darwin-x64"
          }
        }
      ],
      responses: {
        200: {
          description: "Successful operation",
          content: {
            "application/zip": {
              schema: {
                type: "string",
                format: "binary"
              }
            }
          }
        },
        400: {
          description: "Bad request."
        },
        401: {
          description: "Your BrowserStack access credentials are invalid."
        },
        404: {
          description: "The requested resource could not be found."
        },
        422: {
          description: "Request is well-formed but has semantic errors. The response will provide more details about error."
        },
        500: {
          description: "Indicates an error with BrowserStack servers."
        }
      }
    }
  }
}, Z = {
  schemas: {
    Browser: {
      type: "object",
      required: [
        "browser",
        "browser_version"
      ],
      properties: {
        browser: {
          type: "string",
          example: "Chrome"
        },
        browser_version: {
          type: "string",
          example: "80.0"
        }
      }
    },
    BrowserPlatform: {
      allOf: [
        {
          type: "object",
          required: [
            "browser",
            "browser_version"
          ],
          properties: {
            browser: {
              type: "string",
              example: "Chrome"
            },
            browser_version: {
              type: "string",
              example: "80.0"
            }
          }
        },
        {
          type: "object",
          required: [
            "os",
            "os_version",
            "device",
            "real_mobile"
          ],
          properties: {
            os: {
              type: "string",
              example: "Windows"
            },
            os_version: {
              type: "string",
              example: "10"
            },
            device: {
              type: "string",
              example: null
            },
            real_mobile: {
              type: "boolean",
              example: null
            }
          }
        }
      ]
    },
    BrowserDevice: {
      allOf: [
        {
          type: "object",
          required: [
            "browser",
            "browser_version"
          ],
          properties: {
            browser: {
              type: "string",
              example: "Chrome"
            },
            browser_version: {
              type: "string",
              example: "80.0"
            }
          }
        },
        {
          type: "object",
          required: [
            "devices",
            "real_devices"
          ],
          properties: {
            browser: {
              type: "string",
              example: "Android Browser"
            },
            devices: {
              type: "array",
              items: {
                type: "string",
                example: "Google Nexus"
              }
            },
            real_devices: {
              type: "array",
              items: {
                type: "string"
              },
              maxItems: 0
            }
          }
        }
      ]
    },
    BrowserRealDevice: {
      allOf: [
        {
          type: "object",
          required: [
            "browser",
            "browser_version"
          ],
          properties: {
            browser: {
              type: "string",
              example: "Chrome"
            },
            browser_version: {
              type: "string",
              example: "80.0"
            }
          }
        },
        {
          type: "object",
          required: [
            "devices",
            "real_devices"
          ],
          properties: {
            browser: {
              type: "string",
              example: "Android Browser"
            },
            devices: {
              type: "array",
              items: {
                type: "string"
              },
              maxItems: 0
            },
            real_devices: {
              type: "array",
              items: {
                type: "string",
                example: "Google Pixel 6 Pro"
              }
            }
          }
        }
      ]
    },
    BrowserMap: {
      type: "object",
      properties: {
        Windows: {
          type: "object",
          required: [
            "XP",
            "7",
            "8",
            "8.1",
            "10",
            "11"
          ],
          properties: {
            7: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            8: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            10: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            11: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            XP: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            "8.1": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            }
          },
          additionalProperties: {
            type: "array",
            items: {
              allOf: [
                {
                  type: "object",
                  required: [
                    "browser",
                    "browser_version"
                  ],
                  properties: {
                    browser: {
                      type: "string",
                      example: "Chrome"
                    },
                    browser_version: {
                      type: "string",
                      example: "80.0"
                    }
                  }
                },
                {
                  type: "object",
                  required: [
                    "os",
                    "os_version",
                    "device",
                    "real_mobile"
                  ],
                  properties: {
                    os: {
                      type: "string",
                      example: "Windows"
                    },
                    os_version: {
                      type: "string",
                      example: "10"
                    },
                    device: {
                      type: "string",
                      example: null
                    },
                    real_mobile: {
                      type: "boolean",
                      example: null
                    }
                  }
                }
              ]
            }
          }
        },
        "OS X": {
          type: "object",
          required: [
            "Snow Leopard",
            "Lion",
            "Mountain Lion",
            "Mavericks",
            "Yosemite",
            "El Capitan",
            "Sierra",
            "High Sierra",
            "Mojave",
            "Catalina",
            "Big Sur",
            "Monterey",
            "Ventura",
            "Sonoma"
          ],
          properties: {
            "Snow Leopard": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Lion: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            "Mountain Lion": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Mavericks: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Yosemite: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            "El Capitan": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Sierra: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            "High Sierra": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Mojave: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Catalina: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            "Big Sur": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Monterey: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Ventura: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            Sonoma: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            },
            additionalProperties: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "os",
                      "os_version",
                      "device",
                      "real_mobile"
                    ],
                    properties: {
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      },
                      device: {
                        type: "string",
                        example: null
                      },
                      real_mobile: {
                        type: "boolean",
                        example: null
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        winphone: {
          type: "object",
          required: [
            "8.1"
          ],
          properties: {
            "8.1": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        android: {
          type: "object",
          required: [
            "14.0",
            "13.0",
            "12.0",
            "11.0",
            "10.0",
            "9.0",
            "8.1",
            "8.0",
            "7.1",
            "7.0",
            "6.0",
            "5.0",
            "4.4",
            "4.3",
            "4.2",
            "4.1",
            "4.0",
            "2.3",
            "2.2"
          ],
          properties: {
            "14.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "13.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "12.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "11.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "10.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "9.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "8.1": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "8.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "7.1": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "7.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "6.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Pixel 6 Pro"
                        }
                      }
                    }
                  }
                ]
              }
            },
            "5.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "4.4": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "4.3": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "4.2": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "4.1": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "4.0": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "2.3": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            "2.2": {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "devices",
                      "real_devices"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Android Browser"
                      },
                      devices: {
                        type: "array",
                        items: {
                          type: "string",
                          example: "Google Nexus"
                        }
                      },
                      real_devices: {
                        type: "array",
                        items: {
                          type: "string"
                        },
                        maxItems: 0
                      }
                    }
                  }
                ]
              }
            },
            additionalProperties: {
              type: "array",
              items: {
                oneOf: [
                  {
                    allOf: [
                      {
                        type: "object",
                        required: [
                          "browser",
                          "browser_version"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "devices",
                          "real_devices"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Android Browser"
                          },
                          devices: {
                            type: "array",
                            items: {
                              type: "string"
                            },
                            maxItems: 0
                          },
                          real_devices: {
                            type: "array",
                            items: {
                              type: "string",
                              example: "Google Pixel 6 Pro"
                            }
                          }
                        }
                      }
                    ]
                  },
                  {
                    allOf: [
                      {
                        type: "object",
                        required: [
                          "browser",
                          "browser_version"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "devices",
                          "real_devices"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Android Browser"
                          },
                          devices: {
                            type: "array",
                            items: {
                              type: "string",
                              example: "Google Nexus"
                            }
                          },
                          real_devices: {
                            type: "array",
                            items: {
                              type: "string"
                            },
                            maxItems: 0
                          }
                        }
                      }
                    ]
                  }
                ]
              }
            }
          }
        }
      }
    },
    BrowserList: {
      type: "array",
      items: {
        allOf: [
          {
            type: "object",
            required: [
              "browser",
              "browser_version"
            ],
            properties: {
              browser: {
                type: "string",
                example: "Chrome"
              },
              browser_version: {
                type: "string",
                example: "80.0"
              }
            }
          },
          {
            type: "object",
            required: [
              "os",
              "os_version",
              "device",
              "real_mobile"
            ],
            properties: {
              os: {
                type: "string",
                example: "Windows"
              },
              os_version: {
                type: "string",
                example: "10"
              },
              device: {
                type: "string",
                example: null
              },
              real_mobile: {
                type: "boolean",
                example: null
              }
            }
          }
        ]
      }
    },
    AutomatePlan: {
      type: "object",
      required: [
        "automate_plan",
        "parallel_sessions_running",
        "parallel_sessions_max_allowed",
        "team_parallel_sessions_max_allowed",
        "queued_sessions",
        "queued_sessions_max_allowed"
      ],
      properties: {
        automate_plan: {
          type: "string",
          description: "Specifies your Automate plan name",
          example: "Automate Mobile"
        },
        parallel_sessions_running: {
          type: "number",
          description: "Number of parallel sessions currently running",
          example: 0
        },
        parallel_sessions_max_allowed: {
          type: "number",
          description: "Maximum number of parallel sessions you can run",
          example: 0
        },
        team_parallel_sessions_max_allowed: {
          type: "number",
          description: "Maximum number of parallel sessions allowed in a team",
          example: 250
        },
        queued_sessions: {
          type: "number",
          description: "Number of sessions currently queued",
          example: 10
        },
        queued_sessions_max_allowed: {
          type: "number",
          description: "Maximum number of sessions that can be queued",
          example: 240
        }
      }
    },
    AutomateProject: {
      type: "object",
      required: [
        "id",
        "name",
        "user_id",
        "group_id",
        "sub_group_id",
        "created_at",
        "updated_at"
      ],
      properties: {
        id: {
          type: "number",
          description: "ID of your project",
          example: 866256
        },
        name: {
          type: "string",
          description: "Name of your project",
          example: "pricing_project"
        },
        user_id: {
          type: "number",
          description: "Identifier for the user",
          example: 256454
        },
        group_id: {
          type: "number",
          description: "Identifier for your account or group",
          example: 2
        },
        sub_group_id: {
          type: "number",
          description: "Identifier for a team in a group",
          example: 0
        },
        created_at: {
          type: "string",
          description: "Time at which the project was created on BrowserStack servers",
          example: "2020-03-11T10:14:36.000Z"
        },
        updated_at: {
          type: "string",
          description: "Time at which the project was updated on BrowserStack servers",
          example: "2020-09-18T09:45:57.000Z"
        }
      }
    },
    AutomateBuild: {
      type: "object",
      required: [
        "name",
        "hashed_id",
        "duration",
        "status",
        "build_tag",
        "public_url"
      ],
      properties: {
        name: {
          type: "string",
          description: "Name of your build",
          example: "pricing_project_build"
        },
        duration: {
          type: "number",
          description: "Duration of build execution",
          example: 10
        },
        status: {
          type: "string",
          enum: [
            "running",
            "timeout",
            "failed",
            "done"
          ]
        },
        user_id: {
          type: "number",
          description: "Identifier for the user",
          example: 256454
        },
        group_id: {
          type: "number",
          description: "Identifier for your account or group",
          example: 2
        },
        sub_group_id: {
          type: "number",
          description: "Identifier for a team in a group",
          example: 0
        },
        automation_project_id: {
          type: "number",
          description: "ID of your project",
          example: 866256
        },
        hashed_id: {
          type: "string",
          description: "Hashed ID of the build",
          example: "4207442b2b0567368956dba064c22a3235a76214"
        },
        build_tag: {
          type: "string",
          description: "Tag for the build",
          example: "pricing_project_build"
        },
        delta: {
          type: "boolean",
          description: "Indicates whether the build is a delta build",
          example: !1
        },
        framework: {
          type: "string",
          description: "Framework used for the build",
          example: "selenium"
        },
        test_data: {
          type: "object",
          description: "Test data used for the build"
        },
        created_at: {
          type: "string",
          description: "Time at which the project was created on BrowserStack servers",
          example: "2020-03-11T10:14:36.000Z"
        },
        updated_at: {
          type: "string",
          description: "Time at which the project was updated on BrowserStack servers",
          example: "2020-09-18T09:45:57.000Z"
        }
      }
    },
    AutomateSession: {
      allOf: [
        {
          allOf: [
            {
              type: "object",
              required: [
                "browser",
                "browser_version"
              ],
              properties: {
                browser: {
                  type: "string",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  example: "80.0"
                }
              }
            },
            {
              type: "object",
              required: [
                "os",
                "os_version",
                "device",
                "real_mobile"
              ],
              properties: {
                os: {
                  type: "string",
                  example: "Windows"
                },
                os_version: {
                  type: "string",
                  example: "10"
                },
                device: {
                  type: "string",
                  example: null
                },
                real_mobile: {
                  type: "boolean",
                  example: null
                }
              }
            }
          ]
        },
        {
          type: "object",
          required: [
            "hashed_id",
            "name",
            "duration",
            "status",
            "browserstack_status",
            "reason",
            "build_name",
            "project_name",
            "logs",
            "browser_url",
            "public_url",
            "appium_logs_url",
            "video_url",
            "browser_console_logs_url",
            "har_logs_url",
            "selenium_logs_url",
            "selenium_telemetry_logs_url",
            "created_at"
          ],
          properties: {
            hashed_id: {
              type: "string",
              description: "Hashed ID of the session",
              example: "4207442b2b0567368956dba064c22a3235a76214"
            },
            name: {
              type: "string",
              description: "Name of your session",
              example: "pricing_project_build"
            },
            duration: {
              type: "number",
              description: "Duration of session execution",
              example: 10
            },
            status: {
              type: "string",
              description: "Status of the session",
              enum: [
                "running",
                "timeout",
                "failed",
                "done"
              ]
            },
            browserstack_status: {
              type: "string",
              description: "Execution status of the session"
            },
            reason: {
              type: "string",
              description: "Reason for test status",
              example: "CLIENT_STOPPED_SESSION"
            },
            build_name: {
              type: "string",
              description: "Name of the build",
              example: "pricing_project_build"
            },
            project_name: {
              type: "string",
              description: "Name of the project",
              example: "pricing_project"
            },
            logs: {
              type: "string",
              description: "Link to the session logs",
              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
            },
            browser_url: {
              type: "string",
              description: "URL to view the session on Automate dashboard",
              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
            },
            public_url: {
              type: "string",
              description: "URL to view the session publicly",
              example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
            },
            appium_logs_url: {
              type: "string",
              description: "URL to view the Appium logs",
              example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
            },
            video_url: {
              type: "string",
              description: "URL to view session video",
              example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
            },
            browser_console_logs_url: {
              type: "string",
              description: "URL to view browser console logs",
              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
            },
            har_logs_url: {
              type: "string",
              description: "URL to view browser logs",
              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
            },
            selenium_logs_url: {
              type: "string",
              description: "URL to view selenium logs",
              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
            },
            selenium_telemetry_logs_url: {
              type: "string",
              description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
              example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
            },
            created_at: {
              type: "string",
              description: "Timestamp at which the session started executing",
              example: "2020-03-11T10:14:36.000Z"
            }
          }
        }
      ]
    },
    Status: {
      type: "object",
      required: [
        "used_time",
        "running_sessions",
        "session_limit",
        "total_available_time"
      ],
      properties: {
        used_time: {
          type: "number",
          example: 10
        },
        running_sessions: {
          type: "number",
          example: 0
        },
        session_limit: {
          type: "number",
          example: 0
        },
        total_available_time: {
          type: "string",
          example: "Unlimited Testing Time"
        }
      }
    },
    AutomateMediaFile: {
      type: "object",
      required: [
        "media_name",
        "media_url",
        "media_id",
        "uploaded_at"
      ],
      properties: {
        media_name: {
          type: "string",
          description: "Name of the uploaded media file.",
          example: "profile.png"
        },
        media_url: {
          type: "string",
          description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        media_id: {
          type: "string",
          description: "Unique ID returned on successful upload of your media file on BrowserStack.",
          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        uploaded_at: {
          type: "string",
          description: "Media upload timestamp.",
          example: "2021-10-13T10:30:00.000Z"
        }
      }
    },
    AppAutomateMediaFile: {
      type: "object",
      required: [
        "media_id",
        "media_url"
      ],
      properties: {
        media_id: {
          type: "string",
          description: "Unique ID returned on successful upload of your media file on BrowserStack.",
          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        media_url: {
          type: "string",
          description: "Unique identifier returned upon successful upload of your media file on BrowserStack. This value is used to specify the media files to be used in your tests.",
          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        media_name: {
          type: "string",
          description: "Name of the media file uploaded.",
          example: "media.jpg"
        },
        uploaded_at: {
          type: "string",
          description: "Timestamp of the media file upload.",
          example: "2021-09-30T10:00:00.000Z"
        },
        custom_id: {
          type: "string",
          description: "Custom ID of the media file uploaded. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          example: "media_1"
        },
        shareable_id: {
          type: "string",
          description: "Shareable ID allows members of other teams to use the media files in their tests.",
          example: "steve/SampleMedia"
        }
      }
    },
    AppAutomateApp: {
      type: "object",
      required: [
        "app_url"
      ],
      properties: {
        app_id: {
          type: "string",
          description: "Unique ID returned on successful upload of your app on BrowserStack.",
          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        app_url: {
          type: "string",
          description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        app_name: {
          type: "string",
          description: "Name of the media file uploaded.",
          example: "media.jpg"
        },
        uploaded_at: {
          type: "string",
          description: "Timestamp of the media file upload.",
          example: "2021-09-30T10:00:00.000Z"
        },
        custom_id: {
          type: "string",
          description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          example: "media_1"
        },
        shareable_id: {
          type: "string",
          description: "Shareable ID allows other users in your organization to test an app you uploaded.",
          example: "steve/SampleApp"
        }
      }
    },
    AppAutomateTestPackage: {
      type: "object",
      required: [
        "test_package_url"
      ],
      properties: {
        test_package_id: {
          type: "string",
          description: "Unique ID returned on successful upload of your app on BrowserStack.",
          example: "90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        test_package_url: {
          type: "string",
          description: "Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts.",
          example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
        },
        test_package_name: {
          type: "string",
          description: "Name of the media file uploaded.",
          example: "media.zip"
        },
        uploaded_at: {
          type: "string",
          description: "Timestamp of the media file upload.",
          example: "2021-09-30T10:00:00.000Z"
        },
        custom_id: {
          type: "string",
          description: "Custom ID defined for the uploaded app. Accepted characters are A-Z, a-z, 0-9, ., -, _. All other characters are ignored. Character limit is 100.",
          example: "media_1"
        },
        shareable_id: {
          type: "string",
          description: "Shareable ID allows other users in your organization to test an app you uploaded.",
          example: "steve/SampleApp"
        }
      }
    },
    AppAutomateDevice: {
      type: "object",
      required: [
        "os",
        "os_version",
        "device",
        "real_mobile"
      ],
      properties: {
        os: {
          type: "string",
          example: "ios"
        },
        os_version: {
          type: "string",
          example: "14"
        },
        device: {
          type: "string",
          example: "iPad Pro 12.9 2021"
        },
        real_mobile: {
          type: "boolean",
          example: !0
        }
      }
    },
    AppAutomateSession: {
      allOf: [
        {
          type: "object",
          allOf: [
            {
              allOf: [
                {
                  type: "object",
                  required: [
                    "browser",
                    "browser_version"
                  ],
                  properties: {
                    browser: {
                      type: "string",
                      example: "Chrome"
                    },
                    browser_version: {
                      type: "string",
                      example: "80.0"
                    }
                  }
                },
                {
                  type: "object",
                  required: [
                    "os",
                    "os_version",
                    "device",
                    "real_mobile"
                  ],
                  properties: {
                    os: {
                      type: "string",
                      example: "Windows"
                    },
                    os_version: {
                      type: "string",
                      example: "10"
                    },
                    device: {
                      type: "string",
                      example: null
                    },
                    real_mobile: {
                      type: "boolean",
                      example: null
                    }
                  }
                }
              ]
            },
            {
              type: "object",
              required: [
                "hashed_id",
                "name",
                "duration",
                "status",
                "browserstack_status",
                "reason",
                "build_name",
                "project_name",
                "logs",
                "browser_url",
                "public_url",
                "appium_logs_url",
                "video_url",
                "browser_console_logs_url",
                "har_logs_url",
                "selenium_logs_url",
                "selenium_telemetry_logs_url",
                "created_at"
              ],
              properties: {
                hashed_id: {
                  type: "string",
                  description: "Hashed ID of the session",
                  example: "4207442b2b0567368956dba064c22a3235a76214"
                },
                name: {
                  type: "string",
                  description: "Name of your session",
                  example: "pricing_project_build"
                },
                duration: {
                  type: "number",
                  description: "Duration of session execution",
                  example: 10
                },
                status: {
                  type: "string",
                  description: "Status of the session",
                  enum: [
                    "running",
                    "timeout",
                    "failed",
                    "done"
                  ]
                },
                browserstack_status: {
                  type: "string",
                  description: "Execution status of the session"
                },
                reason: {
                  type: "string",
                  description: "Reason for test status",
                  example: "CLIENT_STOPPED_SESSION"
                },
                build_name: {
                  type: "string",
                  description: "Name of the build",
                  example: "pricing_project_build"
                },
                project_name: {
                  type: "string",
                  description: "Name of the project",
                  example: "pricing_project"
                },
                logs: {
                  type: "string",
                  description: "Link to the session logs",
                  example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/logs"
                },
                browser_url: {
                  type: "string",
                  description: "URL to view the session on Automate dashboard",
                  example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe"
                },
                public_url: {
                  type: "string",
                  description: "URL to view the session publicly",
                  example: "https://automate.browserstack.com/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe?auth_token=01df4e51ba67eb743484a08b024a44601a2ae0399c5c011a68d9564147be1387"
                },
                appium_logs_url: {
                  type: "string",
                  description: "URL to view the Appium logs",
                  example: "https://api.browserstack.com/automate/builds/5343932818f9330c5d2b5c72aaf9dd8fde77b428/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/appiumlogs"
                },
                video_url: {
                  type: "string",
                  description: "URL to view session video",
                  example: "https://automate.browserstack.com/sessions/550709149fe79e949363b581e774d5ebffa1b8fe/video?token=V3pFcVdqdzJNTnNjMzJxeXNBU3FSMUtYU3lnUGsvSTMwbmhEWlRxWUNnRlJ1eHBzTUE0TXd5Z0o0R2lya25jendNaldoQldtbGJTaUtsTTRYQmdIYkE9PS0tNmVXSW91N25yNERzeWRLRnUya2xvQT09--77b9f745d91d9b99572a9e3c98dd001347f1b62c&source=rest_api&diff=860746.273516167"
                },
                browser_console_logs_url: {
                  type: "string",
                  description: "URL to view browser console logs",
                  example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-aps/s3.ap-south-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-console-logs-v2.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                },
                har_logs_url: {
                  type: "string",
                  description: "URL to view browser logs",
                  example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-har-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                },
                selenium_logs_url: {
                  type: "string",
                  description: "URL to view selenium logs",
                  example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                },
                selenium_telemetry_logs_url: {
                  type: "string",
                  description: "URL to view telemetry logs if it is enabled in your Selenium 4 session",
                  example: "https://automate.browserstack.com/s3-upload/bs-selenium-logs-euw/s3.eu-west-1/550709149fe79e949363b581e774d5ebffa1b8fe/550709149fe79e949363b581e774d5ebffa1b8fe-selenium-logs.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."
                },
                created_at: {
                  type: "string",
                  description: "Timestamp at which the session started executing",
                  example: "2020-03-11T10:14:36.000Z"
                }
              }
            }
          ]
        },
        {
          type: "object",
          required: [
            "app_details"
          ],
          properties: {
            app_details: {
              type: "object",
              properties: {
                app_name: {
                  type: "string",
                  description: "Package name of the app.",
                  example: "com.sample.loginapplication"
                },
                app_version: {
                  type: "string",
                  description: "Version of the app.",
                  example: "1.0"
                },
                app_url: {
                  type: "string",
                  description: 'Unique identifier returned upon successful upload of your app on BrowserStack. This value can be used later to specify the application under test in your Appium test scripts."',
                  example: "media://90c7a8h8dc82308108734e9a46c24d8f01de12881"
                },
                app_custom_id: {
                  type: "string",
                  description: "Custom ID defined for the uploaded app.",
                  example: "LoginApp"
                },
                uploaded_at: {
                  type: "string",
                  description: "Timestamp of the app upload.",
                  example: "2021-09-30T10:00:00.000Z"
                }
              }
            }
          }
        }
      ]
    },
    AppAutomateAppProfilingV1: {
      type: "object",
      required: [
        "ts",
        "cpu",
        "mem",
        "mema",
        "batt",
        "temp"
      ],
      properties: {
        ts: {
          type: "number",
          description: "Timestamp of the profiling data. Epoch time.",
          example: 1600264609
        },
        cpu: {
          type: "number",
          description: "Percentage of CPU utilisation of overall device.",
          example: 0
        },
        mem: {
          type: "number",
          description: "RAM utilisation of overall device in MB.",
          example: 5633
        },
        mema: {
          type: "number",
          description: "RAM available in device in MB.",
          example: 3063
        },
        batt: {
          type: "number",
          description: "Battery percentage.",
          example: 100
        },
        temp: {
          type: "number",
          description: "Temperature of the device in degree Celsius.",
          example: 22
        },
        additionalProperties: {
          type: "object",
          description: "Additional properties"
        }
      }
    },
    AppAutomateAppProfilingV2: {
      type: "object",
      required: [
        "metadata",
        "data"
      ],
      properties: {
        metadata: {
          type: "object",
          additionalProperties: !0
        },
        data: {
          type: "object",
          properties: {
            units: {
              type: "object",
              additionalProperties: !0
            }
          },
          additionalProperties: !0
        }
      }
    },
    NewWorker: {
      allOf: [
        {
          type: "object",
          required: [
            "url",
            "os",
            "os_version"
          ],
          properties: {
            url: {
              type: "string",
              description: "URL to be opened in the browser",
              example: "https://www.google.com/ncr"
            },
            timeout: {
              type: "number",
              description: "Time in seconds before the worker is terminated. The default value is 300 seconds and the minimum value is 60 seconds. IMPORTANT: Irrespective of the timeout parameter, a browser worker is alive for a maximum time of 1800 seconds.",
              example: 300
            },
            os: {
              type: "string",
              description: "Operating system name.",
              example: "Windows"
            },
            os_version: {
              type: "string",
              description: "Operating system version.",
              example: "10"
            },
            name: {
              type: "string",
              description: "Name of the worker.",
              example: "qunit-test-pricing"
            },
            build: {
              type: "string",
              description: "Name of the build the session is running under.",
              example: "staging-build"
            },
            project: {
              type: "string",
              description: "Name of the project the build is organized under.",
              example: "pricing-project"
            },
            "browserstack.video": {
              type: "boolean",
              description: "Enable video recording for the session. The default value is false.",
              example: !0
            },
            resolution: {
              type: "string",
              description: "Set the resolution of VM before the beginning of your test. Available for Desktop only. The default value is 1024x768.",
              example: "1024x768"
            }
          }
        },
        {
          oneOf: [
            {
              type: "object",
              required: [
                "browser",
                "browser_version"
              ],
              properties: {
                browser: {
                  type: "string",
                  description: "Browser name.",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  description: "Browser version.",
                  example: "80.0"
                }
              }
            },
            {
              type: "object",
              properties: {
                device: {
                  type: "string",
                  description: "Device name. If a device is not provided it defaults to the first device available for that os version.",
                  example: "iPhone 11 Pro"
                },
                browser: {
                  type: "string",
                  description: "Browser name.",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  description: "Browser version.",
                  example: "80.0"
                }
              }
            }
          ]
        }
      ]
    },
    Worker: {
      allOf: [
        {
          allOf: [
            {
              type: "object",
              required: [
                "browser",
                "browser_version"
              ],
              properties: {
                browser: {
                  type: "string",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  example: "80.0"
                }
              }
            },
            {
              type: "object",
              required: [
                "os",
                "os_version",
                "device",
                "real_mobile"
              ],
              properties: {
                os: {
                  type: "string",
                  example: "Windows"
                },
                os_version: {
                  type: "string",
                  example: "10"
                },
                device: {
                  type: "string",
                  example: null
                },
                real_mobile: {
                  type: "boolean",
                  example: null
                }
              }
            }
          ]
        },
        {
          type: "object",
          required: [
            "id"
          ],
          properties: {
            id: {
              type: "number",
              description: "ID of the worker.",
              example: 122326697
            },
            sessionId: {
              description: "ID of the session.",
              example: "550709149fe79e949363b581e774d5ebffa1b8fe"
            },
            status: {
              type: "string",
              enum: [
                "queue",
                "running"
              ],
              description: "Current status of the worker.",
              example: "running"
            },
            browser_url: {
              type: "string",
              description: "Dashboard URL of the session",
              example: ""
            }
          }
        }
      ]
    },
    NewScreenshot: {
      type: "object",
      required: [
        "browsers",
        "url"
      ],
      properties: {
        browsers: {
          type: "array",
          items: {
            type: "object",
            required: [
              "os",
              "os_version"
            ],
            properties: {
              browser: {
                type: "string",
                example: "Chrome"
              },
              browser_version: {
                type: "string",
                example: "80.0"
              },
              os: {
                type: "string",
                example: "Windows"
              },
              os_version: {
                type: "string",
                example: "10"
              },
              device: {
                type: "string",
                description: "Required if you want to test on a mobile device.",
                example: null
              }
            }
          }
        },
        orientation: {
          type: "string",
          enum: [
            "portrait",
            "landscape"
          ],
          description: "Screen orientation for a mobile device. Default: portrait"
        },
        url: {
          type: "string",
          example: "https://nextjs-template.vercel.app/"
        },
        callback_url: {
          type: "string",
          description: "Public URL to which the screenshot will be posted."
        },
        win_res: {
          type: "string",
          description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
          example: "1024x768"
        },
        mac_res: {
          type: "string",
          description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
          example: "1024x768"
        },
        quality: {
          type: "string",
          enum: [
            "Compressed",
            "Original"
          ],
          description: "Quality of the screenshot. Default: Compressed"
        },
        local: {
          type: "boolean",
          description: "Set to true if URL is local and a Local Testing connection has been set up. Default: false"
        },
        wait_time: {
          type: "number",
          description: "Time in seconds to wait before taking the screenshot. Default: 5",
          example: 5
        }
      }
    },
    ScreenshotsJobBase: {
      type: "object",
      properties: {
        job_id: {
          type: "string",
          description: "Unique identifier for the screenshot job.",
          example: "4207442b2b0567368956dba064c22a3235a76214"
        },
        callback_url: {
          type: "string",
          description: "Public URL to which the screenshot will be posted.",
          example: "https://callback.example.com"
        },
        win_res: {
          type: "string",
          description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
          example: "1024x768"
        },
        mac_res: {
          type: "string",
          description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
          example: "1024x768"
        },
        quality: {
          type: "string",
          enum: [
            "Compressed",
            "Original"
          ],
          description: "Quality of the screenshot. Default: Compressed"
        },
        wait_time: {
          type: "number",
          description: "Time in seconds to wait before taking the screenshot. Default: 5",
          example: 5
        },
        orientation: {
          type: "string",
          enum: [
            "portrait",
            "landscape"
          ],
          description: "Screen orientation for a mobile device. Default: portrait"
        },
        screenshots: {
          type: "array",
          items: {
            allOf: [
              {
                type: "object",
                required: [
                  "id",
                  "state",
                  "url",
                  "os",
                  "os_version"
                ],
                properties: {
                  id: {
                    type: "string",
                    description: "ID for the screenshot",
                    example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
                  },
                  state: {
                    type: "string",
                    enum: [
                      "pending",
                      "done",
                      "failed"
                    ]
                  },
                  url: {
                    type: "string",
                    example: "https://nextjs-template.vercel.app/"
                  },
                  os: {
                    type: "string",
                    example: "Windows"
                  },
                  os_version: {
                    type: "string",
                    example: "10"
                  }
                }
              },
              {
                oneOf: [
                  {
                    type: "object",
                    required: [
                      "device"
                    ],
                    properties: {
                      device: {
                        type: "string",
                        example: "iPhone 4S (6.0)"
                      },
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  },
                  {
                    type: "object",
                    required: [
                      "browser",
                      "browser_version"
                    ],
                    properties: {
                      browser: {
                        type: "string",
                        example: "Chrome"
                      },
                      browser_version: {
                        type: "string",
                        example: "80.0"
                      }
                    }
                  }
                ]
              },
              {
                type: "object",
                properties: {
                  image_url: {
                    type: "string",
                    description: "URL to view the screenshot",
                    example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
                  },
                  thumb_url: {
                    type: "string",
                    description: "URL to view the thumbnail of the screenshot",
                    example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
                  },
                  created_at: {
                    type: "string",
                    description: "Timestamp at which the screenshot was taken",
                    example: "2013-03-14 16:25:45 UTC"
                  }
                }
              }
            ]
          }
        }
      }
    },
    NewScreenshotsJob: {
      allOf: [
        {
          type: "object",
          properties: {
            job_id: {
              type: "string",
              description: "Unique identifier for the screenshot job.",
              example: "4207442b2b0567368956dba064c22a3235a76214"
            },
            callback_url: {
              type: "string",
              description: "Public URL to which the screenshot will be posted.",
              example: "https://callback.example.com"
            },
            win_res: {
              type: "string",
              description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
              example: "1024x768"
            },
            mac_res: {
              type: "string",
              description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
              example: "1024x768"
            },
            quality: {
              type: "string",
              enum: [
                "Compressed",
                "Original"
              ],
              description: "Quality of the screenshot. Default: Compressed"
            },
            wait_time: {
              type: "number",
              description: "Time in seconds to wait before taking the screenshot. Default: 5",
              example: 5
            },
            orientation: {
              type: "string",
              enum: [
                "portrait",
                "landscape"
              ],
              description: "Screen orientation for a mobile device. Default: portrait"
            },
            screenshots: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "id",
                      "state",
                      "url",
                      "os",
                      "os_version"
                    ],
                    properties: {
                      id: {
                        type: "string",
                        description: "ID for the screenshot",
                        example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
                      },
                      state: {
                        type: "string",
                        enum: [
                          "pending",
                          "done",
                          "failed"
                        ]
                      },
                      url: {
                        type: "string",
                        example: "https://nextjs-template.vercel.app/"
                      },
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      }
                    }
                  },
                  {
                    oneOf: [
                      {
                        type: "object",
                        required: [
                          "device"
                        ],
                        properties: {
                          device: {
                            type: "string",
                            example: "iPhone 4S (6.0)"
                          },
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "browser",
                          "browser_version"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      }
                    ]
                  },
                  {
                    type: "object",
                    properties: {
                      image_url: {
                        type: "string",
                        description: "URL to view the screenshot",
                        example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
                      },
                      thumb_url: {
                        type: "string",
                        description: "URL to view the thumbnail of the screenshot",
                        example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
                      },
                      created_at: {
                        type: "string",
                        description: "Timestamp at which the screenshot was taken",
                        example: "2013-03-14 16:25:45 UTC"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        {
          type: "object",
          required: [
            "job_id"
          ],
          properties: {
            job_id: {
              type: "string",
              description: "Unique identifier for the screenshot job.",
              example: "4207442b2b0567368956dba064c22a3235a76214"
            }
          }
        }
      ]
    },
    ScreenshotsJob: {
      allOf: [
        {
          type: "object",
          properties: {
            job_id: {
              type: "string",
              description: "Unique identifier for the screenshot job.",
              example: "4207442b2b0567368956dba064c22a3235a76214"
            },
            callback_url: {
              type: "string",
              description: "Public URL to which the screenshot will be posted.",
              example: "https://callback.example.com"
            },
            win_res: {
              type: "string",
              description: "Sceen resolution of the Windows machine. Values: 1024x768, 1280x1024. Default: 1024x768",
              example: "1024x768"
            },
            mac_res: {
              type: "string",
              description: "Sceen resolution of the Mac machine. Values: 1024x768, 1280x960, 1280x1024, 1600x1200, 1920x1080. Default: 1024x768",
              example: "1024x768"
            },
            quality: {
              type: "string",
              enum: [
                "Compressed",
                "Original"
              ],
              description: "Quality of the screenshot. Default: Compressed"
            },
            wait_time: {
              type: "number",
              description: "Time in seconds to wait before taking the screenshot. Default: 5",
              example: 5
            },
            orientation: {
              type: "string",
              enum: [
                "portrait",
                "landscape"
              ],
              description: "Screen orientation for a mobile device. Default: portrait"
            },
            screenshots: {
              type: "array",
              items: {
                allOf: [
                  {
                    type: "object",
                    required: [
                      "id",
                      "state",
                      "url",
                      "os",
                      "os_version"
                    ],
                    properties: {
                      id: {
                        type: "string",
                        description: "ID for the screenshot",
                        example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
                      },
                      state: {
                        type: "string",
                        enum: [
                          "pending",
                          "done",
                          "failed"
                        ]
                      },
                      url: {
                        type: "string",
                        example: "https://nextjs-template.vercel.app/"
                      },
                      os: {
                        type: "string",
                        example: "Windows"
                      },
                      os_version: {
                        type: "string",
                        example: "10"
                      }
                    }
                  },
                  {
                    oneOf: [
                      {
                        type: "object",
                        required: [
                          "device"
                        ],
                        properties: {
                          device: {
                            type: "string",
                            example: "iPhone 4S (6.0)"
                          },
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      },
                      {
                        type: "object",
                        required: [
                          "browser",
                          "browser_version"
                        ],
                        properties: {
                          browser: {
                            type: "string",
                            example: "Chrome"
                          },
                          browser_version: {
                            type: "string",
                            example: "80.0"
                          }
                        }
                      }
                    ]
                  },
                  {
                    type: "object",
                    properties: {
                      image_url: {
                        type: "string",
                        description: "URL to view the screenshot",
                        example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
                      },
                      thumb_url: {
                        type: "string",
                        description: "URL to view the thumbnail of the screenshot",
                        example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
                      },
                      created_at: {
                        type: "string",
                        description: "Timestamp at which the screenshot was taken",
                        example: "2013-03-14 16:25:45 UTC"
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        {
          type: "object",
          required: [
            "id"
          ],
          properties: {
            id: {
              type: "string",
              description: "Unique identifier for the screenshot job.",
              example: "4207442b2b0567368956dba064c22a3235a76214"
            }
          }
        }
      ]
    },
    ScreenshotBase: {
      type: "object",
      required: [
        "id",
        "state",
        "url",
        "os",
        "os_version"
      ],
      properties: {
        id: {
          type: "string",
          description: "ID for the screenshot",
          example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
        },
        state: {
          type: "string",
          enum: [
            "pending",
            "done",
            "failed"
          ]
        },
        url: {
          type: "string",
          example: "https://nextjs-template.vercel.app/"
        },
        os: {
          type: "string",
          example: "Windows"
        },
        os_version: {
          type: "string",
          example: "10"
        }
      }
    },
    Screenshot: {
      allOf: [
        {
          type: "object",
          required: [
            "id",
            "state",
            "url",
            "os",
            "os_version"
          ],
          properties: {
            id: {
              type: "string",
              description: "ID for the screenshot",
              example: "be9989892cbba9b9edc2c95f403050aa4996ac6a"
            },
            state: {
              type: "string",
              enum: [
                "pending",
                "done",
                "failed"
              ]
            },
            url: {
              type: "string",
              example: "https://nextjs-template.vercel.app/"
            },
            os: {
              type: "string",
              example: "Windows"
            },
            os_version: {
              type: "string",
              example: "10"
            }
          }
        },
        {
          oneOf: [
            {
              type: "object",
              required: [
                "device"
              ],
              properties: {
                device: {
                  type: "string",
                  example: "iPhone 4S (6.0)"
                },
                browser: {
                  type: "string",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  example: "80.0"
                }
              }
            },
            {
              type: "object",
              required: [
                "browser",
                "browser_version"
              ],
              properties: {
                browser: {
                  type: "string",
                  example: "Chrome"
                },
                browser_version: {
                  type: "string",
                  example: "80.0"
                }
              }
            }
          ]
        },
        {
          type: "object",
          properties: {
            image_url: {
              type: "string",
              description: "URL to view the screenshot",
              example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/winxp_ie_7.0.png"
            },
            thumb_url: {
              type: "string",
              description: "URL to view the thumbnail of the screenshot",
              example: "https://www.browserstack.com/screenshots/13b93a14db22872fcb5fd1c86b730a51197db319/thumb_winxp_ie_7.0.jpg"
            },
            created_at: {
              type: "string",
              description: "Timestamp at which the screenshot was taken",
              example: "2013-03-14 16:25:45 UTC"
            }
          }
        }
      ]
    },
    LocalBinaryInstance: {
      type: "object",
      required: [
        "id",
        "email",
        "lastActiveOn",
        "startTime",
        "localIdentifier"
      ],
      properties: {
        id: {
          type: "string",
          description: "Unique identifier for the Local instance.",
          example: "QUERTY1"
        },
        email: {
          type: "string",
          description: "User account that started the Local instance.",
          example: "john@browserstack.com"
        },
        hostname: {
          type: "string",
          description: "Hostname for the machine running the Local instance.",
          example: "my-local-box"
        },
        lastActiveOn: {
          type: "string",
          description: "Timestamp at which the Local instance was last active.",
          example: "2013-03-14 16:25:45 UTC"
        },
        startTime: {
          type: "string",
          description: "Timestamp at which the Local instance was started.",
          example: "2013-03-14 16:25:45 UTC"
        },
        endTime: {
          type: "string",
          description: "Timestamp at which the Local instance was terminated.",
          example: "2013-03-14 16:25:45 UTC"
        },
        disconnectReason: {
          type: "string",
          description: "Reason for termination of the Local instance.",
          example: "User terminated the instance."
        },
        commandLineParams: {
          type: "string",
          description: "Command line parameters used to start the Local instance.",
          example: "--key <access_key> --enable-logging-for-api --local-identifier <local_identifier>"
        },
        localIdentifier: {
          type: "string",
          description: "Identifier for the Local instance.",
          example: "4207442b2b0567368956dba064c22a3235a76214"
        },
        "public-IP": {
          type: "string",
          description: "Public IP address of the machine running the Local instance.",
          example: "8.8.4.4"
        },
        privateIP: {
          type: "array",
          items: {
            type: "string",
            description: "Private IP address of the machine running the Local instance."
          },
          example: [
            "127.0.0.1",
            "10.100.100.1"
          ]
        }
      }
    },
    "400.BadRequest": {
      description: "Bad request."
    },
    "401.Unauthorized": {
      description: "Your BrowserStack access credentials are invalid."
    },
    "403.Forbidden": {
      description: "Authorized user is not the owner of the resource."
    },
    "404.NotFound": {
      description: "The requested resource could not be found."
    },
    "422.UnprocessableEntity": {
      description: "Request is well-formed but has semantic errors. The response will provide more details about error."
    },
    "5xx.InternalServerError": {
      description: "Indicates an error with BrowserStack servers."
    }
  },
  securitySchemes: {
    BasicAuth: {
      type: "http",
      scheme: "basic"
    }
  }
}, A = {
  openapi: z,
  info: W,
  externalDocs: M,
  servers: E,
  security: Y,
  paths: G,
  components: Z
}, H = "browserstack-client", X = "3.0.0-next.6", V = "BrowserStack APIs client library for node.js", J = "module", Q = "./dist/browserstack-client.umd.cjs", $ = "./dist/browserstack-client.js", K = "./dist/index.d.ts", ee = {
  ".": {
    import: "./dist/browserstack-client.js",
    require: "./dist/browserstack-client.umd.cjs"
  }
}, te = {
  prebuild: "node build.mjs && npm run lint",
  build: "tsc && vite build",
  test: "vitest run --typecheck",
  "test-watch": "vitest --typecheck",
  coverage: "vitest run --coverage.enabled --coverage.include=src --coverage.exclude=src/generated",
  lint: "eslint . --ext .ts",
  "predocs:dev": "typedoc",
  "docs:dev": "vitepress dev docs",
  "predocs:build": "typedoc",
  "docs:build": "vitepress build docs",
  "docs:preview": "vitepress preview docs"
}, re = "Shirish Kamath", se = "MIT", ie = [
  "dist/**/*"
], oe = {
  node: ">=18.0.0"
}, ae = {
  "@apidevtools/swagger-parser": "^10.1.0",
  "@types/node": "^20.11.6",
  "@typescript-eslint/eslint-plugin": "^6.19.1",
  "@typescript-eslint/parser": "^6.19.1",
  "@vitest/coverage-v8": "^1.2.1",
  eslint: "^8.56.0",
  "openapi-typescript": "^7.0.0-next.7",
  "openapi-typescript-helpers": "^0.0.5",
  typedoc: "^0.25.7",
  "typedoc-plugin-markdown": "^4.0.0-next.43",
  "typedoc-vitepress-theme": "^1.0.0-next.0",
  typescript: "^5.2.2",
  vite: "^5.0.8",
  "vite-plugin-dts": "^3.7.2",
  vitepress: "^1.0.0-rc.40",
  vitest: "1.2.1"
}, pe = {
  fflate: "^0.8.1",
  "openapi-fetch": "^0.8.2"
}, ne = {
  type: "git",
  url: "git://github.com/shirish87/browserstack-client.git"
}, de = "https://shirish87.github.io/browserstack-client/", le = {
  url: "https://github.com/shirish87/browserstack-client/issues"
}, ce = [
  "browserstack",
  "api",
  "client",
  "node",
  "javascript",
  "typescript",
  "esm"
], c = {
  name: H,
  version: X,
  description: V,
  type: J,
  main: Q,
  module: $,
  types: K,
  exports: ee,
  scripts: te,
  author: re,
  license: se,
  files: ie,
  engines: oe,
  devDependencies: ae,
  dependencies: pe,
  repository: ne,
  homepage: de,
  bugs: le,
  keywords: ce
}, ue = [c == null ? void 0 : c.name, c == null ? void 0 : c.version].filter(Boolean).join("/"), me = ["node", F.node].filter(Boolean).join("/"), be = [ue, me].filter(Boolean).join(" "), ye = {
  name: c == null ? void 0 : c.name,
  version: c == null ? void 0 : c.version,
  userAgent: be
}, fe = {
  "Content-Type": "application/json"
};
function C(i) {
  const {
    fetch: e = globalThis.fetch,
    querySerializer: t,
    bodySerializer: r,
    ...s
  } = i ?? {};
  let o = s.baseUrl ?? "";
  o.endsWith("/") && (o = o.slice(0, -1));
  async function l(a, p) {
    const {
      fetch: g = e,
      headers: b,
      body: y,
      params: f = {},
      parseAs: u = "json",
      querySerializer: h = t ?? he,
      bodySerializer: m = r ?? ge,
      ...x
    } = p || {}, O = we(a, {
      baseUrl: o,
      params: f,
      querySerializer: h
    }), U = _e(
      fe,
      i == null ? void 0 : i.headers,
      b,
      f.header
    ), S = {
      redirect: "follow",
      ...s,
      ...x,
      headers: U
    };
    y && (S.body = m(y)), S.body instanceof FormData && U.delete("Content-Type");
    const d = await g(O, S);
    if (d.status === 204 || d.headers.get("Content-Length") === "0")
      return d.ok ? { data: {}, response: d } : { error: {}, response: d };
    if (d.ok) {
      if (u === "stream")
        return { data: d.clone().body, response: d };
      const I = d.clone();
      return {
        data: typeof I[u] == "function" ? await I[u]() : await I.text(),
        response: d
      };
    }
    let k = {};
    try {
      k = await d.clone().json();
    } catch {
      k = await d.clone().text();
    }
    return { error: k, response: d };
  }
  return {
    /** Call a GET endpoint */
    async GET(a, p) {
      return l(a, { ...p, method: "GET" });
    },
    /** Call a PUT endpoint */
    async PUT(a, p) {
      return l(a, { ...p, method: "PUT" });
    },
    /** Call a POST endpoint */
    async POST(a, p) {
      return l(a, { ...p, method: "POST" });
    },
    /** Call a DELETE endpoint */
    async DELETE(a, p) {
      return l(a, { ...p, method: "DELETE" });
    },
    /** Call a OPTIONS endpoint */
    async OPTIONS(a, p) {
      return l(a, { ...p, method: "OPTIONS" });
    },
    /** Call a HEAD endpoint */
    async HEAD(a, p) {
      return l(a, { ...p, method: "HEAD" });
    },
    /** Call a PATCH endpoint */
    async PATCH(a, p) {
      return l(a, { ...p, method: "PATCH" });
    },
    /** Call a TRACE endpoint */
    async TRACE(a, p) {
      return l(a, { ...p, method: "TRACE" });
    }
  };
}
function he(i) {
  const e = [];
  if (i && typeof i == "object")
    for (const [t, r] of Object.entries(i)) {
      const s = D([t], r);
      s && e.push(s);
    }
  return e.join("&");
}
function D(i, e) {
  if (e != null) {
    if (typeof e == "string")
      return `${T(i)}=${encodeURIComponent(e)}`;
    if (typeof e == "number" || typeof e == "boolean")
      return `${T(i)}=${String(e)}`;
    if (Array.isArray(e)) {
      if (!e.length)
        return;
      const t = [];
      for (const r of e) {
        const s = D(i, r);
        s !== void 0 && t.push(s);
      }
      return t.join("&");
    }
    if (typeof e == "object") {
      if (!Object.keys(e).length)
        return;
      const t = [];
      for (const [r, s] of Object.entries(e))
        if (s != null) {
          const o = D([...i, r], s);
          o !== void 0 && t.push(o);
        }
      return t.join("&");
    }
    return encodeURIComponent(`${T(i)}=${String(e)}`);
  }
}
function T(i) {
  let e = i[0];
  for (const t of i.slice(1))
    e += `[${t}]`;
  return e;
}
function ge(i) {
  return JSON.stringify(i);
}
function we(i, e) {
  let t = `${e.baseUrl}${i}`;
  if (e.params.path)
    for (const [s, o] of Object.entries(e.params.path))
      t = t.replace(`{${s}}`, encodeURIComponent(String(o)));
  const r = e.querySerializer(e.params.query ?? {});
  return r && (t += `?${r}`), t;
}
function _e(...i) {
  const e = new Headers();
  for (const t of i) {
    if (!t || typeof t != "object")
      continue;
    const r = t instanceof Headers ? t.entries() : Object.entries(t);
    for (const [s, o] of r)
      o === null ? e.delete(s) : o !== void 0 && e.set(s, o);
  }
  return e;
}
const [{ variables: q }, { variables: j }] = (A == null ? void 0 : A.servers) ?? [], xe = `${q.scheme.default}://${q.host.default}${q.basePath ? q.basePath.default : ""}`, ve = `${j.scheme.default}://${j.host.default}${j.basePath ? j.basePath.default : ""}`;
class v {
  constructor(e) {
    w(this, "sdk");
    w(this, "sdkCloud");
    const t = e.username ?? R.BROWSERSTACK_USERNAME;
    if (e.usernameOptional !== !0 && (typeof t != "string" || !t.trim().length))
      throw new n("Missing options.username");
    const r = e.key ?? R.BROWSERSTACK_KEY;
    if (typeof r != "string" || !r.trim().length)
      throw new n("Missing options.key");
    const s = {
      ...e,
      baseUrl: e.baseUrl ?? xe,
      headers: {
        ...e.headers,
        Authorization: t ? `Basic ${btoa(`${t}:${r}`)}` : void 0,
        "User-Agent": ye.userAgent
      }
    };
    this.sdk = C(s), this.sdkCloud = C({
      ...s,
      baseUrl: ve
    });
  }
  /**
   * @internal
   */
  async makeGetRequest(e, ...t) {
    const r = await this.sdk.GET(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makePostRequest(e, ...t) {
    const r = await this.sdk.POST(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makeCloudGetRequest(e, ...t) {
    const r = await this.sdkCloud.GET(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makeCloudPostRequest(e, ...t) {
    const r = await this.sdkCloud.POST(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makePutRequest(e, ...t) {
    const r = await this.sdk.PUT(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makePatchRequest(e, ...t) {
    const r = await this.sdk.PATCH(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
  /**
   * @internal
   */
  async makeDeleteRequest(e, ...t) {
    const r = await this.sdk.DELETE(e, ...t);
    if (r.error || !r.data)
      throw new n("Request failed", {
        path: e,
        response: r,
        ...t
      });
    return r.data;
  }
}
class qe extends v {
  /**
   * Constructs a new instance of the AppAutomateClient class.
   * @param options - Optional configuration options for the client.
   */
  constructor(e) {
    super({
      ...e,
      baseUrl: (e == null ? void 0 : e.baseUrl) ?? "https://api.browserstack.com"
    });
  }
  /**
   * Retrieves the plan information for App Automate.
   * @param options - The fetch options for the request.
   * @returns A promise that resolves with the plan information.
   */
  getPlan(e) {
    return this.makeGetRequest("/app-automate/plan.json", e);
  }
  /**
   * Retrieves the list of devices available for App Automate.
   * @param options - The fetch options for the request.
   * @returns A promise that resolves with the list of devices.
   */
  getDevices(e) {
    return this.makeGetRequest("/app-automate/devices.json", e);
  }
  /**
   * Retrieves the projects from the App Automate API.
   * @param options - The fetch options for the API request.
   * @returns A promise that resolves with the projects.
   */
  getProjects(e) {
    return this.makeGetRequest("/app-automate/projects.json", e);
  }
  /**
   * Retrieves a project by its ID.
   * @param projectId The ID of the project to retrieve.
   * @param options Additional options for the fetch request.
   * @returns A promise that resolves to the retrieved project.
   */
  getProject(e, t) {
    return this.makeGetRequest("/app-automate/projects/{projectId}.json", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      }
    }).then((r) => r.project);
  }
  /**
   * Updates a project in the App Automate API.
   *
   * @param projectId - The ID of the project to update.
   * @param body - The request body containing the updated project data.
   * @param options - Additional options for the request.
   * @returns A promise that resolves with the updated project data.
   */
  updateProject(e, t, r) {
    return this.makePutRequest("/app-automate/projects/{projectId}.json", {
      ...r,
      params: {
        path: {
          projectId: e
        }
      },
      body: t
    });
  }
  /**
   * Deletes a project.
   * @param projectId The ID of the project to delete.
   * @param options The fetch options for the delete request.
   * @returns A promise that resolves when the project is successfully deleted.
   */
  deleteProject(e, t) {
    return this.makeDeleteRequest("/app-automate/projects/{projectId}.json", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      }
    });
  }
  /**
   * Retrieves the badge key for a specific project.
   * @param projectId The ID of the project.
   * @param options Additional options for the fetch request.
   * @returns A promise that resolves to the badge key.
   */
  getBadgeKey(e, t) {
    return this.makeGetRequest("/app-automate/projects/{projectId}/badge_key", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      },
      parseAs: "text"
    });
  }
  /**
   * Retrieves a list of builds from the App Automate API.
   *
   * @param query - Optional query parameters for filtering the builds.
   * @param options - Optional fetch options for the API request.
   * @returns A promise that resolves to an array of automation builds.
   */
  getBuilds(e, t) {
    return this.makeGetRequest("/app-automate/builds.json", {
      ...t,
      params: {
        query: e
      }
    }).then((r) => r.map((s) => s.automation_build));
  }
  /**
   * Retrieves information about a specific build.
   * @param buildId - The ID of the build to retrieve.
   * @param options - Additional options for the fetch request.
   * @returns A promise that resolves to the build information, including the build details and associated sessions.
   */
  getBuild(e, t) {
    return this.makeGetRequest("/app-automate/builds/{buildId}.json", {
      ...t,
      params: {
        path: {
          buildId: e
        }
      }
    }).then((r) => ({
      ...r.build.automation_build,
      sessions: r.build.sessions.map(
        (s) => s.automation_session
      )
    }));
  }
  /**
   * Updates a build in the App Automate API.
   *
   * @param buildId - The ID of the build to update.
   * @param body - The request body containing the updated build information.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the updated build.
   * @throws {BrowserStackError} If an error occurs during the update.
   */
  updateBuild(e, t, r) {
    return this.makePutRequest("/app-automate/builds/{buildId}.json", {
      ...r,
      body: t,
      params: {
        path: {
          buildId: e
        }
      }
    }).then((s) => {
      if ("error" in s)
        throw new n(s.error, { response: s });
      return s.automation_build;
    });
  }
  /**
   * Deletes a build with the specified ID.
   * @param buildId The ID of the build to delete.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the build is successfully deleted.
   */
  deleteBuild(e, t) {
    return this.makeDeleteRequest("/app-automate/builds/{buildId}.json", {
      ...t,
      params: {
        path: {
          buildId: e
        }
      }
    });
  }
  /**
   * Uploads terminal logs for a specific build.
   * @param buildId - The ID of the build.
   * @param body - The request body containing the logs file and its filename.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response of the request.
   */
  uploadBuildTerminalLogs(e, t, r) {
    return this.makeCloudPostRequest(
      "/app-automate/builds/{buildId}/terminallogs",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return s.append("file", t.file, t.filename), s;
        },
        params: {
          path: {
            buildId: e
          }
        }
      }
    );
  }
  /**
   * Uploads terminal logs for a session.
   * @param sessionId - The ID of the session.
   * @param body - The request body containing the logs file and filename.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response of the request.
   */
  uploadSessionTerminalLogs(e, t, r) {
    return this.makeCloudPostRequest(
      "/app-automate/sessions/{sessionId}/terminallogs",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return s.append("file", t.file, t.filename), s;
        },
        params: {
          path: {
            sessionId: e
          }
        }
      }
    );
  }
  /**
   * Retrieves the session details for a given session ID.
   * @param sessionId - The ID of the session to retrieve.
   * @param options - Additional options for the fetch request.
   * @returns A promise that resolves to the automation session data.
   */
  getSession(e, t) {
    return this.makeGetRequest("/app-automate/sessions/{sessionId}.json", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    }).then((r) => r.automation_session);
  }
  /**
   * Updates the status of a session in the App Automate API.
   *
   * @param sessionId - The ID of the session to update.
   * @param body - The request body containing the updated session status.
   * @param options - Additional options for the API request.
   * @returns A Promise that resolves to the updated automation session.
   */
  updateSessionStatus(e, t, r) {
    return this.makePutRequest("/app-automate/sessions/{sessionId}.json", {
      ...r,
      body: t,
      params: {
        path: {
          sessionId: e
        }
      }
    }).then((s) => s.automation_session);
  }
  /**
   * Deletes a session in the App Automate API.
   * @param sessionId - The ID of the session to delete.
   * @param options - Additional options for the delete request.
   * @returns A promise that resolves when the session is successfully deleted.
   */
  deleteSession(e, t) {
    return this.makeDeleteRequest("/app-automate/sessions/{sessionId}.json", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    });
  }
  /**
   * Retrieves the session logs for a specific build and session.
   *
   * @param buildId - The ID of the build.
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the session logs.
   */
  getSessionLogs(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/logs",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        },
        parseAs: "text"
      }
    );
  }
  /**
   * Retrieves the device logs for a specific session.
   *
   * @param buildId - The ID of the build.
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves with the device logs.
   */
  getSessionDeviceLogs(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/devicelogs",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        },
        parseAs: "text"
      }
    );
  }
  /**
   * Retrieves the Appium logs for a specific session.
   *
   * @param buildId - The ID of the build.
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the Appium logs.
   */
  getSessionAppiumLogs(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/appiumlogs",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        },
        parseAs: "text"
      }
    );
  }
  /**
   * Retrieves the network logs for a specific session in a build.
   * @param buildId The ID of the build.
   * @param sessionId The ID of the session.
   * @param options Additional options for the network logs request.
   * @returns A Promise that resolves to the network logs response.
   */
  getSessionNetworkLogs(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/networklogs",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        }
      }
    );
  }
  /**
   * Retrieves the app profiling data for a specific session in a build.
   * @param buildId The ID of the build.
   * @param sessionId The ID of the session.
   * @param options Additional options for the request.
   * @returns A promise that resolves to the app profiling data.
   */
  getSessionAppProfilingDataV1(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/appprofiling",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        }
      }
    );
  }
  /**
   * Retrieves the app profiling data for a specific session in a build.
   * @param buildId The ID of the build.
   * @param sessionId The ID of the session.
   * @param options Additional options for the API request.
   * @returns A promise that resolves with the app profiling data.
   */
  getSessionAppProfilingDataV2(e, t, r) {
    return this.makeGetRequest(
      "/app-automate/builds/{buildId}/sessions/{sessionId}/appprofiling/v2",
      {
        ...r,
        params: {
          path: {
            buildId: e,
            sessionId: t
          }
        }
      }
    );
  }
  /**
   * Uploads a media file to the App Automate API.
   *
   * @param body - The request body containing the media file to upload.
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to the response of the API request.
   */
  uploadMediaFile(e, t) {
    return this.makePostRequest("/app-automate/upload-media", {
      ...t,
      body: e,
      bodySerializer: () => {
        const r = new FormData();
        return r.append("file", e.file, e.filename), e.custom_id && r.append("custom_id", e.custom_id), r;
      }
    });
  }
  /**
   * Retrieves the media files associated with the App Automate session.
   *
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to an array of media files, or an empty array if no media files are found.
   */
  getMediaFiles(e) {
    return this.makeGetRequest(
      "/app-automate/recent_media_files",
      e
    ).then((t) => "message" in t ? [] : t);
  }
  /**
   * Retrieves media files by custom ID.
   * @param customId - The custom ID to filter media files.
   * @param options - Optional fetch options.
   * @returns A promise that resolves to an array of media files or an empty array if no media files are found.
   */
  getMediaFilesByCustomId(e, t) {
    return this.makeGetRequest("/app-automate/recent_media_files/{customId}", {
      ...t,
      params: {
        path: {
          customId: e
        }
      }
    }).then((r) => "message" in r ? [] : r);
  }
  /**
   * Retrieves the group's media files from the App Automate API.
   *
   * @param options - Optional fetch options for the API request.
   * @returns A promise that resolves to an array of group media files, or an empty array if the response contains a "message" property.
   */
  getGroupMediaFiles(e) {
    return this.makeGetRequest(
      "/app-automate/recent_group_media",
      e
    ).then((t) => "message" in t ? [] : t);
  }
  /**
   * Deletes a media file from the app automate custom media.
   * @param mediaId The ID of the media file to delete.
   * @param options The fetch options for the delete request.
   * @returns A promise that resolves when the media file is successfully deleted.
   */
  deleteMediaFile(e, t) {
    return this.makeDeleteRequest(
      "/app-automate/custom_media/delete/{mediaId}",
      {
        ...t,
        params: {
          path: {
            mediaId: e
          }
        }
      }
    );
  }
  /**
   * Uploads an Appium app to BrowserStack App Automate.
   *
   * @param body - The request body containing the app file or URL to be uploaded.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the response of the upload request.
   */
  uploadAppiumApp(e, t) {
    return this.makePostRequest("/app-automate/upload", {
      ...t,
      body: e,
      bodySerializer: () => {
        const r = new FormData();
        return "file" in e ? r.append("file", e.file, e.filename) : r.append("url", e.url), e.custom_id && r.append("custom_id", e.custom_id), r;
      }
    });
  }
  /**
   * Retrieves the list of Appium apps from the App Automate API.
   *
   * @param options - Optional fetch options for customizing the request.
   * @returns A promise that resolves to an array of Appium apps, or an empty array if no apps are found.
   */
  getAppiumApps(e) {
    return this.makeGetRequest("/app-automate/recent_apps", e).then(
      (t) => "message" in t ? [] : t
    );
  }
  /**
   * Retrieves the Appium apps by custom ID.
   * @param customId The custom ID of the app.
   * @param options The fetch options for the request.
   * @returns A promise that resolves to the retrieved Appium apps.
   */
  getAppiumAppsByCustomId(e, t) {
    return this.makeGetRequest("/app-automate/recent_apps/{customId}", {
      ...t,
      params: {
        path: {
          customId: e
        }
      }
    }).then((r) => "message" in r ? [] : r);
  }
  /**
   * Retrieves the list of App Automate apps for the group using the specified fetch options.
   * @param options The fetch options for the request.
   * @returns A promise that resolves to the list of group apps, or an empty array if there is a "message" property in the response data.
   */
  getAppiumGroupApps(e) {
    return this.makeGetRequest("/app-automate/recent_group_apps", e).then(
      (t) => "message" in t ? [] : t
    );
  }
  /**
   * Deletes an Appium app.
   *
   * @param appId - The ID of the app to delete.
   * @param options - Optional fetch options for the delete request.
   * @returns A promise that resolves when the app is successfully deleted.
   */
  deleteAppiumApp(e, t) {
    return this.makeDeleteRequest("/app-automate/app/delete/{appId}", {
      ...t,
      params: {
        path: {
          appId: e
        }
      }
    });
  }
  /**
   * Uploads a Flutter app for App Automate.
   *
   * @param body - The request body containing the app file or URL and other optional parameters.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response of the request.
   */
  uploadFlutterApp(e, t, r) {
    return this.makePostRequest(
      e === "android" ? "/app-automate/flutter-integration-tests/v2/android/app" : "/app-automate/flutter-integration-tests/v2/ios/test-package",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return "file" in t ? s.append("file", t.file, t.filename) : s.append("url", t.url), t.custom_id && s.append("custom_id", t.custom_id), s;
        }
      }
    );
  }
  /**
   * Retrieves the list of Flutter apps for Android.
   *
   * @param options - The fetch options for the request.
   * @returns A promise that resolves to an array of Flutter apps, or an empty array if no apps are found.
   */
  getFlutterApps(e, t) {
    return this.makeGetRequest(
      e === "android" ? "/app-automate/flutter-integration-tests/v2/android/apps" : "/app-automate/flutter-integration-tests/v2/ios/test-packages",
      t
    ).then(
      (r) => "apps" in r ? r.apps : "test_packages" in r ? r.test_packages : []
    );
  }
  /**
   * Retrieves the Flutter app with the specified appId.
   * @param appId The ID of the Flutter app to retrieve.
   * @param options The fetch options for the request.
   * @returns A promise that resolves to the retrieved Flutter app.
   */
  getFlutterApp(e, t, r) {
    return this.makeGetRequest(
      e === "android" ? "/app-automate/flutter-integration-tests/v2/android/apps/{appId}" : "/app-automate/flutter-integration-tests/v2/ios/test-package/{appId}",
      {
        ...r,
        params: {
          path: {
            appId: t
          }
        }
      }
    ).then((s) => "app" in s ? s.app : s.test_package);
  }
  /**
   * Deletes a Flutter app from the BrowserStack App Automate service.
   * @param appId The ID of the app to delete.
   * @param options The fetch options for the delete request.
   * @returns A promise that resolves when the app is successfully deleted.
   */
  deleteFlutterApp(e, t, r) {
    return this.makeDeleteRequest(
      e === "android" ? "/app-automate/flutter-integration-tests/v2/android/apps/{appId}" : "/app-automate/flutter-integration-tests/v2/ios/test-package/{appId}",
      {
        ...r,
        params: {
          path: {
            appId: t
          }
        }
      }
    );
  }
  /**
   * Uploads an Espresso app to BrowserStack.
   *
   * @param body - The request body containing the app file or URL.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response from the server.
   */
  uploadEspressoApp(e, t) {
    return this.makePostRequest("/app-automate/espresso/v2/app", {
      ...t,
      body: e,
      bodySerializer: () => {
        const r = new FormData();
        return "file" in e ? r.append("file", e.file, e.filename) : r.append("url", e.url), e.custom_id && r.append("custom_id", e.custom_id), r;
      }
    });
  }
  /**
   * Retrieves the Espresso apps from the App Automate API.
   * @param options - The fetch options for the API request.
   * @returns A promise that resolves to an array of Espresso apps.
   */
  getEspressoApps(e) {
    return this.makeGetRequest("/app-automate/espresso/v2/apps", e).then(
      (t) => "apps" in t ? t.apps : []
    );
  }
  /**
   * Retrieves the Espresso app with the specified appId.
   * @param appId The ID of the Espresso app to retrieve.
   * @param options The fetch options for the request.
   * @returns A promise that resolves to the retrieved Espresso app.
   */
  getEspressoApp(e, t) {
    return this.makeGetRequest("/app-automate/espresso/v2/apps/{appId}", {
      ...t,
      params: {
        path: {
          appId: e
        }
      }
    }).then((r) => r.app);
  }
  /**
   * Deletes an Espresso app.
   * @param appId The ID of the app to delete.
   * @param options The fetch options for the delete request.
   * @returns A promise that resolves when the app is deleted.
   */
  deleteEspressoApp(e, t) {
    return this.makeDeleteRequest("/app-automate/espresso/v2/apps/{appId}", {
      ...t,
      params: {
        path: {
          appId: e
        }
      }
    });
  }
  /**
   * Uploads an XCUITest app to BrowserStack App Automate.
   *
   * @param body - The request body containing the XCUITest app file or URL.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the response of the request.
   */
  uploadXCUITestApp(e, t) {
    return this.makePostRequest("/app-automate/xcuitest/v2/app", {
      ...t,
      body: e,
      bodySerializer: () => {
        const r = new FormData();
        return "file" in e ? r.append("file", e.file, e.filename) : r.append("url", e.url), e.custom_id && r.append("custom_id", e.custom_id), r;
      }
    });
  }
  /**
   * Retrieves the XCUITest apps available in the BrowserStack App Automate.
   * @param options - The fetch options for the request.
   * @returns A promise that resolves to an array of XCUITest apps.
   */
  getXCUITestApps(e) {
    return this.makeGetRequest("/app-automate/xcuitest/v2/apps", e).then(
      (t) => "apps" in t ? t.apps : []
    );
  }
  /**
   * Retrieves the XCUITest app with the specified appId.
   * @param appId The ID of the XCUITest app to retrieve.
   * @param options The fetch options for the request.
   * @returns A promise that resolves to the XCUITest app.
   */
  getXCUITestApp(e, t) {
    return this.makeGetRequest("/app-automate/xcuitest/v2/apps/{appId}", {
      ...t,
      params: {
        path: {
          appId: e
        }
      }
    }).then((r) => r.app);
  }
  /**
   * Deletes an XCUITest app.
   * @param appId The ID of the app to delete.
   * @param options The fetch options for the delete request.
   * @returns A promise that resolves when the app is successfully deleted.
   */
  deleteXCUITestApp(e, t) {
    return this.makeDeleteRequest("/app-automate/xcuitest/v2/apps/{appId}", {
      ...t,
      params: {
        path: {
          appId: e
        }
      }
    });
  }
  uploadDetoxAndroidApp(e, t, r) {
    return this.makePostRequest(
      e ? "/app-automate/detox/v2/android/app" : "/app-automate/detox/v2/android/app-client",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return "file" in t ? s.append("file", t.file, t.filename) : s.append("url", t.url), t.custom_id && s.append("custom_id", t.custom_id), s;
        }
      }
    );
  }
}
class je extends v {
  /**
   * Constructs a new instance of the AutomateClient class.
   * @param options - Options to customize the client.
   */
  constructor(e) {
    super({
      ...e,
      baseUrl: (e == null ? void 0 : e.baseUrl) ?? "https://api.browserstack.com"
    });
  }
  /**
   * Recycles the automate key.
   * @param options The fetch options for the request.
   * @returns {} A promise that resolves to the response of the request.
   */
  recycleKey(e) {
    return this.makePutRequest("/automate/recycle_key.json", e);
  }
  /**
   * Retrieves the automate plan.
   * @param options - The fetch options for the request.
   * @returns A promise that resolves with the automate plan.
   */
  getPlan(e) {
    return this.makeGetRequest("/automate/plan.json", e);
  }
  /**
   * Retrieves the list of available browsers for BrowserStack Automate.
   * @param options - Optional fetch options for customizing the request.
   * @returns A Promise that resolves to the list of available browsers.
   */
  getBrowsers(e) {
    return this.makeGetRequest("/automate/browsers.json", e);
  }
  /**
   * Retrieves the projects from the BrowserStack Automate API.
   * @param options - The fetch options for the API request.
   * @returns A promise that resolves with the projects data.
   */
  getProjects(e) {
    return this.makeGetRequest("/automate/projects.json", e);
  }
  /**
   * Retrieves a project by its ID.
   * @param projectId The ID of the project to retrieve.
   * @param options Additional options for the fetch request.
   * @returns A promise that resolves to the retrieved project.
   */
  getProject(e, t) {
    return this.makeGetRequest("/automate/projects/{projectId}.json", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      }
    }).then((r) => r.project);
  }
  /**
   * Updates a project with the specified ID.
   *
   * @param projectId - The ID of the project to update.
   * @param body - The request body containing the updated project details.
   * @param options - Additional options for the request.
   * @returns A promise that resolves with the updated project.
   */
  updateProject(e, t, r) {
    return this.makePutRequest("/automate/projects/{projectId}.json", {
      ...r,
      body: t,
      params: {
        path: {
          projectId: e
        }
      }
    });
  }
  /**
   * Deletes a project with the specified ID.
   * @param projectId The ID of the project to delete.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the project is successfully deleted.
   */
  deleteProject(e, t) {
    return this.makeDeleteRequest("/automate/projects/{projectId}.json", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      }
    });
  }
  /**
   * Retrieves the badge key for a specific project.
   * @param projectId The ID of the project.
   * @param options Additional options for the request.
   * @returns A promise that resolves to the badge key.
   */
  getBadgeKey(e, t) {
    return this.makeGetRequest("/automate/projects/{projectId}/badge_key", {
      ...t,
      params: {
        path: {
          projectId: e
        }
      },
      parseAs: "text"
    });
  }
  /**
   * Retrieves a list of builds from the BrowserStack Automate API.
   *
   * @param query - Optional query parameters for filtering the builds.
   * @param options - Optional fetch options for the API request.
   * @returns A Promise that resolves to an array of automation builds.
   */
  getBuilds(e, t) {
    return this.makeGetRequest("/automate/builds.json", {
      ...t,
      params: {
        query: e
      }
    }).then((r) => r.map((s) => s.automation_build));
  }
  /**
   * Retrieves information about a specific build.
   * @param buildId - The ID of the build.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the build information.
   */
  getBuild(e, t) {
    return this.makeGetRequest("/automate/builds/{buildId}.json", {
      ...t,
      params: {
        path: {
          buildId: e
        }
      }
    }).then((r) => ({
      ...r.build.automation_build,
      sessions: r.build.sessions.map(
        (s) => s.automation_session
      )
    }));
  }
  /**
   * Updates a build in the BrowserStack Automate API.
   *
   * @param buildId - The ID of the build to update.
   * @param body - The request body containing the updated build data.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the updated build data.
   * @throws {BrowserStackError} If an error occurs during the update.
   */
  updateBuild(e, t, r) {
    return this.makePutRequest("/automate/builds/{buildId}.json", {
      ...r,
      body: t,
      params: {
        path: {
          buildId: e
        }
      }
    }).then((s) => {
      if ("error" in s)
        throw new n(s.error, { response: s });
      return s.automation_build;
    });
  }
  /**
   * Deletes a build with the specified ID.
   * @param buildId The ID of the build to delete.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the build is successfully deleted.
   */
  deleteBuild(e, t) {
    return this.makeDeleteRequest("/automate/builds/{buildId}.json", {
      ...t,
      params: {
        path: {
          buildId: e
        }
      }
    });
  }
  /**
   * Deletes multiple builds from the BrowserStack Automate API.
   * @param buildIds An array of build IDs to be deleted.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the delete request is successful.
   */
  deleteBuilds(e, t) {
    return this.makeDeleteRequest("/automate/builds", {
      ...t,
      params: {
        query: {
          "buildId[]": e
        }
      }
    });
  }
  /**
   * Retrieves the sessions associated with a specific build.
   *
   * @param buildId - The ID of the build.
   * @param query - Optional query parameters for filtering the sessions.
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to an array of automation sessions.
   */
  getSessions(e, t, r) {
    return this.makeGetRequest("/automate/builds/{buildId}/sessions.json", {
      ...r,
      params: {
        path: {
          buildId: e
        },
        query: t
      }
    }).then((s) => s.map((o) => o.automation_session));
  }
  /**
   * Retrieves the details of a specific session.
   * @param sessionId - The ID of the session to retrieve.
   * @param options - Additional options for the fetch request.
   * @returns A promise that resolves to the automation session data.
   */
  getSession(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}.json", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    }).then((r) => r.automation_session);
  }
  /**
   * Updates an automate session.
   *
   * @param sessionId - The ID of the session to update.
   * @param body - The request body containing the updated session data.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the updated automation session.
   */
  updateSession(e, t, r) {
    return this.makePutRequest("/automate/sessions/{sessionId}.json", {
      ...r,
      body: t,
      params: {
        path: {
          sessionId: e
        }
      }
    }).then((s) => s.automation_session);
  }
  /**
   * Deletes a session by its session ID.
   * @param sessionId The ID of the session to delete.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the session is successfully deleted.
   */
  deleteSession(e, t) {
    return this.makeDeleteRequest("/automate/sessions/{sessionId}.json", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    });
  }
  /**
   * Deletes the specified sessions.
   * @param sessionIds - An array of session IDs to delete.
   * @param options - Additional options for the delete request.
   * @returns A promise that resolves when the delete request is complete.
   */
  deleteSessions(e, t) {
    return this.makeDeleteRequest("/automate/sessions", {
      ...t,
      params: {
        query: {
          "sessionId[]": e
        }
      }
    });
  }
  /**
   * Uploads terminal logs for a specific build.
   * @param buildId - The ID of the build.
   * @param body - The request body containing the logs file and its filename.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response of the request.
   */
  uploadBuildTerminalLogs(e, t, r) {
    return this.makeCloudPostRequest(
      "/automate/builds/{buildId}/terminallogs",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return s.append("file", t.file, t.filename), s;
        },
        params: {
          path: {
            buildId: e
          }
        }
      }
    );
  }
  /**
   * Uploads terminal logs for a session.
   * @param sessionId - The ID of the session.
   * @param body - The request body containing the logs file and filename.
   * @param options - Additional options for the request.
   * @returns A promise that resolves to the response of the request.
   */
  uploadSessionTerminalLogs(e, t, r) {
    return this.makeCloudPostRequest(
      "/automate/sessions/{sessionId}/terminallogs",
      {
        ...r,
        body: t,
        bodySerializer: () => {
          const s = new FormData();
          return s.append("file", t.file, t.filename), s;
        },
        params: {
          path: {
            sessionId: e
          }
        }
      }
    );
  }
  /**
   * Retrieves the logs for a specific session.
   *
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A promise that resolves with the logs of the session.
   */
  getSessionLogs(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}/logs", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      },
      parseAs: "text"
    });
  }
  /**
   * Retrieves the network logs for a specific session.
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the network logs request.
   * @returns A Promise that resolves to the network logs response.
   */
  getSessionNetworkLogs(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}/networklogs", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    });
  }
  /**
   * Retrieves the console logs for a specific session.
   * @param sessionId The ID of the session.
   * @param options Additional options for the request.
   * @returns A Promise that resolves to the console logs.
   */
  getSessionConsoleLogs(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}/consolelogs", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      },
      parseAs: "text"
    });
  }
  /**
   * Retrieves the Selenium logs for a specific session.
   * @param sessionId The ID of the session.
   * @param options Additional options for the request.
   * @returns A Promise that resolves to the Selenium logs.
   */
  getSessionSeleniumLogs(e, t) {
    return this.makeCloudGetRequest(
      "/automate/sessions/{sessionId}/seleniumlogs",
      {
        ...t,
        params: {
          path: {
            sessionId: e
          }
        },
        parseAs: "text"
      }
    );
  }
  /**
   * Retrieves the Appium logs for a specific session.
   *
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves to the Appium logs.
   */
  getSessionAppiumLogs(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}/appiumlogs", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      },
      parseAs: "text"
    });
  }
  /**
   * Retrieves the telemetry logs for a specific session.
   * @param sessionId - The ID of the session.
   * @param options - Additional options for the request.
   * @returns A Promise that resolves with the telemetry logs.
   */
  getSessionTelemetryLogs(e, t) {
    return this.makeGetRequest("/automate/sessions/{sessionId}/telemetrylogs", {
      ...t,
      params: {
        path: {
          sessionId: e
        }
      }
    });
  }
  /**
   * Uploads a media file to the BrowserStack Automate API.
   *
   * @param body - The content of the media file to be uploaded, along with its filename.
   * @param options - Additional options for the API request.
   * @returns A Promise that resolves to the response of the API request.
   */
  uploadMediaFile(e, t) {
    return this.makePostRequest("/automate/upload-media", {
      ...t,
      body: e,
      bodySerializer: () => {
        const r = new FormData();
        return r.append("file", e.file, e.filename), r;
      }
    });
  }
  /**
   * Retrieves the recent media files from the BrowserStack Automate API.
   * @param options - Optional fetch options for the API request.
   * @returns A promise that resolves with the response from the API.
   */
  getMediaFiles(e) {
    return this.makeGetRequest("/automate/recent_media_files", e);
  }
  /**
   * Deletes a media file.
   * @param mediaId The ID of the media file to delete.
   * @param options Additional options for the delete request.
   * @returns A promise that resolves when the media file is successfully deleted.
   */
  deleteMediaFile(e, t) {
    return this.makeDeleteRequest("/automate/custom_media/delete/{mediaId}", {
      ...t,
      params: {
        path: {
          mediaId: e
        }
      }
    });
  }
}
class P extends v {
  /**
   * Constructs a new instance of the JSTestingClient class.
   * @param options - Optional configuration options for the client.
   */
  constructor(e) {
    super({
      ...e,
      baseUrl: (e == null ? void 0 : e.baseUrl) ?? "https://api.browserstack.com/5"
    });
  }
  getAccountStatus(e) {
    return this.makeGetRequest("/status", e);
  }
  /**
   * Retrieves a list of browsers from the server.
   *
   * @param options - The fetch options for the request.
   * @returns A promise that resolves to a fetch response containing the list of browsers.
   */
  getBrowsers(e, t) {
    return this.makeGetRequest("/browsers", {
      ...t,
      params: {
        query: {
          ...e,
          flat: typeof (e == null ? void 0 : e.flat) == "boolean" ? e.flat : !0
        }
      }
    });
  }
  createWorker(e, t) {
    return this.makePostRequest("/worker", {
      ...t,
      body: e
    });
  }
  getWorkers(e) {
    return this.makeGetRequest("/workers", e);
  }
  getWorker(e, t) {
    return this.makeGetRequest("/worker/{workedId}", {
      ...t,
      params: {
        path: {
          workedId: e
        }
      }
    });
  }
  deleteWorker(e, t) {
    return this.makeDeleteRequest("/worker/{workedId}", {
      ...t,
      params: {
        path: {
          workedId: e
        }
      }
    });
  }
}
class Se extends v {
  /**
   * Constructs a new instance of the ScreenshotsClient class.
   * @param options - Optional configuration options for the client.
   */
  constructor(t) {
    super({
      ...t,
      baseUrl: (t == null ? void 0 : t.baseUrl) ?? "https://www.browserstack.com",
      usernameOptional: !0
    });
    w(this, "authToken");
    const r = (t == null ? void 0 : t.key) ?? R.BROWSERSTACK_KEY;
    if (typeof r != "string" || !r.trim().length)
      throw new n("Missing options.key");
    this.authToken = r;
  }
  /**
   * Retrieves a list of recent Local binary instances from the server.
   *
   * @param options - The fetch options for the request.
   * @returns A promise that resolves to a fetch response containing the list of active Local instances.
   */
  getBinaryInstances(t, r) {
    return this.makeGetRequest("/local/v1/list", {
      ...r,
      params: {
        query: {
          ...t,
          auth_token: this.authToken
        }
      }
    }).then((s) => s.instances);
  }
  /**
   * Retrieves details of a Local binary instance from the server.
   *
   * @param localInstanceId The ID of the local binary instance to retrieve.
   * @param query Optional query parameters for the request.
   * @param options Optional fetch options for the request.
   * @returns A promise that resolves to the retrieved local binary instance.
   * @throws {BrowserStackError} If no local binary instance is found with the specified ID.
   */
  getBinaryInstance(t, r, s) {
    return this.makeGetRequest("/local/v1/{localInstanceId}", {
      ...s,
      params: {
        path: {
          localInstanceId: t
        },
        query: {
          ...r,
          auth_token: this.authToken
        }
      }
    }).then((o) => {
      if (!o.instances.length)
        throw new n(
          `No Local binary instance found with id "${t}"`
        );
      return o.instances[0];
    });
  }
  /**
   * Disconnects a binary instance.
   *
   * @param localInstanceId - The ID of the local binary instance to disconnect.
   * @param query - Optional query parameters for the request.
   * @param options - Optional API fetch options.
   * @returns A promise that resolves to a string representing the message from the server.
   */
  disconnectBinaryInstance(t, r, s) {
    return this.makeDeleteRequest("/local/v1/{localInstanceId}", {
      ...s,
      params: {
        path: {
          localInstanceId: t
        },
        query: {
          ...r,
          auth_token: this.authToken
        }
      }
    }).then((o) => o.message);
  }
  /**
   * Downloads the BrowserStackLocal binary for the specified operating system architecture and saves it to the specified file path.
   * Note that the file is downloaded to memory for the unzip operation.
   * If the file is large, this method may fail with an out of memory error.
   * This method is intended for use in Node.js environments and will fail in the browser.
   *
   * @param osArch - The operating system architecture for which to download the binary.
   * @param dirPath - The file path where the binary will be saved.
   * @param filenamePrefix - The prefix for the downloaded binary file name inside the ZIP file. Default is "BrowserStackLocal".
   * @param fileMode - The file mode to set for the downloaded binary file. Default is 0o755.
   * @param options - Additional options for the API fetch request.
   * @returns A Promise that resolves when the binary is successfully downloaded and saved.
   */
  async downloadBinary(t, r, s = "BrowserStackLocal", o = 493, l) {
    return this.sdk.GET("/browserstack-local/BrowserStackLocal-{osArch}.zip", {
      ...l,
      params: {
        path: {
          osArch: t
        }
      },
      parseAs: "arrayBuffer"
    }).then((a) => a.response.arrayBuffer()).then(async (a) => {
      const { writeFile: p, unlink: g, stat: b } = await Promise.resolve().then(() => B), { unzipSync: y } = await import("./browser-Ji3eTwqh.js"), { join: f } = await Promise.resolve().then(() => B), u = y(new Uint8Array(a), {
        filter: (x) => x.name.startsWith(s)
      }), h = Object.keys(u);
      if (!h.length)
        throw new n("Local binary not found in zip");
      const m = f(r.toString(), h[0]);
      try {
        return await p(m, u[h[0]], { mode: o }), m;
      } catch (x) {
        try {
          (await b(m)).isFile() && await g(m);
        } catch {
        }
        throw x;
      }
    }).catch((a) => {
      throw a instanceof n ? a : new n(
        `Failed to write local binary to disk: ${a.message}: ${a.stack}`
      );
    });
  }
  /**
   * Runs the downloaded Local binary file with the specified flags and options.
   *
   * @param binFilePath - The path to the executable binary file.
   * @param flags - An array of flags to pass to the executable.
   * @param onData - A callback function to handle stdout data received from the executable.
   * @param onError - A callback function to handle stderr data received from the executable.
   * @param startTimeout - The timeout duration in milliseconds for the executable to start.
   * @param stdoutSuccessMessage - The success message to look for in the stdout of the executable.
   * @returns A promise that resolves with the child process when the executable starts successfully.
   * @throws If an error occurs while executing the binary file.
   */
  async runBinary(t, r = [], s = () => {
  }, o = () => {
  }, l = 1e4, a = "[SUCCESS]") {
    const { execFile: p } = await Promise.resolve().then(() => B), g = p(
      t,
      ["--key", this.authToken, "--enable-logging-for-api", ...r],
      (b, y, f) => {
        if (b)
          throw b;
        s == null || s(y), o == null || o(f);
      }
    );
    return new Promise((b, y) => {
      var u, h;
      const f = setTimeout(y, l);
      o && ((u = g.stderr) == null || u.on("data", o)), (h = g.stdout) == null || h.on("data", (m) => {
        s == null || s(m), m.toUpperCase().includes(a) && (clearTimeout(f), b(g));
      });
    });
  }
}
class ke extends v {
  /**
   * Constructs a new instance of the ScreenshotsClient class.
   * @param options - Optional configuration options for the client.
   */
  constructor(e) {
    super({
      ...e,
      baseUrl: (e == null ? void 0 : e.baseUrl) ?? "https://www.browserstack.com"
    });
  }
  /**
   * Retrieves the list of available browsers for taking screenshots.
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to the response from the API.
   */
  getBrowsers(e) {
    return this.makeGetRequest("/screenshots/browsers.json", e);
  }
  /**
   * Creates a new screenshots job.
   * @param body - The request body for creating the job.
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to the response from the API.
   */
  createJob(e, t) {
    return this.makePostRequest("/screenshots", {
      ...t,
      body: e
    });
  }
  /**
   * Retrieves the details of a screenshots job.
   * @param jobId - The ID of the job to retrieve.
   * @param options - Optional fetch options for the request.
   * @returns A promise that resolves to the response from the API.
   */
  getJob(e, t) {
    return this.makeGetRequest("/screenshots/{jobId}.json", {
      ...t,
      params: {
        path: {
          jobId: e
        }
      }
    });
  }
}
const Ae = {
  AutomateClient: je,
  ScreenshotsClient: ke,
  AppAutomateClient: qe,
  JSTestingClient: P,
  /**
   * Backwards compatibility alias for {@link JSTestingClient}.
   */
  Client: P,
  LocalTestingClient: Se
}, B = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
export {
  Ae as BrowserStack
};
